commit 94abb05ae948eae31091a5bdcdd5d78e5e0192d1
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Oct 2 17:48:35 2019 -0700

    Fix leaks in ListAliases and ListMappedAliases.

    The 'record' for each alias was being leaked.

commit 87589da5255d84efad0c50446246b2788eeab582
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Sep 20 13:11:24 2019 -0700

    release notes for 11.0.0

commit 3c03fd5446ddd23979380fd2518f1f5c7c116dbd
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Sep 20 11:08:35 2019 -0700

    update copyright header for lib/include/vmware/guestrpc/tclodefs.h

commit 99145edb39cc1e08b0848ea464fd17dca2ef2541
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Sep 20 11:07:16 2019 -0700

    update build number for release

commit 570ec94ccfc5bcf2a55d891ae8af2a24bb4e9caf
Author: Oliver Kurth <okurth@vmware.com>
Date:   Thu Aug 29 17:14:39 2019 -0700

    Due to a quirk the way patches were generated, the 'coomon-agent' directory was not removed as intended, but just contained empty files

commit ae791f849d0e49d968a3ba068d6f421de936754d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Aug 23 13:33:55 2019 -0700

    tools.conf example: add vss.disableAppQuiescing

commit 867f9cf4fd9903e1e10e4d7f70fef3b7fdb2a5d3
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 5 11:22:01 2019 -0700

    Enable the guest OS disk mapping feature as default.
    
    Enabling the OS disk mapping feature in VMware Tools 11.0.0 for
    Windows and Linux guests.

commit 782b42a5248cd01d37f0002aa7e30df4cc787129
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 5 11:22:01 2019 -0700

    Fix broken command: vmtoolsd --cmd info-get | info-set

commit d4922cad5f627b1dd3315f59ed8a5ce2f4767e83
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 5 11:22:01 2019 -0700

    [OVT] Update copyright year to 2019.
    
    A new version of VMware Tools 11.0.0 will be released in 2019.  All
    applicable files need to stamped with 2019 copyright year.

commit 5cb75e0a93b9531875e9e29515a0ea912ca3aca7
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 5 11:22:00 2019 -0700

    Avoid freezing mount points for same device.
    
    Loopback device setup could cause a cyclic dependency
    between 2 mount points. In order to break the cycle,
    avoid freezing the mount points to the same device.
    
    This change also skips some system mount points for 'tmpfs'
    and 'cgroup' etc as those share the same device/FS name.
    This is fine because we can't quiese those mount points
    anyway (system mount points don't support quiescing).

commit 385dc97f645ccaa4a0550b53949715394a009fb6
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 5 11:21:59 2019 -0700

    Add RpcChannel_SendOneRawPriv()
    
    Send privileged guest RPC "guestStore.connect" with it after the
    vmsvc RPC channel falls back to backdoor.

commit e385c90808d527bce41259796badba094ad62a77
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 5 11:21:59 2019 -0700

    Add an example configuration tools.conf file for tools
    
    This adds an example tools.conf file. Settings are shown in the
    file with default values, but commented out with documentation.

commit decb8769e31e88f23b16b7a6ff3a1545a6259abe
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 5 11:21:59 2019 -0700

    [TOOLS] Fix dnd text from Linux guest
    
    Gtk::Widget::drag_dest_find_target() returns different values from GDK_NONE
    on Gtk2 and Gtk3.
    
    On Gtk2, it returns an empty string. It matches the existing code.
    On Gtk3, it returns "NONE". The current logic breaks.
    
    To overcome this issue, use Gdk::AtomString::to_cpp_type(GDK_NONE) to
    replace the current empty string. This works on both Gtk2 and Gtk3.

commit 8d299b17ba81d47f7f561479a688ab1843f904c8
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 5 11:21:59 2019 -0700

    Fix gcc 9.1 build error in vmblocktest.c
    
    GCC 9.1 in Ubuntu eoan (19.10) failed to build open-vm-tools:
    error: '__builtin_strncpy' specified bound 4096 equals destination
    size [-Werror=stringop-truncation]

commit e8d08518353295527e635f666c0d3146dcc698cb
Author: Oliver Kurth <okurth@vmware.com>
Date:   Sat Jul 20 17:10:07 2019 -0700

    version 11.0.0

commit 82ef6f896c99212c9366e3e52d7767e86d9677c3
Author: Oliver Kurth <okurth@vmware.com>
Date:   Sat Jul 20 17:03:42 2019 -0700

    Fix the memory leak in procMgr library.
    
    In a specific code path, procCmdAbsPath attribute is ovewritten
    with the new memory. This leads to a memory leak for the previously
    allocated memory.

commit 003ed9e082dd10c67aa022514ad0c662c7e1a6a4
Author: Oliver Kurth <okurth@vmware.com>
Date:   Sat Jul 20 17:03:42 2019 -0700

    GuestInfo: fix memory leak in GuestInfoGetPrimaryIP()
    
    "ipstr" was not free'ed when it was not being used.

commit 3d60252dc25705841c4afb49e766be2bd7815acd
Author: Oliver Kurth <okurth@vmware.com>
Date:   Sat Jul 20 17:03:42 2019 -0700

    Avoid emitting a trailing comma in the GuestInfoSendDiskInfoV1 JSON RPC
    
    Although currently accepted by the JSON library that we are using
    in VMX, that superfluous comma is strictly invalid according to the
    JSON standard - ECMA-404.

commit f65edaec32d2e1c7c14d69f4f2af669805cfd4b4
Author: Oliver Kurth <okurth@vmware.com>
Date:   Sat Jul 20 17:03:42 2019 -0700

    [Tools/dndcp] Fix two coverity issues reported by a customer.

commit 74fe39c2abac9da4d45188eec8b389be421f7c8f
Author: Oliver Kurth <okurth@vmware.com>
Date:   Sat Jul 20 17:03:42 2019 -0700

    Add the SLEDGEHAMMER code name to the 11.0.0 release version defines.

commit 0c6ad5edceca60dc05eb9f3b1ee6ac42dc0455ef
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jul 3 14:28:56 2019 -0700

    Fix a Coverity issue reported in vgauth/serviceImpl/verify.c

commit 47c8f75e4516552615c070c6920633f7e8e572a0
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jul 3 14:28:56 2019 -0700

    Fix process command name for special linux processes.
    
    While listing down the processes in a linux guest, the existing
    procMgr library reads /proc/<PID>/cmdline file and parses the
    content.  While reading this, an assumption is made that there is
    a null terminating character at the end of the file content.
    This holds true for most of the processes.  But for few special processes,
    the cmdline file doesn't have the terminating null character.
    
    Proper content from cmdline file:
    
    /usr/lib/systemd/systemd\0--switched-root\0--system\0--deserialize\021\0
    /usr/sbin/vmtoolsd\0
    sshd: root@pts/2\0\0\0
    
    Example cmdline file where NUL terminator is missing:
    
    avahi-daemon: running [linux.local]
    avahi-daemon: chroot helper

commit 2660d40ca4f5beca0ba3a4c68a66f8c7dcf77a67
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jul 3 14:28:56 2019 -0700

    Fix the command name for few linux processes.
    
    ProcMgr library publishes the 'command name' attribute for
    each process while listing down all the processes.  For doing this,
    the commandline is first parsed from /proc/<PID>/cmdline file
    and the part starting from the right-most '/' is considered as the
    command name.  This is OK only if we have an absolute path for the
    command binary.  Other wise, this may result in incorrect results.
    
    For example:
    sshd: root@pts/1
    gdm-session-worker [pam/gdm-autologin]
    
    Fixed the code to ignore the parsing if we do not have an absolute
    path.
    
    Note: There are two ways how the command name is retrieved for each
    process.
    
    1. /proc/<PID>/cmdline is parsed.
    
    If (1) fails for some reason, then
    
    2. /proc/<PID>/status is parsed.
    
    There is no issue with (2). This changeset fixes the parsing issue only
    with (1) approach mentioned above.

commit 7aaf580b14f44a994100ede098e0ced5d60ba484
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jul 3 14:28:56 2019 -0700

    Add support for NVMe disks; IDE and SATA disk devices in 3.x Linux kernels
    
    Support has been added for virtual disks attached to an NVMe
    controller.  The device "label" will provide the "nvme<n>" for the
    controller.  The disk unit is provided in the device "nsid" file.
    An earlier implementation (Linux 2.6 kernels) provided the unit
    number as the final digit group in the device node name.
    
    The Linux 3.x kernel has some differences in the layout of IDE and
    SATA disk devices in the sysfs filesystem.  The differences from the
    sysfs in a 2.6 Linux kernel are:
     - The IDE "class" file and SATA "class" and "label" files are in a
       different directory.
     - IDE controller and SATA device nodes begin with "ata" where "host"
       was used in earlier kernel sysfs filesystems.
    
    GuestInfoGetDevClass() has been modfied to check in two possible
    locations for the "class" file.   The directory located will also
    contain the "label" file for SCSI, SAS, and SATA disk devices.
    
    GuestInfoGetIdeSataDev() has been modified to search for either
    ata<n> or host<n> directories in the sysfs tree for the disk device.

commit 193a5f93d6678b2ebfec1cf365a84bfd8533650d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jul 3 14:26:55 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit 2657373a9321ad4090af75d84beac00836170e27
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jul 3 14:26:55 2019 -0700

    Truncate oversize partition names
    
    Truncate disk partition names if they are too large, rather than just
    skipping all the disk information for the guest. Closes
    https://github.com/vmware/open-vm-tools/issues/346 .

commit 6b8ffb7199159ab3a306646bc572f6a83a8ce7f6
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jul 3 14:26:55 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit fe04b4263ae90af524fe51e124e206df737e974b
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jul 3 14:26:55 2019 -0700

    Suppress possible NULL pointer deref in a debug message.

commit 130334ca6f1cf6d696b0fe36d54b83f1f7d7bc2e
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jul 3 14:26:55 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit ace8b9e3c13a0b320835d36f569d2c7e5c6513a7
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jul 3 14:26:55 2019 -0700

    Changes to common header files not applicable to open-vm-tools.

commit eda7db540bb048ac406e6624786c300cb17968c2
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jul 3 14:26:55 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit 7b17b7265ad31f2ed3dc6d6d28c5a4caf4c12e5c
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jul 3 14:26:55 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit 59d4eda2fc89e43ac092d82866c42c9692ebca68
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jul 3 14:26:54 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit 8fe237da4894488e9cb0fccdec1f0d8180998a24
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jul 3 14:26:54 2019 -0700

    Common header file change not directly applicable to open-vm-tools.

commit e266c0bb1879792f24b29d38af9f9f833475f228
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jul 3 14:26:54 2019 -0700

    Changes to common source files not directly applicable to open-vm-tools.
    
    Reduce malloc/free overheads in the VMX for HGFS over VMCI

commit 9c30be3448c743e51718480543142bf833ea553a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 17 11:41:38 2019 -0700

    copyPasteCompatX11.c code generating unnecessary Coverity warning
    
    This patch aims to fix an issue found by Coverity Scan.
    
    This issue is a False Positive, the outBuf is only freed in specific
    scenario, so there is no 'BAD FREE'.  But it's better to reconstruct the
    related code to clear the SCA error.

commit a72b4c2513b8faf4e5b08b085583a43b1b6149a1
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 17 11:41:38 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit 680c9d4a412a099efde6382a0a4e5f300bc4fc4e
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 17 11:41:38 2019 -0700

    linuxDeployment.c: Suppress the telinit error if the first telinit commands
                       has made VM reboot.
    
    The code executes '/sbin/telinit 6' repeatedly to reboot VM.  VM will be
    rebooting if the telinit command executed successfully(exitcode==0).
    Observed the repeated telinit command might get error(exitcode==1) on some
    GOSes, ex: Ubuntu18.04, RHEL7.4/7.5 and Fedora 29.
    Observed no such error on older GOSes, ex: Ubuntu14.04, RHEL6.6
    
    The error telinit log is confusing, actually it does NOT mean customization
    failed.
    
    This change does NOT log telinit error, and returns deployPkg status to
    make sure the log is consistent with customization result when the first
    'telinit 6' succeeded but one of the following 'telinit 6' command failed.
    
    The following actions are unchanged with or without this change:
    1. log telinit error, stop loop and exit 127 if the first 'telinit 6' fails.
    2. repeatedly execute 'telinit 6' if previous one executed successfully
       (exitcode==0).

commit 37d8b16e2cc1a21919cb6974c2a87071a345e232
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 17 11:41:37 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit 8c87c985179a7a152c9a36aa83edd2b02fc7894d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 17 11:41:37 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit 9e1d3be7c075e8ca4c7ff07b8dadeab8a14953b3
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 17 11:41:37 2019 -0700

    HgfsServer: Fix coverity issue - uninitialized variable "requestId"
    
    Fix coverity uninitialized variable "requestId" by zeroing it
    in HgfsServerGetRequest before passing to the request packet
    HgfsUnpackPacketParams extraction function which will use it
    in a log message.
    
    Also moved an assert useful for testing protocol changes which was
    incorrect in its placement.

commit d2213fb32a1357305e72cbd6856f5e5ea9e151da
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 17 11:41:37 2019 -0700

    Changes to common header files not applicable to open-vm-tools.
    
    Remove checks for GCC 4.1 in xsave, xrstor, etc. instructions

commit 83dbe8ed5bf6f9e770e22c670c5617bc93e48e55
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 17 11:41:37 2019 -0700

    Determine Linux OS disk devices associated with mounted filesystems.
    
    For each filesystem for which disk guestInfo is currently collected,
    determine the virtual hardware device being used.   This is currently
    represented as <cntrl class><cntrl #>:<device #>, eg. scsi0:0,
    scsi1:0, ide0:0 or sata1:4 and matches the virtual device label seen
    in VMX.
    
    A Linux logical volume based filesystem can reside on multiple disks.
    In order to handle LVMs, the disk devices for each filesystem are
    maintained as a variable array of disk device names.
    For Linux guests, disk device names are passed as a json array.

commit 9bfd01b26e7d22aa847d6282e9b814b05a41e80e
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 17 11:41:37 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit f456a5938662175b914ffcb53c6284835476268f
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 17 11:41:37 2019 -0700

    Fix 'Using uninitialized value' issue reported by Coverity.
    
    * In a error code path, 'exitCode' variable is used without
      any initialization.  This issue was reported by the Coverity.
      Fixed it by initializing the 'exitCode' to -1.
    
    * While fixing this, moved the variables to the if block where
      they are acutally used.

commit 2b3de798522314545b00297f1ece86b223dbeb6f
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 17 11:41:36 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit 7cf4c83d4a0b580209184bb4d5ac6c26cd5734f4
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 17 11:41:36 2019 -0700

    Fix leak in error path reported by Coverity.

commit 1b32002d84c1dbb6dbe34586c04b84d26224c5ee
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 17 11:41:36 2019 -0700

    Common source file change not directly applicable to open-vm-tools.

commit 5260daab25ee9afdd5267531516b45f5006d57d1
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 17 11:41:36 2019 -0700

    Improvements for ProcMgr library.
    
    * This changeset fixes various issues related to ProcMgr library.
    
    == Retrieve the absolute path of the image for each process ==
    * When listing down the processes, it is useful to retrieve the
      absolute path of the process binary.
    
    === For Linux ===:
    * In /proc filesystem, /proc/{PID}/exe is a symlink to the binary
      and we can make use of it to figure out the absolute path.
    
    * If /proc/{PID}/exe is not a valid symlink, then the 'cmdline'
      is parsed and aboslute path is calculated accordingly.
    
    * Note: This changeset tries its best to figure out the absolute path.
      If it can't, then the attribute is set to NULL.
    
    == Misc issues fixed. ==
    === Linux ===
    * Fixed a memory leak with 'procCmdName' while looping through the
      /proc/ directory entries.
    
    * Fixed another memory leak with cmdLineTemp and cmdStatTemp variables
      while listing down the processes in linux guests.
    
    * In few cases, /proc/{PID}/cmdline file contains multiple NUL
      characters at the end.  In that case, the existing code converts them
      into 'whitespaces'. Fixed the code to chop of all the trailing
      whitespaces in the command line.

commit ffdf5a69fa3654dc3a16bf9951171290f48561b8
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 17 11:41:35 2019 -0700

    Skip loading/unloading user profile for VMXI_HGFS_SEND_PACKET_COMMAND.
    
    This command is used repeatedly to transfer file to/from the guest.

commit e858e40d2beb08880e62ccac3f9dcf3661f3e093
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 17 11:41:35 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit 653248aaff38309a1660f84a347b7eff70e64701
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 17 11:41:35 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit 2ca144aceda2bae479f3b67eb0d60e4ef7e439dc
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 17 11:41:35 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit 3583ad84072c618064dfea742faa763b5f8207f0
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 17 11:41:35 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit 4e06bc447106be090fefdb6ea057482152390d73
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 17 11:41:33 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit be8b98cda2d3149966b73d91cc76e77bf19d8228
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 3 13:39:45 2019 -0700

    Common source file change not applicable to open-vm-tools.

commit 61c51b4e4ac091f066e5e0efa22cc39d00b05d6d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 3 13:39:45 2019 -0700

    Fix memory leak in SNEBuildHash function.
    
    In a specific code path, if a key already exists in the hashtable,
    the memory allocated for 'value' variable is not being freed.  This
    leads to a memory leak.  Fixed.

commit 0d5e8c618131e3899f3c30c91722e1df4e1162e9
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 3 13:39:44 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit f37292f0a8524783888d55f57fa30bb828e2408b
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 3 13:39:44 2019 -0700

    Crash during File_WalkDirectoryNext
    
    In the rewrite of File_WalkDirectoryNext, a bug was introduced in the
    invalid Unicode path. Invalid Unicode occurs very rarely... and the
    bug finally turned up. Fix this... the bug is rather obvious.

commit 1749604dc3481d0cc670e97945b915821c1039d3
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 3 13:39:44 2019 -0700

    Fix asianux identification.
    
    Add asianux to distroArray and change how asianux releases 7 and 8
    are identified.
    
    This came in as a pull request on github for open-vm-tools:
    https://github.com/vmware/open-vm-tools/pull/325 .  Apparently
    the OS identification in /etc/asianux-release changed with Asianux
    7, and as a result tools does not identify it correctly.

commit 19969734d2a64e52cccf8f04669b55ad13f9c61c
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 3 13:39:44 2019 -0700

    Fallback to /proc/mounts.
    
    Use /proc/mounts on systems where /etc/mtab may not be there.
    This change is targeted for guestInfo reporting at the moment.

commit f78a6801a8ec0f549fc3aa3817215f91cf6607af
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 3 13:39:44 2019 -0700

    Common source file change not applicable to open-vm-tools.

commit e3f8ffec4a1de47cb62e4d8b2ba175a03da13246
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 3 13:39:44 2019 -0700

    Common source file change not directly applicable to open-vm-tools.

commit 70596395cf892d07321ddd9ee8f947c06973e565
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 3 13:39:44 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit a652f6e7c2c14310e2f6f030660b73e48aeeba80
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 3 13:39:44 2019 -0700

    Common source file change not directly applicable to open-vm-tools.

commit c209a5619fa74f6b76171420c57fd65303331a0f
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 3 13:39:44 2019 -0700

    Update to common source code; does not affect open-vm-tools.
    
    Allow an asyncWebSocket to connect through an existing socket descriptor
    
    Because Windows does not allow unprivileged processes to specify
    DSCP (formerly ToS) values on TCP traffic, in order to support
    DSCP for Blast WebSockets we must obtain a preconfigured socket
    descriptor from a privileged process and then build the WebSocket
    connection over that socket.
    
    This changeset extends the asyncWebSocket API by adding a Connect
    function that can accept and use an existing socket descriptor in
    addition to the usual collection of WebSocket Connect parameters.
    
    Because the asyncWebSocket is built over an asyncTCPSocket, this
    change ripples down into the asyncTCPSocket API which also gets a
    new Connect variant with a socket descriptor parameter.
    
    To avoid duplicating existing logic, the old Connect variants
    are modified to do their work by invoking the new API with
    a distinguished socket descriptor value of -1.        This value
    indicates that no existing socket descriptor is provided and
    that a new socket should be created and used for the connection.
    
    In this changeset, passing in an existing socket is supported
    only on the Windows platform.  The feature is not required on
    other platforms, where unprivileged processes are permitted to
    define DSCP values for their connections.  Attempting to create
    a connection over an existing socket on other platforms will
    result in a Connect failure.

commit 20e8a3d4213019202241d766ba3c7c660c4b74c2
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 3 13:39:44 2019 -0700

    Round out Log functions to all levels
    
    Logs would be measurably more useful for debugging if the available
    levels were used correctly and consistently. As a step towards
    encouraging such use, define Log_Warning() and Log_Info() as synonyms
    for Warning() and Log() (which, for historical reasons, are not
    declared in log.h). Also remove all the conflicting private definitions.

commit e45c4e3da624187d83f25681cf25b67ae059b6ed
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 3 13:39:44 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit 94ffa684475ea998347b4c6e25626d099eb8315c
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 3 13:39:44 2019 -0700

    Linux DeployPkg configurable timeout.
    
    Update to descriptive comments for function DeployPkg_SetProcessTimeout().

commit 4bd043870ec94332aa8b3794449a2144847cad33
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Jun 3 13:39:44 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit 46cb6aa361cc8b1d287e3b9b77bf86819b4b1fc5
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed May 22 13:09:37 2019 -0700

    Fix [RH Covscan] Coverity reported memory leaks in toolboxcmd-stat.c.

commit d0f0af3e62d065492b29791556c39c27eb97c751
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed May 22 13:09:37 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit 873db0841a17a530cabe6b6e6e473647da685c17
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed May 22 13:09:37 2019 -0700

    Common source file change not applicable to open-vm-tools.

commit 403dc83d2040d386b2c6c04756b289f277657e41
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed May 22 13:09:37 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit af0a4979c7bcaba6a913e686609f99c1245db384
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed May 22 13:09:37 2019 -0700

    Change to common header file not applicable to open-vm-tools.

commit 7c1e69708bc3bbdbf9dc66b039ab40f9767b29c1
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed May 22 13:09:37 2019 -0700

    Change to common header file not directly applicable to open-vm-tools.

commit da3efa69411c5fe8897e6295927dc4b8eacaff04
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed May 22 13:09:36 2019 -0700

    Changes to common source files not directly applicable to open-vm-tools.

commit 8017efa7e941561274088d27e32883f6c1965abf
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed May 22 13:09:36 2019 -0700

    Pick up filesystem (fsType) name for Linux disks.
    
    Building upon the OS Volume Disk Mapping changes added for Windows
    guests, pick up and propogate the filesystem type for Linux disks.
    Move fsType related code and declaration out of the _WIN32 specific
    source code.
    
    Diskwiper code (for Linux) modified to pass along filesystem type
    obtained from the MNTINFO structure from the non-Windows guest.
    Also passing along the mount point for device-based mapping to be done
    in the guestInfo plugin.

commit 82d42ead6fc14eed2bc1670352f5fb8f62413230
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed May 22 13:09:35 2019 -0700

    Change to common header file not applicable to open-vm-tools.

commit 744fe0bec43f7e242f1353c767c613180512000d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed May 8 15:27:20 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit 5b0e339cde98dce03ec5046c04ded329f61dc5ef
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed May 8 15:27:20 2019 -0700

    Fix the 'procCmdName' attribute of process information.
    
    * When listing down the processes, /proc/{PID}/cmdline file is read
    and parsed to figure out the command name.  While doing this parsing,
    the terminating NUL character is not parsed.  Due to this, if any
    process doesn't have any command line arguments, the 'command name' is
    retrieved as NULL.
    
    Note: This issue doesn't happen if the cmdLine has any arguments.
    
    Ex:
    /usr/bin/vmtoolsd -> 'cmdName' is retrieved as NULL
    /usr/bin/vmtoolsd -n vmusr -> 'cmdName' is retrieved properly as 'vmtoolsd'
    
    * Fixed the code to include the trailing NUL character also while parsing.

commit 7b096ae277428efd8f550c1bbb35e98bb0cdf565
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed May 8 15:27:20 2019 -0700

    Hgfs fuse Client: fix max name length setting for statvfs
    
    Detected internally with Fedora 29 and reported in
       https://github.com/vmware/open-vm-tools/issues/337,
    the statvfs structure must provide a valid max name length field.  Setting
    to NAME_MAX.  This allows the GUI Files application to create new folders
    and rename existing ones correctly.

commit 9876844113a4f6b538f131d61b61c994264f7caf
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed May 8 15:27:19 2019 -0700

    Plumb through filesystemType
    
    Implement the filesystemType property in the vim.vm.guestInfo.DiskInfo.

commit 79c7f28781fc38eb2e2ec691c907822dd1259bc4
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed May 8 15:27:19 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit 000856aea0bd78c581888c3e3771cf79c6fdb7e9
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed May 8 15:27:19 2019 -0700

    Fix copy/paste on Ubuntu 19.04 guest
    
    Ubuntu 19.04 chooses Nautilus 3.32 as the default file browser.  From
    3.30, Nautilus checks mime type when pasting files from the clipboard,
    and the target type is also changed to UTF8_STRING instead of
    x-special/gnome-copied-files.  To support Ubuntu 19.04, apply this
    change into our guest code.

commit 7bbb1521360bd140a56d1fbf6a9663d297277901
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed May 8 15:27:19 2019 -0700

    Add a comment in vmci_sockets.h about why a file handle is "leaked"
    
    Let's add a comment in vmci_sockets.h explaining why we intentionally "leak"
    a file handle in VMCISock_GetAFValueFd.
    
    fd is intentionally left open when outFd is NULL. Closing it
    will break applications running on Linux without a fixed AF for
    vSockets. In such cases, the fd will be closed during cleanup when
    the application exits.

commit a5823224051da0318facf10e0732baa9f55334fc
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed May 8 15:27:19 2019 -0700

    Fix a trivial Coverity-reported memory leak.
    
    If AuthLoadPAM doesn't find all the needed symbols from the pam
    library, then dlclose the library, as is already done for
    the same-named funtion in bora/lib/auth/authPosix.c.

commit 47766e511be85410f5afc0bf8b0f05776fb66ece
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed May 8 15:27:19 2019 -0700

    Record Tools version 10.3.11 as Hot Patch for PR 2328829

commit 801df14f0e2b32aea17771bbd33d65140ff2361c
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed May 8 15:27:19 2019 -0700

    Fix Coverity-reported double memory free errors.
    
    Similar double memory free errors were reported in each of two
    functions, VixToolsListAuthAliases and VixToolsListMappedAliases.
    The fixes for each function are similar: be consistent in using
    tmpBuf2 (renamed tmpBuf) as the pointer to the overall buffer being
    computed and tmpBuf (renamed nextBuf) as the "next" version of the
    buffer.  Specifically, in the computation of recordBuf following exit
    from the for loop, use the variable formerly known as tmpBuf2 rather
    than the one formerly known as tmpBuf.
    
    The variables were renamed in an attempt to distinguish more clearly
    between them and how they are used.  Also, with these changes in
    place, it's evident that there's no need to free nextBuf in the abort
    case and as a result its scope can be limited.

commit 2031724154177a3f5ce28d3c608709c7ad6153dc
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed May 8 15:27:19 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit 8634350c330318eaf8f333c49f405e20b71ca813
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed May 8 15:27:19 2019 -0700

    Common header file change not directly applicable to open-vm-tools.

commit 2bbd56da4314856dfc1a8fed2db5b55cd9ef8860
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed May 8 15:27:18 2019 -0700

    Fixes for few leaks and improved error handling.
    
    Fix a memory leak detected by coverity scan. It is not critical,
    but it is real in an error case when there is no end mark. While
    fixing it, also enhanced code to handle different error cases
    properly because we would want valid content to be decoded even
    when there are invalid marks in the log file. Invalid log marks
    are possible when vmware.log gets rotated in the middle of guest
    logging.
    
    While verifying the fix using valgrind, found a couple of more
    leaks in panic and warning stubs. Addressed those as well.

commit 544cf1363c78d1d8c75e57d560b3650b5f667c64
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed May 8 15:27:18 2019 -0700

    Fix a trivial Coverity-reported memory leak in vgauth/cli/main.c.
    
    Call Pref_Shutdown to close the PrefHandle.

commit 4a2c4645a363c705e66cdb81847f579d8ff30e04
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Apr 30 13:24:25 2019 -0700

    Add garbage collection for vix process handles.
    
    This closely follows the model used for hgfs session cleanup.

commit ea2ee4789fd0db5451752ea98af55a3c6b47f1d2
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Apr 30 13:24:25 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit 4ee0255f2f7a32a76095de8c02a869e78f7ec765
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Apr 30 13:24:25 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit 9e6e3afa5b5c3dc11c7aa79454ca4c8184c87bdf
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Apr 30 13:24:25 2019 -0700

    Fix a memory leak in the unicode library.
    
    Ensure that allocated strings are freed before returning a failure.
    
    The ASSERTs have never been known to fire; a warning in a obj
    build will help with debugging. The warning should "never" happen.

commit d1de801b4b490aeecd982f19274e46485f156f79
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Apr 30 13:24:25 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit b2a6fdafed0bef27a77d549e4ffbed9a09b9f0bd
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Apr 30 13:24:25 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit a63fe3472895c9394ee8c3f2d0d2a496c3ccab6f
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Apr 30 13:24:25 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit 9bec96154c23462f2c6f80dd660f41bba38d4614
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Apr 30 13:24:25 2019 -0700

    Provide a shutdown function for users of the unicode library to free memory
    allocated by Unicode_Init().
    
    Most applications using the unicode library do not free related memory
    since they are about to terminate.  A Unicode_Shutdown() function is
    provided which will explicitly free the memory allocated by Unicode_Init().

commit 5614d61a2b8353cd48095210afbcc89f66228ae7
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Apr 30 13:24:25 2019 -0700

    Changes to common header files not applicable to open-vm-tools.

commit 4ae954db584b7e3287a97f44d0eeb96d09ba2c68
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Apr 30 13:24:25 2019 -0700

    Common header file change not directly applicable to open-vm-tools.

commit 35570e72d3833b73db653c89c84223c959856467
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Apr 30 13:24:25 2019 -0700

    Changes to common source files not directly applicable to open-vm-tools.
    
    Added the function Random_FastStream64() to provide a 64-bit random number
    if needed.

commit e89c751f0045f163c468c49b71db70478581c85c
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Apr 30 13:24:25 2019 -0700

    vm_basic_defs.h: include stddef.h
    
    The stddef.h header has existed since C89. It includes interesting
    things like an offsetof definition, and a definition of NULL.
    
    Let's stop re-inventing this long-standardized header. Except
    in vmkernel, where bogus __FreeBSD__ values break gcc's <stddef.h>.
    (Detail: vmkernel networking likes to define __FreeBSD__ to empty
    or 1, whereas ABI requires "FreeBSD major version".
    
    This change is deliberately minimal as touching headers included
    everywhere is inherently fragile. Further cleanups (like removing
    vmw_offsetof) can be done in follow-up changes.
    
    The stddef.h header is a 'freestanding' header, which means it's
    part of the language and not a "system" header. It is thus safe
    to include (modulo vmkernel-networking problem above).

commit 642d7a61db13969f9fb654ad1cc0d879bf680612
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Apr 30 13:24:25 2019 -0700

    Fix Coverity reported issues in i18n.c code - VMTools & VGAuth
    
    bora-vmsoft/apps/vmtoolsbib/i18n.c: MsgLoadCatalog()
    - Coverity reported memory leak when an error is encountered parsing a
      line from a message catalog.
    - Second memory leak on error missed.
    
    bora-vmsoft/vgauth/common/i18n.c: MsgLoadCatalog()
    - Coverity reported some dead code.
    - Missed reporting memory leak when error is encountered parsing a
      line from a message catalog.

commit 0f7b4b275aaf20bebf8d4739cf283fade05c3dcb
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Apr 30 13:24:25 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit 9e0ccaa3bf2805674fd882362427aa2d3376a3a8
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Apr 30 13:24:24 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit 3cf1df758ba64cb6aebe81bf3a430ad536221c19
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Apr 30 13:24:24 2019 -0700

    Toolsd uses log.text RPC only when the useLogTextRpc is set to TRUE.
    
    This allows the tools installer to start use the log.text RPC without
    worrying about that toolsd has not completed the work of scrubbing its logs
    for security and privacy issues.

commit 1b755d3e619ed40d8750532f10af5a1df6de6cda
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Apr 30 13:24:24 2019 -0700

    Fix memory leak in SNEBuildHash function.
    
    In a specific code path of the SNEBuildHash function, when the
    environment variable is of the format VMWARE_*=[0|1], the value
    is not freed.  Fixed the memory leak.

commit 0957e9c46476f8eab435576e7094b125e102f6ce
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Apr 30 13:24:24 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit bbefe8051a56b3cf834bf71c8f55fdfd88802b9d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 15 11:33:00 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit a0b825b2251bf9d30fb29d5deb1d269ec361428c
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 15 11:33:00 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit abd87bf17c9869900dad292a458b871de90c4c7d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 15 11:33:00 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit 85bc2e71dd7a855d3c533965859c1756deecc314
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 15 11:33:00 2019 -0700

    Fix minor leak in FileRotateByRenumber - Coverity scan

commit 82169f198925c9aa27bd04fd665eac67396adbe7
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 15 11:33:00 2019 -0700

    Fix a leak if VGAuth setup fails.  Coverity issue

commit 555f28c7d07161a5bcd0a90fe46869bc6be4ba21
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 15 11:33:00 2019 -0700

    Common source file change not applicable to open-vm-tools.

commit b9993b990ea7dc077c6e625137802492245fb31b
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 15 11:33:00 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit ca4be3d1bcb1d184eafb2c576dd7a127a95628fc
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 15 11:33:00 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit e6d24a37cdcd88624f66ad86f161e8576e7c6ec0
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 15 11:32:59 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit da8c476be54bcd94c6b4f15a013dd02419b4ec29
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 15 11:32:59 2019 -0700

    Changes to common source files not directly applicable to open-vm-tools.
    
    Add an error code to a debug message.

commit 8eba31ddbf50a194acdd3eb30935a1fb3895bd50
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 15 11:32:59 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit b4a0d4c8137cdfbee073b456c71b731fa21e6ead
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 15 11:32:59 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit e53f942615313e5d209f49d9c4da4227671c38d8
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 15 11:32:59 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit c0ec4f8294ec6428ee2a7f7284b37f79f4661bf3
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 15 11:32:59 2019 -0700

    Add a DynBuf_InitWithString() function to the dynamic buffer routines.

commit 2dc55af11451712b05a0c85a9c2ba1e5619b4841
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 15 11:32:59 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit f35313969af9bd2815709930f054171d7ebbcbc9
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 15 11:32:58 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit c864f9e015a25864b952210796458e77c1f5726f
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 15 11:32:58 2019 -0700

    Common header file change not directly applicable to open-vm-tools.

commit 6de2df2c43c412c048f666277eaa48d8bb0c0321
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Apr 10 14:14:57 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit 306f0f7b507486795c0d726288ceb7145dcf3c00
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Apr 10 14:14:57 2019 -0700

    Common header file change no applicable to open-vm-tools.

commit 6219e245c5e42479f4aef36ab8ee49db3c368f83
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Apr 10 14:14:57 2019 -0700

    Remove use of "-Wno-address-of-packed-member" option for OVT builds on FBSD
    
    With the HGFS source code refactor to avoid taking the address of a
    packed structure memberuse of "-Wno-address-of-packed-member"
    is no longer needed to build OVT on FBSD 11.x and FBSD 12.x.

commit 8b2bbbd8c2b647592a2f444a678fe93552fb0d22
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Apr 10 14:14:56 2019 -0700

    Add a 64 bit pseudo random number generator
    
    This change adds a 64 bit pseudo random number generator to the public
    library by calling the existing 32 bit Random_Fast function twice.
    Since the period of Random_Fast is 2^64, this should be sufficient.

commit 5f9bd0c6a39a266854fad680d2251c024c309425
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Apr 10 14:14:56 2019 -0700

    Remove some "always TRUE" comparisons reported by clang 6.0 on FBSD.
    
    A recent refactoring of HGFS fuse code to avoid taking the address of
    a field in a packed structure introduced a comparision of an array
    address != NULL which will always evaluate to "true".  Removing the
    unnecessary "if" statements.

commit 67b66d0ff13324413deac6c522bd382ee450125e
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Apr 10 14:14:56 2019 -0700

    Common source file change not applicable to open-vm-tools.

commit 86bf8de08dbb28e8902411b8a9bc0e64f972f74d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Apr 10 14:14:56 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit 3bc7907533c45544fcfb24906a0e4b7de61718e7
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Apr 10 14:14:55 2019 -0700

    Changes to common header files not applilcable to open-vm-tools.

commit 6576ad0d7b28bd1ddab2fce8a0f34695aa57a774
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Apr 10 14:14:55 2019 -0700

    Common source file change not applicable to open-vm-tools.

commit 8c69b930a826aad87c692d516fd77d1a4cbed0fb
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Apr 10 14:14:55 2019 -0700

    DnD Phase II] - Avoid potential memory overflow.
    
    In the case when dragging a format whose size is exactly the same as the
    size threshold and plain text is provided, the plain text can't be added.
    Current logic does not handle this case.  Instead it will result in a
    large unsigned number (0-1 = 0xffff_ffff) of bytes to be allocated to
    store plain text which causes memory overflow.
    
    Just return in the case that no more size left to add plain text or the
    plain text is empty.

commit 685aa3d0879aabde450ba0d6c79d256d6abaf3f5
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Apr 10 14:14:55 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit 71b41229ffe1f31711b35145ee1ab0bfbb763295
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Apr 10 14:14:54 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit f2eb555cf6e9f8c779daf1dc9c2f7aff383d105a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Apr 10 14:14:54 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit 8046af84ee4aa1d271af4c1d2379fb3d88dba3ac
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Apr 10 14:14:54 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit cf05c47b06af90a7bb7c5d561fb425ba2ebc0b47
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Apr 10 14:14:54 2019 -0700

    Common source file change not directly applicable to open-vm-tools.

commit 5a6ee8f90b90f42d24de1561ee94855c576933f3
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Apr 10 14:14:53 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit d759ae5ecfcc6f1069decdb2511ec32bf12a1663
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Apr 10 14:14:53 2019 -0700

    Asyncsocket in low latency send mode may write into freed memory
    
    Blast service encounters access violation exception during scale tests
    in AsyncTCPSocketSend() at bora\lib\asyncsocket\asyncsocket.c.
    
    Root cause is asock refcount is not incremented before the inline
    invocation of AsyncTCPSocketSendCallback() in the low latency send
    mode and asock is accessed right after this invocation to decrement
    inLowLatencySendCb counter. AsyncTCPSocketSendCallback() on error
    would invoke error handler which in turn could close the asock
    leading to freeing of asock.
    
    Issue wouldn't happen if AsyncWebSocket impl guarded all of its
    transport->send(transport) calls with AsyncSocketAddRef(transport)
    and AsyncSocketRelease(transport) but isn't the case currently.
    
    Fix is to add and release asock reference around the inline
    invocation of AsyncTCPSocketSendCallback().

commit 325e244951790d7a848281fdb0236b0f6ee26996
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Apr 10 14:14:53 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit b90344ea3696506c7d2a8022c340b6aafb6f6a91
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Apr 10 14:14:52 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit 13f457aa737d8bca27f09862cf2a45df8f4a425b
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Apr 10 14:14:52 2019 -0700

    InitiateFileTransferToGuest fails when uploading file to root directory
    
    File upload to '/' on Linux fails the directory exists check.
    This is caused by the file dirname being an empty string when parsed from
    the guest file path name per the documented behavior of File_GetPathName.
    
    The caller of File_GetPathName needs to handle the expected empty dirname
    string when dealing with file path in the root ('/') filesystem on Linux.
    
    Proposed fix is to replace the dirname string with the root path ('/') when:
    A. dirname obtained from File_GetPathName call is an empty string AND
    B. the original file path name starts with the path separator ('/') on
       Linux (or *nix like) GOSes
    
    This allows for the directory checks to inspect the root folder before
    proceeding with the file transfer.

commit 022121ce185662c05b3e1bf7166500f4f0f72bb2
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Apr 10 14:14:51 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit 3de5e45099ae309b59f371e1d71c88c80815f92d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Apr 10 14:14:51 2019 -0700

    Backing out the previous change to vixTools.c
    
    As the code committed was not the one reviewed but another version of the
    fix under exploration, reverting the previous change.

commit e38e881a04cdf1684913c0e65596f4965e8d0c32
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Apr 10 14:14:51 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit f682261e7997aa440523af63369e4b99e4823af7
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Apr 10 14:14:49 2019 -0700

    InitiateFileTransferToGuest fails when uploading file to root directory
    
    File upload to '/' on Linux fails the directory exists check.
    This is caused by the file dirname being an empty string when parsed from the guest file path name per the documented behavior of File_GetPathName.
    
    The caller of File_GetPathName needs to handle the expected empty dirname string when dealing with file path in the root ('/') filesystem on Linux.
    
    Proposed fix is to replace the dirname string with the root path ('/') when:
    A. dirname obtained from File_GetPathName call is an empty string AND
    B. the original file path name starts with the path separator ('/') on Linux (or *nix like) GOSes
    
    This allows for the directory checks to inspect the root folder before proceedeing with the file transfer.

commit fcb7bb71a30f740b2d4bcfb8ae82733d044e6c00
Author: Oliver Kurth <okurth@vmware.com>
Date:   Thu Mar 28 12:43:00 2019 -0700

    Make building without ICU the default for Linux.

commit bd84c8a35c7aedb2638bba087bc1756cfb9ccf9d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Thu Mar 28 12:43:00 2019 -0700

    Query disks for UUID
    
    As part of identifying a guest disk so it can be associated with a vmdk,
    query its serial number, which is the same as the vmdk's ddb.uuid

commit 076e7e10f24b53fcbd7b21d95ee4763f5f527e45
Author: Oliver Kurth <okurth@vmware.com>
Date:   Thu Mar 28 12:43:00 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit b9939819756514c7ebe71059e0323cde8bb44c68
Author: Oliver Kurth <okurth@vmware.com>
Date:   Thu Mar 28 12:43:00 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit 59a7e9e1c5e8e6883740ec43371cbe7076ee6bc0
Author: Oliver Kurth <okurth@vmware.com>
Date:   Thu Mar 28 12:43:00 2019 -0700

    Bug fix for DnD performance tuning for Mac and Windows clients; not
    directly applicable to open-vm-tools.

commit 176aa26ae63050e7d10c8413230c566069cb06d9
Author: Oliver Kurth <okurth@vmware.com>
Date:   Thu Mar 28 12:43:00 2019 -0700

    Common source file changes not applicable to open-vm-tools.
    
    Security fix for dll load paths in Tools and vgauth.

commit f2e134e40bd7fab478f4f1545db8f09b39e2d3dc
Author: Oliver Kurth <okurth@vmware.com>
Date:   Thu Mar 28 12:43:00 2019 -0700

    Common header file change not directly applicable to open-vm-tools.

commit c65bb4057bbd8d4b96f8b1bedfc273669357cfd8
Author: Oliver Kurth <okurth@vmware.com>
Date:   Thu Mar 28 12:43:00 2019 -0700

    GOS Table: Add Linux 5.x
    
    Linux 5.x is here!  Add it to our supported guests list.

commit 9f05b0bca42039eb6de0f16441d3a6edc4093264
Author: Oliver Kurth <okurth@vmware.com>
Date:   Thu Mar 28 12:43:00 2019 -0700

    Common header file change not directly applicable to open-vm-tools.

commit d28bb53aeeb425502de7a90175482c5abf16b8ee
Author: Oliver Kurth <okurth@vmware.com>
Date:   Thu Mar 28 12:43:00 2019 -0700

    Remove the /etc/security directory from the guest vm-support bundle.
    
    This directory contains sensitive guest side data that we should not
    expose to the host side.
    
    Although running the vm-support requires the root privilege in the guest,
    the guest admin might not be aware of the ramification of running the script.
    Therefore, better be cautious.
    
    No file from the /etc/security has been needed in the past.  If any file is
    needed in the future, that need will be evaluated case-by-case at that time.

commit b87bf1b5a1fb93f348d311086c335c0e14e44469
Author: Oliver Kurth <okurth@vmware.com>
Date:   Thu Mar 28 12:43:00 2019 -0700

    Common header file change not applicable to open-vm-tools.

commit c760135f46eaf246612bc8632374966ed79ce9b2
Author: Oliver Kurth <okurth@vmware.com>
Date:   Thu Mar 28 12:43:00 2019 -0700

    DnD performance tuning for Mac and Windows clients; not directly applicable
    to open-vm-tools.

commit 477bc19fac47a71369bf5872c8ff9b366d51ca1a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Thu Mar 28 12:42:59 2019 -0700

    Fix a memory leak in vmbackup.
    
    Note: vm_free() is called here because GuestApp_GetConfPath() is calling
    Util_SafeStrdup() to allocate the memory.  Both GuestApp_GetConfPath and
    vm_free are implemented inside libvmtools.so.

commit 8f1e76f97989009fa44cbbfc1ac48e3e0083b9e7
Author: Oliver Kurth <okurth@vmware.com>
Date:   Thu Mar 28 12:42:59 2019 -0700

    Common source file change not applicable to open-vm-tools.

commit d93219282ff7e89e3f581bf757dfd807c7568452
Author: Oliver Kurth <okurth@vmware.com>
Date:   Thu Mar 28 12:42:59 2019 -0700

    Fix memory leak in GetFormattedCommandLine() function (linuxDeployment.c)
    
    1. There are malloc() calls happening in a loop; this function returns
       NULL when one of malloc fails.  If a malloc call fails in the loop,
       all memory allocated in previous iterations should be freed before
       the return NULL.
    2. Clear allocated resources before return NULL in this file.
    3. Add NULL check following malloc calls in this file.
    4. Encapsulate %s in () only if %s is strerror(errno), otherwise encapsulate
       %s in single quotes.
    5. End with \n in sLog.

commit 85f0733565333335aac4c45851013e8e0901a9f5
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Feb 27 14:39:58 2019 -0800

    Remove dead code in vmtoolsConfig.c
    
    There is a lot code in vmtoolsConfig.c that handles the 'tools upgrades'
    from legacy tools versions.
    
    But as per
    https://docs.vmware.com/en/VMware-Tools/10.1/rn/vmware-tools-1010-release-notes.html#installupgrade,
    legacy tools versions (prior to 9.4.x) must be first upgraded to 10.1.0 before
    upgrading to the latest tools versions. Hence, removed all the code which is
    no longer applicable for the 'latest tools version'.

commit 449b8d4aa6ca1fbd34ac1f5aa5324c141075ab0a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Feb 27 14:39:58 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit 23dec2833bc0961b7623672deb9971f4ae0ec385
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Feb 27 14:39:58 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit fa94fcf10c3fd0fe8a327cb27de72830ce615257
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Feb 27 14:39:58 2019 -0800

    Log guest OP results to guest side only.

commit aaa29bf9e9a59a25b009949bc688166615e983ae
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Feb 27 14:39:57 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit c88df96c3c8aab080bb79ad8ece5b558cf49bbe1
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Feb 27 14:39:57 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit 89dcc97adf9ed58ed3f2f89ca354ee55353e8317
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Feb 27 14:39:57 2019 -0800

    Changes to common header files not applicable to open-vm-tools.

commit f23e764d01136eaf3aba5c91da2db334b4c9cb1a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Feb 27 14:39:57 2019 -0800

    Tools Vix Plugin: minor cleanup remove unnecessary undefs
    
    A minor cleanup remove unnecessary undefs and fixing a misspelling in
    a function header. The function header somehow got removed from the
    previous clean up so here it is again anyway, with the addition of the
    spelling correction.

commit 13e4fd7c5be25fcf2a4243c2ca32cdf0fec44496
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Feb 27 14:39:57 2019 -0800

    Linux DeployPkg should provide a configurable timeout for the spanning
    customization process.
    
    Change the upper limit of the timeout value in tools.conf to 3600 instead
    of MAX_UINT16.  Revise the log message displayed when an invalid value
    is configured in tools.conf.

commit 6b6a4c8d2262036fec01d894819b8ac8c764e05b
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Feb 27 14:39:57 2019 -0800

    Remove some redundant code in lib/poll/poll.c detected by cppcheck.

commit bd4bd92bab5339dc29ad042295e218b68c35f974
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Feb 27 14:39:56 2019 -0800

    Tools Vix Plugin: remove unused hgfs rpc channel
    
    This change removes the unused VIX_BACKDOORCOMMAND_SEND_HGFS_PACKET
    rpc handler from the Vix plugin.

commit df108dbfeb08dcf1c9ac0b6dd0026048c6c007a8
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Feb 27 14:39:56 2019 -0800

    Changes to common header files not applicable to open-vm-tools.

commit 3cd64dd8b345194c277dfbfe7361db115294a40c
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Feb 27 14:39:56 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit 1875839fe260d7093e8170ef079b6c6875a1c99d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Feb 27 14:39:56 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit 705dea9434a9e2b4db2163e6cf9bdd5451f4e4d6
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Feb 27 14:39:55 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit 0230f00147774547cd72e62a805db511234bbf8e
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Feb 27 14:39:55 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit 1703710a2706527748ec7be6767c14f2fcf63fc2
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Feb 27 14:39:55 2019 -0800

    Common source file changes not directly applicable to open-vm-tools.

commit c68172ef7f2d4f116078e2aba82986a8cab0b16e
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Feb 27 14:39:55 2019 -0800

    GCC 9 caught several misaligned accesses and a format overflow.
    
    GCC 9 generated several instances of "Werror=address-of-packed-member"
    in HGFS Fuse support code and hgfsmounter. There is also one instance of
    "Werror=format-overflow" generated in util_misc.c.
    
    According to stackoverflow discussion -
    https://stackoverflow.com/questions/8568432/is-gccs-attribute-packed-pragma-pack-unsafe,
    x86 hardware handles misaligned access and does not exhibit any real
    issues. However, GCC 9 generates misaligned access warning
    ("Werror=address-of-packed-member) for all architectures. In case of
    open-vm-tools build we treat warnings as errors and also we want code
    to be as portable as possible in general unless there is a reason not
    to do so.

commit 577bc573f875ad5fe0e932cc58f2d607c422ea92
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Feb 27 14:39:54 2019 -0800

    Common source file changes not applicable to open-vm-tools.

commit 17a318fbde8df0b7aaa222acf944d319397fa42c
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Feb 27 14:39:54 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit 9a013addd657dda0d6671b7ea64c4a0793f57d18
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:33 2019 -0800

    Bump up the SYSIMAGE_VERSION to be same as the VMTools version.

commit 34e9b02de740562802680ab43b8dfd3e741b0658
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:33 2019 -0800

    Hgfs Server Manager Tools: fix a memory leak
    
    The Hgfs server manager interface assumes that it is called only once
    for each application that uses it.  However, in the tools services there
    are multiple clients.  Hence, the initialization is done multiple times
    and causes the previous initializations which allocate resources to be
    overwritten and lost.  Thus memory is being leaked.
    
    Initialize the policy shares once on the first register and cleanup
    the policy shares on final unregister by introducing a reference count.
    
    The channel is already reference counted and initializes the channel once.
    However it is necessary to call the channel init on each register
    and exit on each unregister as it saves a channel reference in the data manager
    object passed to it by the caller for subsequent retrieval.
    
    Add an additional log to the policy init and cleanup calls for tracking purposes.

commit 19609ecdf97dbdbfa116eb3129689850fbf3e528
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:33 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit 05fb961e2c5fcb0e3be0353171f3f2b5d945d0dd
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:33 2019 -0800

    Common source file change not directly applicable to open-vm-tools.

commit 393476a4ccab5dbf1afe1ac5ced9f71be0d25cff
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:33 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit 4746cfffa7f4334438f4f0b219033b33d079f970
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:33 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit 68b2d39547222badd73cdbc6eecdec57e8e5e45e
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:33 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit 188df13c0a30c4612c074b7c805926f9a35120d0
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:33 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit 7b88dd52f7d3f70664282f9546230f40dbabc694
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:33 2019 -0800

    Changes to common header files not applicable to open-vm-tools.

commit 91c3366719fad3546d705ccb8000fef12ab8e284
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:33 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit 41d328a9b1119f6078948fdb619d66940eae2a9b
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:32 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit c9863b19f32c20a6ca38cdb6244ef48e5f51dcc2
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:32 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit fdcd728a0b9c21f6017f7a4aef55553a88a6f9ee
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:32 2019 -0800

    Changes to common header files not directly applicable to open-vm-tools.

commit 46ce56518e018c98d5f2c2dfcbda6df039cb548f
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:32 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit 35eae094a31571d806ffdb82c479a425a865bfda
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:32 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit 43ba436554ee51d8d7e40a7e86618bd634292356
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:32 2019 -0800

    Common source file changes not applicable to open-vm-tools.

commit a62dd61cc798cf311fa23449534eb22470997ee7
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:32 2019 -0800

    Changes to common source files not directly applicable to open-vm-tools.

commit 9877ed7ad678fa77028c6f4c8a285c82d7fbcb9e
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:32 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit 364684e1ce5fba483682f91c7fc27ee0fdcc2a93
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:32 2019 -0800

    Fix the missing IP aliases in the guest info.
    
    IP aliases were missing in the guest info when libdnet is not used.
    
    Previously tried to use the MAC address as the key to identify the IP aliases
    on Linux.  However, that didn't work for vlan devices which share the same
    MAC as the parent NIC.  The previous attempt was backed out.
    
    Ideally, need to find a way to map the label name to the NIC name, but
    have not been able to find a simple solution for this.  There might be a
    netlink based solution but it is way too costly to do.
    
    After more investigation, found out that a valid IP alias name must start
    with the original NIC name followed by a colon.  Even though the ip addr allows
    any string as the start of the NIC name, configuration file requires the colon.
    In addition, ifconfig would error out when the name is not of the standard:
      ens192wwwww: error fetching interface information: Device not found
    
    Therefore, a correctly configured system should use eth0:1, ens192:2 etc.
    
    A lookup of libdnet source revealed the same assumption in the libdnet code.
    
    /* Get addresses for this interface. */
    for (ifr = intf->ifc.ifc_req; ifr < lifr && (ap + 1) < lap;
    ifr = NEXTIFR(ifr)) {
    /* XXX - Linux, Solaris ifaliases */
    if ((p = strchr(ifr->ifr_name, ':')) != NULL)
    *p = '\0';
    
    Therefore, doing just the same.  Look for the colon, then trim it, and then
    compare it with the NIC name.

commit 47943dec30e3b98259c1dc0d48fb4f669fb02e99
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:32 2019 -0800

    Update copyright year to 2019 for OVT 10.3.10 files.

commit 0c18ef48a57aeb73c7ac970336c3a7c199744de1
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:32 2019 -0800

    Back out the previous change to bump up the SYSIMAGE_VERSION to be the same
    with VMTools version.

commit 8ae36f730d8a7460e5cc139019c8b583abf9677a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:32 2019 -0800

    Back out the previous change to fix the missing IP aliases in the guest info.

commit b2976af2553c758cfd871b4d9b7593a92c867e9d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:32 2019 -0800

    Bump up the SYSIMAGE_VERSION to be the same with VMTools version.

commit e9512d13665b8d7f9bed2712b0a92a4ebc03f785
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:32 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit 7f5a754e197ff4f1159f3d8c793de1fc8d3a19de
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:32 2019 -0800

    GuestOS: Improve the guest OS identification code
    
    Now that we often have an explicit, unambiguous version string for
    a distro, use it. In the rare case we don't have one, search the
    distro string for a digit and use that. If we can't find anything,
    note this and let the code fall into the default appropriate to the
    distro.
    
    With this change, we stop using strings and so are no longer confused
    by things like "7.5". For a few of the distros, we now no longer care
    about the upper bound, we can report what we find. Anything above what
    the release supports will be fixed by the GuestMapper.

commit 50a8517abc36af4963c9c29b1127b7652829e410
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:32 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit b6d001fd7b45c5b9414c5642503ad91a5ab279c8
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:32 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit dd38338c0bfe8a4778a29a53819e3b5aac683381
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:32 2019 -0800

    Fix the missing IP aliases in the guest info.
    
    IP aliases were missing in the guest info when the libdnet is not used.
    ESX does not seem to support IP aliases, so the ESX code path is kept logically
    the same as before.
    
    On Linux, for each IP entry, get the label name, and use ioctl to get its MAC.
    Use the MAC to match the current device MAC.
    
    The getifaddrs() call ensures that the ifa_name is not NULL, so there is no
    need to check for NULL pointers.

commit e689b1996788de4e8b9e3dd896a593dad4ca4520
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:31 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit bda2908d861cbfae99119340d22c09aae99df51e
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:31 2019 -0800

    Include vmware/tools/log.h to define g_info.
    
    A recent change added a call to g_info from syncManifest.c.  This
    in turn is causing open-vm-tools builds to fail because g_info is
    not available on SLES 12sp1.
    
    To fix the problem, include vmware/tools/log.h in syncManifest.c.
    log.h defines g_info as a macro.

commit eb1b69ce8a677025cde23c5913719c5103c6a186
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:31 2019 -0800

    Common header file change not directly applicable to open-vm-tools.

commit cf60bf56b021452e7a92c42a767156b2a64e1ac0
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:31 2019 -0800

    Back out the previous change to remove support for building with
    xml-security-c and xerces-c.

commit a9db8091cbc5286086ccddf7b78560f05fe90fb6
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:31 2019 -0800

    Remove support for building with xml-security-c and xerces-c
    
    Remove support for building VMTools with xml-security-c.  Since
    xml-security-c is the only requirement for xerces-c, xerces-c
    is dropped as well.
    
    There is also some cleanup of the handling of some configure
    options related to vgauth, ssl, xmlsec1, and xml2.

commit 3a023fad437c1ee576c4e9802f94f208243a9bb8
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:31 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit 8a60e9573885f1ef339cf1bfc19cfb7bc1912122
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:31 2019 -0800

    Always send VMBACKUP_EVENT_GENERIC_MANIFEST during quiesced snapshots.
    
    vSphere 6.7 added a host-side interface that allows VMTools to send
    a "generic" backup manifest during a quiesced snapshot on Linux guests.
    VMTools 10.2.0 or later tries to notify the host of the backup manifest
    file through a vmbackup event message VMBACKUP_EVENT_GENERIC_MANIFEST.
    If the host is unable to field the message, then VMTools logs the
    failure and then continues with the quiesced snapshot in the older
    fashion, without the backup manifest.
    
    An earlier change attempted to reduce the amount of logging done when
    running on older hosts that don't support VMBACKUP_EVENT_GENERIC_MANIFEST
    by detecting when sending VMBACKUP_EVENT_GENERIC_MANIFEST fails and
    not sending the message again for subsequent quiesced snapshots.
    However, subsequent stress testing has uncovered problems with this
    approach when running on newer hosts; specifically, errors may sometimes
    be encountered on newer hosts when sending VMBACKUP_EVENT_GENERIC_MANIFEST.
    Therefore this change backs out that earlier change.
    
    Note that the need to solve the problem that that earlier change was
    intended to solve has been reduced because support for
    VMBACKUP_EVENT_GENERIC_MANIFEST has been backported to vSphere 6.5
    P03, which is available, and vSphere 6.0 P08, which is scheduled for
    release later this year.  ESXi 5.5 is out of general support.
    
    This change also addresses an issue that surfaced when testing on a
    host without support for VMBACKUP_EVENT_GENERIC_MANIFEST.
    If VMTools fails to send VMBACKUP_EVENT_GENERIC_MANIFEST, the quiesced
    snapshot operation will be aborted rather than continuing as it should.
    To address this, create a new function, VmBackup_SendEventNoAbort,
    which does not abort the quiesced snapshot on failure, and call that
    function rather than VmBackup_SendEvent when sending
    VMBACKUP_EVENT_GENERIC_MANIFEST.

commit 1b7769909f3269f681e530acc413201c8d6facf0
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:31 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit 480dd20016ed0517b31b78735d50ee3630790e07
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:31 2019 -0800

    Add disk UUID to GuestDiskInfo
    
    Add UUID/Serial number to the GuestDiskInfo.

commit 119c9df55c2265460fc7eb6fad5d87226435e276
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:31 2019 -0800

    Linux DeployPkg should provide a configurable timeout for the spanning
    customization process.  Right now it is hard-coded to 100 seconds.
    
    Sources to provide "timeout" value:
    1. Clients such as vCenter and SRM can pack timeout value in cab header
       via API func "DeployPkg_SetProcessTimeout(uint16 timeout)".  this timeout
       value will be implemented during the package deployment process.
    2. Package deployment engines:
      - tools deployPkg plugin:
        Add "process-timeout" in tools.conf.  The tools deployPkg plugin will use
        that value to control the time period of the package deployment.
      - linuxDeployPkg:
        Add "-t <timeout>" as optional argument in linuxDeployPkg
        Usage: ./linuxDeployPkg -d <cabfile> -t <timeout> --skip-reboot
    3. Default value in deployPkg is 100s.  If both the client and package
       deployment engines don't provid this value, then the default value of
       100s will be used.
    4. The "timeout" value from clients will overwrite the value from the
       deployment engines when both of them provid this value.

commit fde5e1e4fade4bc3672a94cbae7b20d063057540
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:31 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit ee25e6a05996b9beda0c07361d44d4e30fdbe3f2
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:31 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit 4caacb6a4fba771d2d416505ec3c3014fac3cb82
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:31 2019 -0800

    Common source file changes not directly applicable to open-vm-tools.

commit c8fa72b1b3e3f0ecf725faf77cc747d804dc0ae1
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:31 2019 -0800

    Common header file change not directly applicable to open-vm-tools.

commit 7d4ddf5c1a1160720f89f1a7f79fdb2f98b9b49b
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:30 2019 -0800

    Common header file change not applicable to open-vm-toold.

commit 799401f69d0ee47d475b201254a2fa65bdfe7b81
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:30 2019 -0800

    Common header file change not directly applicable to open-vm-tools.

commit 69dc92cfb5397399385e7fa67bab3ef685d51c3e
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:30 2019 -0800

    Use the LSB and os-release data to find the best guest identification
    
    Historically, we have the LSB to describe a Linux distro.  More
    recently, the os-release standard was added.  Change our guest
    identification code to attempt to use both data - when available - and
    make a value judgement as to which is better.

commit 7c4d548c5f6dfc3a0d24e11bf53c834487df9067
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:30 2019 -0800

    Send diskInfo as a json document.  Modernize diskInfo RPC.

commit 6143662e1b1e89671c4b4812bdbed76d12cff14e
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:30 2019 -0800

    [Part 2] GuestLib support for 64bit memory shares.
    
    MEMSCHED_SHARES_MAX is currently set to MAX_PPN and will not fit in
    32-bit soon. 'memshares' property which is currently available in GuestSDK
    is an unsigned 32bit value.  Starting from ESX 7.0, this value is available
    only if it can be fit in an unsigned 32-bit data type.
    
    'memShares64' is the new unsigned 64-bit property added in GuestSDK for the
    memory shares.
    
    Added necessary APIs to retrieve the memshares64 value.  The new API
    VMGuestLib_GetMemShares64 will first try to retrieve the memShares64 property.
    If the underlying host is an older one, then the API will return the memShares
    property.
    
    Updated the vmGuestLibTest code to retrieve and print the new memShares64 value.

commit b1f9a9656e20d4e6f1cb74bc07b75d936346d96a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:30 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit e639a33061a85ec70aded35429b9d634de17ac74
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:30 2019 -0800

    Update seamless window's copyright year as 1998-2019
    
    1. Changing the COPYRIGHT_YEARS in vm_legal.h to 1998-2019
    2. COPYRIGHT_YEARS is used by UTF8_COPYRIGHT_STRING_BASE and
       UTF16_COPYRIGHT_STRING for win32 UTF-16 version.

commit 5260d3b532c436d2b3be825876359f9c6682578d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:30 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit bf62073f69e496a83529e6acf3b33300a50ad991
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:30 2019 -0800

    Common header file change not directly applicable to open-vm-tools.

commit 8c2911145026ddc7bd1fdfab97e1af3fefab5dae
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:30 2019 -0800

    Common header file change not directly applicable to open-vm-tools.

commit 070ef6fd44b6a0095ec51faebf2e0c5c0151efb7
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:30 2019 -0800

    [Part 1] GuestLib support for 64bit memory shares.
    
    MEMSCHED_SHARES_MAX is currently set to MAX_PPN and will not fit in 32-bit soon.
    
    Changed the datatype of 'memshares' property to uint64 for the future support.
    
    'memshares' is exposed in GuestLib as unsigned 32-bit value.
    Modified the ESX code to set this property only if the vaulue can be fit in
    a uint32 type. Else, the value is not set and 'valid' bit set is set to FALSE.
    
    Added a new property "memShares64" (as uint64) in GuestLib for the new
    64-bit memory shares.
    
    This CLN implements only the necessary changes on ESX side.

commit f14ba86d12e158c2ad1bac2d41082054d2154127
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:30 2019 -0800

    Changes to common header files not applicable to open-vm-tools.

commit c9cf0614fdb1dd9bbea572f37c1543d8852c7f37
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:30 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit ba975b71a38b96f19f06ed2dc6dd37acd421e99e
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:30 2019 -0800

    [Asyncsocket] Avoid ASSERT failure when removing recv callback if fd has POLL_FLAG_ACCEPT_INVALID_FDS flag set.

commit ec4e32afe179db8cf514177b08d9ab69696a2450
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 19 12:51:29 2019 -0800

    Security issue with the intermediate staging directory used for DnD and CnP
    
    Problem:
    /tmp/VMwareDnD is a staging directory used for DnD and CnP.  It should be
    a regular directory, but malicious code or user may create the /tmp/VMwareDnD
     as a symbolic link which points to the home directory of the current desktop
    user before the staging directory is created.  Later when the desktop user
    initiates a DnD or CnP operation, the permission of that user's home directory
    will be changed allowing the malicious user full access to the desktop user's
    home directory.
    
    Solution:
    Do not set the permission of the staging directory if that directory already
    exists and has the wrong permission.  The permission of the directory will
    be 1777 if it is created by VMTools.  If that is not the case, the directory
    has been created or modified by malicious code or user; just cancel the host
    to guest DnD or CnP operation.

commit 1a39495618c1573c0fb16dd15368d0f2e606372c
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jan 16 14:53:06 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit 4b9d0560bbeb50a395ffcfa7f1114d0c0246f207
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jan 16 14:53:06 2019 -0800

    Add WarningToHost() and WarningToGuest() functions
    
    This change is needed to address the privacy and security changes that
    are required so that vmware library warnings can be forwarded to the
    host side selectively.
    
    For instance, if a warning message is sent to VMX, the user name must be
    stripped from the message.

commit f16f911678e8075ba8422de3f2b70de9a7859974
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jan 16 14:53:05 2019 -0800

    Fix CONSTANT_EXPRESSION_RESULT in TimeUtil_StringToDate().
    
    Red Hat ran coverity scan on open-vm-tools and found an occurrence
    of CONSTANT_EXPRESSION_RESULT in TimeUtil_StringToDate().

commit 96da61e5aba3f97907477734b0a830a1338cd48b
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jan 16 14:53:05 2019 -0800

    [10.3.10] Update copyright year to 2019.
    
    Update the copyright year to 2019 for ALL open-vm-tools destined files
    modified since the release of 10.3.5.

commit 3f5711d996598a625252cdcc77404fbb09cbb3d0
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jan 16 14:53:05 2019 -0800

    Bail out of vmtoolsd early when there are RPC errors.
    
    VMX state machine could give up quiescing operation for various
    reasons when vmtoolsd is busy performing necessary state transitions.
    Once VMX gives up quiescing operation, there is no point in
    vmtoolsd continuing with it. vmtoolsd should also give up the
    operation asap. The vmtoolsd process can detect VMX state machine
    change when it gets errors sending VMBACKUP_PROTOCOL_EVENT_SET RPC.
    
    RPC errors are only used as a trigger to abort the operation.
    We ignore the RPC errors that might occur after aborting the
    operation.

commit f2d053bb4b7fca870ed3e4aacc26fdd92907d008
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jan 16 14:53:05 2019 -0800

    Don't send a backup manifest when aborting a Linux quiesced snapshot.
    
    When taking a Linux quiesced snapshot, communication failures between
    VMX and VMTools may result in VMTools sending a genericManifest event
    message after the quiesced snapshot operation has been aborted.  If
    this happens, VMX will send an error back to VMTools, which in turn
    causes VMTools not to send genericManifest messages on subsequent
    quiesced snapshots even if the host supports such messages.
    
    One aspect of the implementation that gives rise to this behavior is
    the use of the sync provider's snapshotDone function to undo a
    quiescing operation.  Specifically, if VMTools aborts a quiesced
    snapshot when the file system is quiesced, the quiescing must be
    undone.  Currently, this is handled by calling the sync provider's
    snapshotDone function.  This is the same function that is called to
    complete the quiescing snapshot protocol when it is successful.  In
    some respects this makes sense, since in either case snapshotDone
    unquiesces the file system.  However, architecturally and conceptually,
    it seems useful to distinguish between the action to be taken in the
    successful case versus the aborting case.  It's also useful to do so
    in practice, because the successful case sends the genericManifest
    event to notify the host there is a backup manifest file, while the
    aborting case should not do that.
    
    To address the issue, add an "undo" function for the Linux sync
    provider.  The undo function is called instead of snapshotDone as
    part of aborting a quiesced snapshot in which the file system is
    quiesced at the time of the abort.

commit d2386efc9b8d66e44b87d21db71fb1fc39cf00f1
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jan 16 14:53:04 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit 7c7371304783928cbd8fafeae682de46a1e64b4f
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jan 16 14:53:04 2019 -0800

    Common source file change not applilcable to open-vm-tools.

commit 0ab701192d0f5cdbb38525b1cd507bc56962651d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jan 16 14:53:04 2019 -0800

    Common source file change not directly applicable to open-vm-tools.

commit 5e957b0af978d7ba5106c1ae6a4e98e39cedd01c
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jan 16 14:53:04 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit 6af2b0bb4ba3d77d94cf61643803282198c7c68e
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jan 16 14:53:04 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit eed75f0ab178cceeabb761661cecaf636b595bdb
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jan 16 14:53:04 2019 -0800

    Common header file change not applicable to open-vm-tools

commit 87d1ca65dc4f0d0fa53a2fb5e1411c104aaa84d3
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jan 16 14:53:04 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit 51dd95f05655e6d6c84aa0622cb48aeaf2880180
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jan 16 14:53:04 2019 -0800

    Record VMware Tools version 10.3.7 used for a patch.

commit 01d4d19cc0f638ef119fb0b23801c66acd634920
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jan 16 14:53:04 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit e57c49e1a8504620acc87d5d64304d76c5cab804
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jan 16 14:53:04 2019 -0800

    Modernize diskInfo RPC
    
    Rewrite diskInfo RPC to allow it to be backwards and forwards compatible.
    step 1 -- re-org existing code.

commit 94ba58e23bda8f2cc74041c3c9cd2e8365a1b431
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jan 16 14:53:04 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit c2a852b98c01b61b0a73be2aaa77ca334e44e902
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jan 16 14:53:04 2019 -0800

    Special-case profile loading for StartProgram
    
    Keep the user's profile loaded for the life of the
    program, to avoid races where its unloaded too quickly.

commit 68e81d11ead52350a6be0ab383a65d2b11884345
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jan 16 14:53:03 2019 -0800

    Switch some stringxx headers to use angle brackets instead of double quotes

commit ff766a3e0dae726cf1d171a150633d9e995f2c08
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jan 16 14:53:03 2019 -0800

    Code clean-up - bora-vmsoft/lib/procMgr/procMgrPosix.c
    
    Recent discussions about setting "errno" to ENOENT when either
    getpwuid_r() or getpwnam_r() return 0 (success) if there is no passwd
    entry for the user have vacillated.
    
    Since none of the current callers of the routines in procMgrPosix.c
    query the contents of "errno", the current consensus is to simply log
    a warning message along with reason for the failure.

commit b2e0ca7c6a8a9fd7ad33cbc950f63c14ab205718
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jan 16 14:53:03 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit 9aef5870bc7dc439bfa422662403369dfdd7f1d3
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jan 16 14:53:03 2019 -0800

    Common header file change not applicable to open-vm-tools.

commit e74e440279d402c5d81a1b6f75e0760d91c4eb88
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jan 16 14:53:03 2019 -0800

    Changes to common header files not directly appilcable to open-vm-tools.

commit f8817830c0c41c6e5f7acf77555f9b1be2677b08
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jan 16 14:53:03 2019 -0800

    Style: Fix parameter alignment.

commit 4b3f4bc4878aa9eec15d29e8a5a177186a07292c
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Jan 16 14:53:02 2019 -0800

    Changes to common header files not applicable to open-vm-tools.

commit e5f79d1591677fd83173203e552e5a495109137f
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 14:12:19 2018 -0800

    Updates to the DeployPkg guest customization source code.

commit 401cf6d23667a66cd8f5ed5b5d6644305cb9180c
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:48 2018 -0800

    Changes to common header files; not applicable to open-vm-tools.

commit 78c8c4c2e83a6d24e0302e55f21912d7ebee9a2e
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:48 2018 -0800

    Changes to common header files not applicable to open-vm-tools.

commit 6c3d03d6ef32edffa882ce1816f344f4e1db4d8a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:48 2018 -0800

    Header file guestcust-events.h moved to a new location.

commit dafeb935f81a7c10946f359b0753de2ea74befda
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:48 2018 -0800

    Common header file change not applicable to open-vm-tools.

commit 6009a6c1d3c7e72880541b0e4ca2a39e09e6d4e3
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:48 2018 -0800

    General code clean-up.
    
    bora/lib/misc/posixPosix.c:
    Treat local variables "len" consistently as "size_t" type in
    Posix_Getmntent_r()
    
    bora-vmsoft/apps/toolbox-cmd/toolboxcmd-shrink.c:
    Improve readability of error handling logic in ShrinkDoWipeAndShrink()
    and remove another line of dead code.

commit a2ecb98683ee8edabddd47cfdd4bf37eb043cc17
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:48 2018 -0800

    Common header file change not applicable to open-vm-tools.

commit 767aaab78492854f178ebc7b16f0bf34b71c832b
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:48 2018 -0800

    Record VMware Tools version 10.3.10 as TOOLS_VERSION_JACKHAMMER_UPDATE2

commit 3b40e2629e84abf2c3176264142fae54ac4431f0
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:48 2018 -0800

    Back out previous change to plugins/vix/vixTools.c.
    
    Too many subtle issues to trust this one without more testing.

commit 601b399538796cc1692c65f30686140c20b0ba33
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:48 2018 -0800

    Cleanup -Wno-incompatible-pointer-types-discards-qualifiers
    
    Details
    
    Both gcc and clang (on Mac) warn for pointer-incompatible
    assignments.  It appears that gcc's -Wwarn-strings isn't working
    properly, because it produces no warnings for the following
    assignment:
    
    char *potentialSegV = ".rodata-based string";
    
    However, clang does.
    
    This change addresses three problems in bora/lib that produce build
    failures when -Wincompatible-pointer-types-discards-qualifiers is
    enabled when using clang (one wonders how many other such potential
    problems exist?)
    
    o bsd_vsnprintf.c
    
    The 'cp' pointer is assigned the address of a constant string.
    Since there are writes through 'cp', the quickest solution is to
    declare a local, non-const, array variable that holds the string
    "(null)".
    
    o unicodeSimpleTypes.c
    
    This change, the easiest of the three, marks the 'char *' field as
    'const'.

commit 07877933b3b2890f1111d07c92cff54e839ff8c6
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:48 2018 -0800

    Common header file change not applicable to open-vm-tools.

commit 8b5f6fa802d60aa8bb1855843b395c3851363cce
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:47 2018 -0800

    Backout previous change to vm_basic_asm.h; not applicable to open-vm-tools.

commit d8e831e22912d7f2a285c16af1824dafc072cd3a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:47 2018 -0800

    Common header file change not applicable to open-vm-tools.

commit 05209f64dcc5eb253b18b3969582749039a835c5
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:47 2018 -0800

    Common header file change not applicable to open-vm-tools.

commit 3fef292a16fd27c83e3dd690e3a2a3bc5e74f2b1
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:47 2018 -0800

    Revert previous change to vmci_sockets.h.

commit f91f7355619ad0ed7afcbe0b7161be3680b88688
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:47 2018 -0800

    Fix NULL pointer dereference and remove three lines of dead code.
    
    QbitLogic has run [Code]Ai on the open-vm-tools source code and
    and notified VMware of a potential NULL pointer reference and four
    pieces of dead code.
    
    See https://github.com/vmware/open-vm-tools/pull/247
    
    bora-vmsoft/services/vmtoolsd/pluginMgr.c
    The proposed fix conditionally emitted a log message.  That fix has
    been reworked to consistently emit a log message with conditional
    content.
    
    bora/lib/misc/posixPosix.c
    bora-vmsoft/apps/toolbox-cmd/toolboxcmd-shrink.c
    Remove one line of dead code from each source file.
    
    bora-vmsoft/lib/procMgr/procMgrPosix.c:
    Suggested dead code fix actually pointed to a bug where errno
    was not getting updated as intended.
    
    bora-vmsoft/services/plugins/guestInfo/perfMonLinux.c:
    Suggested dead code is no longer dead; change not applicable.

commit bbcb8a46876352e120d22ee07bae26be29ec27c3
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:47 2018 -0800

    Remove erroneous defines of __FreeBSD__ & __VMKTCPIP__ from vmci_sockets.h

commit 56d568396910f2af7408517b75b0a6e387bf69ef
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:47 2018 -0800

    Add VMware Tools version 10.3.6 to vm_tools_version.h

commit e843a034b7ea9e32959512d39ca1d046968c575e
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:47 2018 -0800

    Common header file change not applicable to open-vm-tools.

commit f32fde16f226a67b42fe095aea33bf7b5e8040c0
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:47 2018 -0800

    special case profile loading for StartProgram
    
    For StartProgram, we need to be sure there's no race in the profile
    unloading.  So keep it open through the life of the started program.
    
    See related vgauth change.

commit 150483202fdd5b3c447e4547bee00d18b918bb31
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:47 2018 -0800

    Common header file change not applicable to open-vm-tools

commit 1997a49deaed475d44ef4eece6c592e51115a8b0
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:47 2018 -0800

    Fix the issue that Deploypkg log files of linux should not be world readable.

commit f16590d1b721112f7841283ed03912c3837f120d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:47 2018 -0800

    lib/file: Memory leak in File_ListDirectory when directory is empty
    
    If the directory is empty, calloc of zero still succeeds and a memory
    leak results.

commit 1a685809609906464f90f2a2a2e2c5299bb8cb4e
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:47 2018 -0800

    Common header file change not applicable to open-vm-tools.

commit e03c5b88c6e42a3bf395ad647544ae113e83779c
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:46 2018 -0800

    Changes to common source files not applicable to open-vm-tools.

commit 74561dc19faf9a44fffc0676c27c16176b35d3af
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:46 2018 -0800

    lib/file: Improve File_ListDirectory and File_WalkDirectory*
    
    The File_WalkDirectory implementation has an initial latency (before
    file names are available) that is unnecessary.  Using the unicode
    library, when not necessary, adds a huge amount of memory usage and
    wastes CPU time.
    
    These routines duplicate quite a bit of code.
    
    Rewrite File_ListDirectory to use File_WalkDirectory*.
    
    Rewrite File_WalkDirectory*:
     - Return files as they are discovered, not after the entire directory
       contents are parsed. If one decides to stop early, they don't have
       to pay the price for the entire directory contents.
     - Preserve the protection from duplicate file names.  While Windows
       locks a directory during a content tranverse, POSIXen does nott. Code
       is here in the lib/file for quite some time so that the numerous
       callers do not have to handle dealing with dups.
     - Avoid using the unicode library on platforms where we can, this avoid
       most of the eggregious memory usage.
     - Don't use Dynbuf... Handling things directly is more efficient.

commit e3b171c6d86ba73b3bd14a10b368bd765f327603
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:46 2018 -0800

    Common header file change not applicable to open-vm-tools.

commit e8494c194dc620ca455f0a6dd723160310283cc1
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:46 2018 -0800

    Bump tools version to 11.0.0.
    
    The next VMWare Tools product release is to be version 11.0.0.
    Switching the version of tools from the current development version 10.4.0
    to 11.0.0.

commit a7c141fc5278146b86c71502f60767962b752af7
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:46 2018 -0800

    Remove GLib 2.32 deprecated APIs from tools
    
    Replace the GThread, GCond and GMutex APIs deprecated in GLib version
    2.32 in the VMware Tools source.

commit 2afa9fb568001dbd1ec24537aab365630c312cb4
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:46 2018 -0800

    Common header file change not applicable to open-vm-tools.

commit e389813c0e87937d6e5f6cc8ebe8ee55688741df
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:46 2018 -0800

    Common header file change not applicable to open-vm-tools.

commit c4987e08c68f870e563bfa73ce8dd98854221011
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:45 2018 -0800

    Disable sending toolsd debug log level messages to host
    
    After the security and privacy reviews of the toolsd logging,
    the debug level messages to host have been turned off.

commit e8e8d6c3cb672ba561bcacd16dd3d17eca08d8c9
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:45 2018 -0800

    Common header file change not directly applicable to open-vm-tools.

commit 34c8274bddfe54b750449d27d5a8cde597e6b85b
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:45 2018 -0800

    Common header file change not applicable to open-vm-tools.

commit 49eb56393323c9344d10313d104bf20630813578
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:45 2018 -0800

    Remove grabbitmqproxy and certtool from tar installer, OSPs and open-vm-tools.

commit 6297504ef9e139c68b65afe299136d041d690eeb
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:45 2018 -0800

    Common header file change, not directly applicable to open-vm-tools.
    
    Add a new GOS definition for darwin19_64 (macOS 10.15) in HWV >= 17

commit 008fb2caba5b0bf9684274e23539c57825ce9f53
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Dec 18 13:19:44 2018 -0800

    Common header file change not applicable to open-vm-tools.

commit e5f3527f43a847401a3715792eb73f56a759e895
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 9 14:59:39 2018 -0800

    Adding the libappmonitor source to the open-vm-tools distribution.
    
    In response to customer requests that the libappmonitor library from
    the VMwares Guest SDK be opensourced, the libappmonitor code has been
    bundled in open-vm-tools.

commit 9813b969a36a658bcc09459b2e2e757f4a9f1959
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 9 14:59:39 2018 -0800

    Common header file change not directly applicable to open-vm-tools.

commit bcc387216f018dffca63b78dece11e52b6648414
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 9 14:59:39 2018 -0800

    Common header file change not applicable to open-vm-tools.

commit 12cfe6d2f3b060d108f641347514b6df63efc99b
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 9 13:22:25 2018 -0800

    Provide a distroName, when available, when the lsb_release cmd fails.
    
    The default, in Linux, is "Linux". If a distoName was present in the
    lsb release description file, it should be used.

commit 8c4732f401add7666f5d01705e6bcca4a7a3581b
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 9 13:22:25 2018 -0800

    Common header file change not applicable to open-vn-tools.

commit 99d647e66015019af5ef2acc8369dfaaa59e26ef
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 9 13:22:25 2018 -0800

    Common header file change not applicable to open-vm-tools.

commit ce5e473e61d488a0f9cc79a4896562ab5e6f4409
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 9 13:22:25 2018 -0800

    Remove Common Agent Framework (CAF) from Tools - Linux Changes
    
    The CAF files have been removed from VMWare Tools and the open-vm-tools
    source.

commit 17495d9489caf922a1c5452f2c3f4eb0a1408aba
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 9 13:22:24 2018 -0800

    Enhance the vm-support-lx script to capture guest customization related logs
    for the guest.

commit f76ab6ac8adc5b8c28aa0979006dda3119cc04ab
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 9 13:22:24 2018 -0800

    Security concern: Certificates contain identifying information
    
    Do not log the contents of certificates which contain identifying
    information such as e-mail addresses.

commit 71905e9b86cc70a08d43fdab2419c51df8a540f0
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:27 2018 -0700

    Add "#include <string.h>" to services/vmtoolsd/toolsHangDetector.c.

commit 7cdfdb0a97af51bf84f0e424b595fab98afd6f17
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:26 2018 -0700

    Common header file change.
    
    Remove macro definitions of MAX_OS_NAME_LEN and MAX_OS_FULLNAME_LEN
    from lib/misc/hostinfoInt.h

commit cb5601064604433688f10dacd3ca12a34e629cdb
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:26 2018 -0700

    Hide static function declaration for Linux from FreeBSD and Solaris OVT
    
    A recent change introduced a new static function
    HgfsInvalidateParentsChildren() in bora-vmsoft/hgfs/fuse/cache.c. That
    function is defined and called only in Linux builds.
    
    The static function declaration should not be visible on FreeBSD OVT
    builds.

commit cd003f2b1ce879121f519b664ae19749889e36f2
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:26 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit a83d4dac90630dc6ed144c8d6e3cb9db449b981c
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:26 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit d02c872af34c59031be957ce4a6f5d0574589726
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:25 2018 -0700

    GuestMapper: Detailed data fixes
    
    The guestInfo detailed data for Photon was being reported incorrectly,
    sometimes adding trailing whitespace when not needed.
    
    The problem was how the release file was processed. It was being
    processed (open/read/code/close) multiple times, and wasn't separating
    each of the fields as it should. Fixed this.
    
    Adding logging of what is sent by the guest; how things are mapped.

commit a1917eaa8c088363cb4470b929081f6036f3edcc
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:25 2018 -0700

    Update the tools side code to send VMX the health status event.

commit 98e292df69d5a1d21998d99e5f571e22ed42785f
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:25 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 31aaa5cd048bbc6eeb4221df3f92b30c320b132d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:25 2018 -0700

    VIGOR and RPCI definitions for the tools hang detector events.
    
    Define an array of ToolsHealthEvent to record the last N tools hang
    events. By keeping a list of historical events since the power on,
    we help ourselves trouble shooting guest/toolsd issues.
    
    Use the first array element for the latest event. This simplifies
    implementation as the DynArray can be easily capped by setting the
    array count. This requires us to add a PushFront function to add
    new element to the front of the DynArray.
    
    Added the RPCI handler for the tools hang detector RPCI messages.
    
    Added feature switch Tools_Update_Health.

commit f424de6e55bf08833de86b2b62a3797351b3c3d4
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:24 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 8a46de645e3d94af7d15af7f09e2c3bf495962ab
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:24 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 35a3635b0b5d1478bf21ed114b28b2df64108481
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:24 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 63627bd400ed1054a092b8147181504ebf70d089
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:23 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 8f93db57cbcda3822f1a867da962507da393391e
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:23 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit ed4d390b0002b057e649f51b210102ce794c38cf
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:23 2018 -0700

    Add more logs for clipboard delay rendering

commit 23b37dcaf75cfcccb5b372100a6c82f9f7eade21
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:23 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 55e6cb43d4a67b7e5ab2385f8decdaa4e0a1ad5f
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:22 2018 -0700

    Backout immediately previous change; not applicable to open-vm-tools.

commit f78c2d1f1ec6e287aaa41f4ac100df3fb3087915
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:22 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit ef9c5b40c1ce79130f52642793c7a187ca9a198c
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:22 2018 -0700

    Common header file change not directly applicable to open-vm-tools.

commit 73731849187ee088680ba66c9cd61871ececa06d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:21 2018 -0700

    Replace function File_Rename() call with File_Move()in dndCommon.c

commit 3acf72392134a6c413bb17925b64b05ac1a44b28
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:21 2018 -0700

    Common source file changes not directly applicable to open-vm-tools.
    
    Re-apply the DnD changes previously backed out.
    
    On Windows, the CDR tmp files under folder "VMwareDnD" will be kept
    permanently in some cases after drag & drop.i

commit 1a20b0f77ef4320355b61d84153b6cfc4d3db775
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:21 2018 -0700

    Fork sha1/md5 for kernel/user usage
    
    Kernel specific sha1/md5 routines have been removed from lib/misc/sha1.c.

commit 512afce3d5f147fad4bc3fec57e93a862033ffdf
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:21 2018 -0700

    Backout the previous changes to DnD temp file clean up..

commit a9e178eaf036b09d12263db2118c4171b154cb69
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:20 2018 -0700

    Common source file changes not directly applicable to open-vm-tools.
    
    On Windows, the CDR tmp files under folder "VMwareDnD" will be kept
    permanently in some cases after drag & drop.
    
    Root cause: The existing strategy is to delete the folder before next reboot
    of the machine, which is implemented through writing Windows HKLM registry.
    However, for the non-administrator user, that user has no permission to
    write the registry which in turn results in the temp files not being removed.
    
    Solution: The temp files will be removed when the user disconnect the remote
    desktop/app. The details are:
     1. Client will remove the temp folder when remote desktop/app is disconnected
        (rmks exits). Server will remove the temp folder when mksvchServer plugin
        gets "Not Ready" notification which means mksvchanServer is disconnected
        from the  mksvchanClient.
     2. Use prefix "Horizon_xxxx(pid)-" to distinguish if the temp folder is
        being used by DnD or not. For Client, the pid is the rmks process id,
        for Server, the pid is Clipboard pid.

commit aa479bbdba6338d7988f5db9145b63d8796a926d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:20 2018 -0700

    Issue: Sometimes, there is a message "The system cannot find the file
           specified" popped up when drag and drop over multiple remote apps.
    
    Root cause:
    When drag over multiple remote apps, multiple pairs of dragEnter and
    dragLeave messages are sending. The DnD state or the dropSource/dataObject
    are messed up when handling the 2nd DragEnter with the 1st DragLeave at
    the same time.
    
    Solution:
    Besides fixing this issue, fixed several other issues also to enhance the
    handling for multiple pairs of messages in the same time:
     1. In DnDController layer, avoid to reset the DnD state when handling the
        message responded from agent for previous sessions.
     2. In agent, only set the DnD state to be Ready when the previous
        DoDragDrop is really cancelled by OLE.
     3. In agent, only response to the button event when the drop is notified.
     4. In agent, add a 2s timeout checking for cancelling process to avoid
        conflicting with another DnDThread to create dropSrouce.
     5. In agent, add a 2s timeout checking for dragBegin process to avoid
        conflicting with previous dragBegin processing.
     6. Add virtual prefix to the method "GetData".

commit e7dd1a81bc1ffac2518746291e1cacf4d80dbe85
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:20 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 0a0cdca3727a11333ccd08a2548aa23086dd1dce
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:19 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 32239c47c0add190765a0e71fd80c5abfedfdb14
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:19 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 72d665451b838c275794e73d37aebf130833c950
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:19 2018 -0700

    Tools hang detector now handles slow guest.
    
    Tools hang detector can check its own past running history and figure
    out whether itself is running slow due to a resource contention inside
    the guest.
    
    Tools hang detector shall report a different event to the VMX if the
    main thread is not checking in and the tools hang detector itself is
    not running frequently enough indicating the guest is running slow due
    to a possible resource contention.

commit 387121656a29e9643cc2624133669a72c77deda5
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:18 2018 -0700

    More logging improvements
    
    vSECR doesn't want usernames going to the VMX, so remove them.
    
    Dump cert details when xmlsec fails to add the cert to its keystore.
    This can occur when the cert chain in the token has a bad cert,
    or one that isn't signed by the root cert in the token's chain.
    This can occur if a user has mis-configured an SSO server.

commit f17721b0815a153e8a1d9b95492792c07594309d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:18 2018 -0700

    Solaris: Synchronize between vmxnet3_tx and vmxnet3
    
    Vmxnet3 driver on Solaris is not properly synchronized
    between vmxnet3_tx and vmxnet3_stop. When the driver
    receives a stop event from the device, it doesn't
    synchronize with the TX function invoked from the
    networking stack before it releases the TXQ resources.
    Thus, when the TX function vmxnet3_tx() is executed,
    and a stop event/interrupt comes in, the TXQ may
    suddenly disappear while vmxnet3_tx is still accessing
    the descriptors, thus the guest OS crashes.

commit 68f58daeceebe0d879fcbeca1d21e845bd1289e8
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:18 2018 -0700

    Hgfs FUSE Client: fix attribute caching of folders
    
    When a directory is invalidated from the cache due to any change such as
    a rename then any cached children of that parent folder should be
    invalidated also.  Otherwise the cache holds stale information leading
    to incorrect behavior and failing applications.

commit ee49a8158e9648feb05e934ad3b0f23ac1c5fca3
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:17 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit b0fcac5dd34133a6a4baa926b4a99a7a02599268
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:17 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit ab63640f3946e00810c7a6b32d2efd2325a1bf1b
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:17 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 14e84dd6d11311947e31cb4852f1c8e976290239
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Nov 2 15:28:16 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 03ec43287b1bf2dd8ad0a2c10a272ba317cf3fc3
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:45:00 2018 -0700

    Clear DnDPluginResetTimer on receiving SIGUSR1.
    
    DnDPluginResetTimer callback handler DnDPluginResetSent() accesses
    the RPC channel managed by the main loop. However, mainloop destroys
    this channel on receiving SIGUSR1. So, we need to destroy this timer
    as well when SIGUSR1 is received.
    
    There are at least 2 ways to do it:
    1. Add Linux specific code in vmCopyPasteDnDWrapper.cpp and any other
    places where we need to do similar cleanup.
    2. Have main loop generate a signal and do the necessary cleanup as
    handling that signal.
    
    In order to keep the code clean and also let other places/future
    changes leverage the same solution, approach #2 is used here to
    define and generate a new signal TOOLS_CORE_SIG_NO_RPC. Also,
    implement a handler for the same in the test plugin (for testing)
    and dndcp for this bug.
    
    While there also fixed the log domain for few files that are supposed
    to logging under "dndcp" domain.

commit b6a8e6973701ebe3d6e55be6862bfa11873431c4
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:45:00 2018 -0700

    Fix memory leak in deployPkg.c
    
    In function DeployPkg_TcloDeploy, pkgName is not freed if deployPkg failed
    to submit to the thread pool.

commit d32b2f1f77af1246d50fd9003e15515ad0ba250a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:59 2018 -0700

    Develop log APIs to fix security holes in the tools log messages.
    
    Security artifacts such as command args on the host should not be logged
    in the VMX log files on the host.  This change creates APIs so that
    different log messages can be used for host and guest.
    
    Refactored the log plumbing to minimize code duplication when calling
    the different implementation of logging to the vmx and logging in guest.
    
    Fixed one instance of security issue in vmbackup, to show how to use
    the new APIs.

commit b122127e50b2f7cdebad5aa79c75f67f6ffa4ead
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:59 2018 -0700

    Common header file change not applicable to open-vm-tools

commit 0ff45146c987d734ad5cc224fc0f6f24f422f9a0
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:59 2018 -0700

    Common header file change not applicable to open-vm-tools

commit e0c0431824dce19770d91143fb9b7176b2f9b77f
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:59 2018 -0700

    Clear channel restart timer when RPC channel is destroyed.
    
    Vmusr main loop destroys the RPC channel when it receives SIGUSR1.
    However, it may have left the restart timer around that would end
    up accessing the destroyed channel structure. So, we destroy the
    timer along with the RPC channel to be safe.

commit afa563c3d035f2227eaae22fea9f89b9f27ad9c2
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:59 2018 -0700

    Tools Windows Drivers: split header for reporting versions
    
    The rpcvmx.h header file has been split to allow some tools drivers to
    report their versions to the VMX while limiting the number of RPC APIs that are exposed to the drivers like VMCI and Csock.

commit a6862863ab6bb8e466518c5587e7dd7aca4944fb
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:59 2018 -0700

    Common header file change not applicable to open-vm-tools

commit 30a576e296250f377fc490ac6d1b37f215f798ad
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:59 2018 -0700

    include log.h to workaround missing g_info() in glib
    
    Older versions of glib (< 2.40) do not have g_info(). There
    is a workaround in vmware/tools/log.h, but it wasn't included in
    toolsHangDetector.c.

commit 7560aab8a6be1be166d0e37c08f46ba0196d0a16
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:59 2018 -0700

    Add some sanity checks in vgauth/common/certverify.c
    
    Add some sanity checks in cert chain verify callback.

commit 7925e1f7b4b0de43b27ea85324cb31f80a744941
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:59 2018 -0700

    Common header file change not applicable to open-vm-tools

commit 6e8833563045101a8fb7d91fc33cbe980588bebf
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:59 2018 -0700

    Common header file change not applicable to open-vm-tools

commit 3e25c7c614a72ec380b6b22473b35712a0b05b26
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:58 2018 -0700

    Common header file change not applicable to open-vm-tools

commit 4aeaba06a0e5fbe857bcf6cc9e361bb537101281
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:58 2018 -0700

    [AsyncSocket] Replace 'Bool safeAccess' parameter with 'DWORD accessType' in AsyncSocket_CreateNamedPipe.
    
    So that callers can select wanted access control.

commit 0e4b5b90b268a542984f572909ea49d32bd15b12
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:58 2018 -0700

    Implement tools hang detection logic
    
    Create a dedicated detector thread. The thread sits in a loop and
    wakes up periodically to decrement an atomic counter. Also schedules
    a checkin timer with the main loop to reset the counter periodically.
    
    If the counter ever drops to/below zero, the tools hang is detected,
    and a tools hang event is generated. Otherwise, if there was a hang,
    but the	counter has now come back up to positive, a tools recovery
    event is generated.
    
    In order to properly create hang and recovery event, previous state
    needs to be tracked.
    
    In order to properly handle shutdown, we need a condition variable so
    that the detector thread can wake up on it while sleeping. This is
    because the toolsd calls the thread pool shutdown function which
    in turn calls each thread's terminate function and wait for the threads
    to quit. Therefore, our terminate function shall wake up the detector
    thread and make it quit. Otherwise, the toolsd shutdown shall hang.
    
    Next change shall implement the new RPCI command to send the
    hang/recovery event to VMX.

commit 16a2feba8c1f0ff420df3ccf0839c89700cecd71
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:58 2018 -0700

    Common header file change not applicable to open-vm-tools

commit d7fda97ce83c672a36ccfa678ed9fb8f77dba745
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:58 2018 -0700

    Common header file change not applicable to open-vm-tools

commit 88adffa22be7f8212a8f18f43ede7d71b163c6d5
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:58 2018 -0700

    Common header file change not directly applicable to open-vm-tools
    
    [ghi messages over MKSControl] Add a new return type for UI -> MKS message.
    So that the MKS side can send utf8 string error message to the UI side.

commit 723475d22891ae90d1d036a6efdf51b22809c8f0
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:58 2018 -0700

    Use bitwise AND operation while fetching current IOPL.
    
    Iopl_Get() was using logical AND operation which could result
    in wrong IOPL value. We should be using bitwise AND instead.

commit 74401197479cca7db92d52ed61dced7a5b9fcc77
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:58 2018 -0700

    Common header file change not applicable to open-vm-tools

commit ee7d2229f32702942f43418784dca2925e64712a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:58 2018 -0700

    Changes to common header files not directly applicable to open-vm-tools

commit 480fe9149b740faf298a7c6259f9d0c3a3c6bae8
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:57 2018 -0700

    Hgfs FUSE Client: fix missing pthread_mutex_unlock call
    
    Fix missing pthread_mutex_unlock call in HgfsSetAttrCache when
    updating the cached attributes on a file and a memory allocation
    fails.

commit ac5341917916d37120b35dbe3d1a9ef1dfe61f92
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:57 2018 -0700

    Hgfs Server Linux: fix the share permissions on a file rename or delete
    
    Coverity found that the argumeents to obtain the share permissions
    on a file rename were swapped. Even though they are tested together
    in an if statement which is not an issue, it could be in the future.
    
    Reverse arguments so the share read and write permissions are correct.

commit 36174dbcba016b9421c32bd682cec2fe05db2016
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:57 2018 -0700

    Common header file change not applicable to open-vm-tools

commit 8d371d534c227511c41ca8bdc4b4f9d8279cbd28
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:57 2018 -0700

    Update the copyright year for OVT bundled files modified since 10.3.2

commit 45f0733b4eeb4b46f820a5db911917cfbb769d37
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:57 2018 -0700

    Handle Linux kernel /proc FS uint32 type stat overflow when calculating tools rate stats.
    
    On both 32-bit and 64-bit Linux, tools always parses Linux kernel /proc FS
    stats as uint64 values. For rate stats, current - previous can handle uint64
    type stat overflow, but not uint32 type.

commit 570578fcf07fab60cf28f6e9396473c9ba8a815b
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:57 2018 -0700

    Common header file change not applicable to open-vm-tools

commit 741a58d63943823568488080cc53b30c35e51530
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:57 2018 -0700

    Accomodate kmem_malloc() and kmem_free() changes in FreeBSD 12
    
    The kmem_alloc() and kmem_free() APIs have been changed in the
    upcoming FreeBSD 12.0 release.   The change was to drop the now
    unused arena parameter from both functions.
    
    This fix defines and uses several macros whose definitions are
    specific to FreeBSD version 10, 11 and 12 kernel memory API changes.
    
    Github open-vm-tools pull request from Josh Paetzel.
    https://github.com/vmware/open-vm-tools/pull/286

commit 03d9d27074dd645b35a829bd506304ede0527734
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:57 2018 -0700

    Changes to common source files not directly applicable to open-vm-tools

commit 394c1f1c11ae4b8c3a907d46ba5c4bfe4d7bd82a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:56 2018 -0700

    Add some more VMX logging
    
    Add some more key logging to the VMX; also put [vgauthservice] into
    messages for easier grep filtering.

commit 19f930cf847b6113f9d0923b571d6e6bfc6db45f
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:56 2018 -0700

    Common source file change not directly applicable to open-vm-tools
    
    On ESXi, AF_PACKET family is reported for vmk* interfaces only and its
    ifa_flags is reported as 0, so do not check for IFF_UP/IFF_LOOPBACK.

commit eee56ef486dbf94984e925eb9d248ce72203a2ed
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:56 2018 -0700

    Common header files changes not applicable to open-vm-tools

commit d7847e083e1a9db3dd6c38f07a67e52e58e061dd
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:56 2018 -0700

    Tools: More clean up from the guest mapping changes
    
    A few more places to improve the code.

commit 6781303c4c4c5d80116a607b390d435def0a5c15
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:56 2018 -0700

    Common header file change not directly applicable to open-vm-tools

commit 7eaf3377621b44af6a9768e6fd0fe61b32165781
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:56 2018 -0700

    Common header file change not applicable to open-vm-tools

commit 39b03704a3175b404369040b64740d05bbb80b9a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:56 2018 -0700

    Fix Guest RPC Channel clean up memory leak on the guest side.
    
    The RpcChannel_Destroy() is leaking the memory on the outLock.
    Refactored the code so that RpcChannel_Shutdown() matches the
    RpcChannel_Setup() if invoked, and RpcChannel_Destroy() just calls
    RpcChannel_Shutdown()

commit a91e16cb36188a8d02923b689a235b6a26dba9b2
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:56 2018 -0700

    Common header file change not applicable to open-vm-tools

commit 8e1e6d8a55bc67dc084ea92e9d449acaf1968ad3
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:55 2018 -0700

    ToolsCore_GetVmusrLimit(): use app name from ToolsServiceState struct
    
    The vmusr process on Windows is calling ToolsCore_GetVmusrLimit() early
    in the process before ToolsCore_Setup() is called to initialize the
    ctx member.  In ToolsCore_GetVmusrLimit(), changing the call to
    VMTools_ConfigGetInteger to use "state->name" instead of the
    state->ctx.name.

commit 7deb123700457d97316cf536ce8ee9c4150e70cb
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:55 2018 -0700

    Incorporate the RpcChannel failure count in the warning message
    
    The RpcChannel failure limit can be adjusted by the user.  Capturing
    the failure count reached when a "permanent" channel failure is
    being logged.

commit 6e7835970e73978db54bef24731d4a3d49cc9e2a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:55 2018 -0700

    Allow only a single instance of vmusr when multiple users are logged into a VM
    
    When a vmusr process gets the "channel conflict" error while attempting
    to open the toolbox-dnd channel, a channel reset is triggered.  That
    reset results in the channel being restarted and a subsequent conflict
    and reset occurs - every second until the channel becomes available.
    
    For *nix guests:
    The fix is making use of the repetitive channel resets where the only
    RpcIn message received is a "reset" to catch this channel "permanently"
    unavailable state.  If other RpcIn messages are received, a channel
    is considered to be working and the cumulative error count is cleared..
    
    lib/rpcin/rpcin.c:
    - struct RpcIn: Added error status boolean and callback function to
    notify the dependent layer that a channel error has been
    resolved.
    - RpcInLoop(): If a non "reset" message is received, clear any channel
    error status.  This will also notify the dependent layer
    that the channel is functioning.
    - RpcIn_start(): Added additional argument for new callback; NULL if
    not needed.
    
    lib/rpcChannel/rpcChannel.c:
    - struct rpcChannelInt:
    - Renamed "rpcErrorCount" to "rpcResetErrorCount" since it is actually
    a count of the consecutive channel reset failures and not a count
    of RpcChannel errors.
    - Added counter "rpcFailureCount" for the cumulative channel errors.
    - Added "rpcFailureCb" for optional callback to notify the app of a
    "permanent" channel failure.
    - New function RpcChannelClearError() for RpcIn to notify when the
    channel is working; to clear the rpcFailureCount .
    - RpcChannel_Setup() - added two arguments for (1) an optional function
    to be called when there is a channel failure
    and (2) a failure count threshold.
    These optional values are stored in the
    RpcChannel structure being created.
    - RpcChannelError(): Added logic to notify the calling app if the error
    threshold has been reached and notify the app if a
    callback was provided. A zero threshold signifies
    the single vmusr limit should not be enforced.
    (fix disable switch).
    
    services/vmtoolsd/mainLoop.c:
    - New function ToolsCore_GetVmusrLimit() to retrieve the channel error
    threshold default or over-ride from tools.conf.
    
    services/vmtoolsd/toolsRpc.c:
    - Added ToolsCoreAppChannelFail(): Callback for "permanent" channel
    connection failure.  A warning is logged based on whether another
    "vmtoolsd -n vmusr" is running or not and the process is terminated.
    On Mac OS, the process is terminated with exit(1) as an indication
    to launchd that the vmusr process should not automatically be
    restarted.
    
    The current implementation uses the error callback only for the vmusr
    server on Linux (*nix).
    The default channel error limit is 5 (approx. 5 second), but is user
    configurable in tools.conf.
    
    [vmusr]
    maxChannelAttempts = n    # where allowed n = 0, 3-15
    
    When "maxChannelAttempts = 0" is used, the restriction to a single
    running vmusr process is not enforced.   The existing behavior is
    restored with all the accompanying VMX log spew.  This is essentially
    a user configurable feature disablement switch.

commit 3e05fcb7f92256b6f878c05792e4e9c933854500
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:55 2018 -0700

    Common source file change not applicable to open-vm-tools

commit 0b39faad61c6879b1eae2c79e264cec62990899a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:55 2018 -0700

    Common header file change not applicable to open-vm-tools

commit 09ac9ffe74fad2b9d73e59b0365bc7f641483019
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:55 2018 -0700

    Remove vmxnet and vmxnet3 drivers from FreeBSD builds and open-vm-tools
    
    The vmxnet (version 1) network driver is not supported by any currently
    supported VMware virtualization platform. Removing the FreeBSD
    specific vmxnet source and deleting the vmxnet.ko driver build from
    the tools and the open-vm-tools builds.
    
    FreeBSD has their own vmxnet3 network driver based on community source
    and has never made use of the vmxnet3 source code or drivers from
    VMware.  Removing the unneeded FreeBSD vmxnet3 source and builds

commit ecf022ae2b53034d483004e4f8640e66bdbfed9c
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:54 2018 -0700

    Add virbr* interfaces on RHEL to default exclude-nics.

commit 444ef4fa635f89c1018e2563c31fc6f01450d942
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Oct 26 10:44:54 2018 -0700

    Common header file change not applicable to open-vm-tools

commit 5add0ab1ad77a04edb6efc130fed1ad4abfe2ca6
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Sep 4 15:41:00 2018 -0700

    nicinfo: skip loopback devices
    
    When libdnet isn't used, loopback devices were reported. This change
    skips these interfaces. Also skip interfaces that are down.
    
    The interface was visible with vim-cmd, but not in the VC or
    ESX UI. It did not contain any IP addresses.

commit 827d7fdbd4dc182f2f771977672d640d05e749b5
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Sep 4 15:41:00 2018 -0700

    Common header file change not directly applicable to open-vm-tools

commit 8280a4bfec3b7f8977af6d352d1ba4291786c8a6
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Sep 4 15:40:59 2018 -0700

    Commom header file change not applicable to open-vm-tools

commit f00f4772e77858ffeae1f10feef4c6bd59dde2f0
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Sep 4 15:40:59 2018 -0700

    Update SSL configuration with more secure settings.
    
    Due to SSL issues in the past, The preference is to have default
    settings to be more secure than compatible.  This change mainly
    inherits the default settings from ssl.c.

commit bffe18fbf52826e52fa972bb090bcb4ff1831092
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Sep 4 15:40:59 2018 -0700

    Make Tools logfiles readable only by owner and root

commit 542046b5d4aa64e254da832b7d8c1ad6eefe2275
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Sep 4 15:40:59 2018 -0700

    Reduce quiesced snapshot warning messages when running on older hosts.
    
    vSphere 6.7 added a new interface on the host side that allows tools
    to send a "generic" backup manifest during a quiesced snapshot on
    Linux guests. VMTools 10.2.0 or later will try to send the manifest
    file and if the host is unable to field it, then VMTools logs this
    information and continues with the quiesced snapshot in the older
    fashion.  This change reduces the logging that is done in this case.

commit ef8b0bfcc4d7a37bfc92fca0c4f06d7499e58b42
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Sep 4 15:40:59 2018 -0700

    Add some key VMX debug messages
    
    Add some key debug-to-vmx messages to help debug SAML tokens.
    Fix a potential issue in the logging code.
    Always use a local version of htonll() since Visual Studio has
    changed its mind about its existance in vs2017.

commit 1ce7f3e7faca67b9ef8c42baaff23ec82019cb11
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Sep 4 15:40:59 2018 -0700

    Common header file change not applicable to open-vm-tools

commit 0546f98b3beb75af0cdd435b4233c99a1f35253e
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Sep 4 15:40:59 2018 -0700

    Tools: Clean up more "structured" left overs
    
    It's now "detailed data".

commit ce47017617b1a01fafddeb8b3f75debe374530e5
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Sep 4 15:40:59 2018 -0700

    Tools: Symbol name revisions
    
    Change references to the recently added structured OS data to detailed
    OS data.  Replace "Structured" with "DetailedData" in names.

commit c1c102819e1df82f30f1d7b26b8da816d094fc3c
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Sep 4 15:40:58 2018 -0700

    Common header file change not applicable to open-vm-tools

commit 3211b6cb046fb1c9321efd074d60a0a7f9a7b011
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Sep 4 15:40:58 2018 -0700

    Fix a gcc-8 compiler warning in lib/misc/vthreadBase.c
    
    gcc-8 generates a stringop-truncation warning when it's possible
    for strncpy to exclude the trailing nul.  The code was fine, we never
    touch the last byte in the buffer and it's a static, but explicitly
    set a nul at the end of the buffer so gcc sees it.
    
    This is needed for open-vm-tools to build on SUSE Tumbleweed.

commit 233952398ef899a23b69087a1db1722ec71f503e
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Sep 4 15:40:58 2018 -0700

    Common header file change not applicable to open-vm-tools

commit 1535eb36e8293d753c29f1eaf6cd6d2165efb1ca
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Sep 4 15:40:58 2018 -0700

    End VGAuth impersonation in the case of error.
    
    * In GuestAuthPasswordAuthenticateImpersonate():
    When VGAuth_UserHandleAccessToken fails, unimpersonation is not
    being done. This can cause issues. Fixed it.
    
    * In GuestAuthSAMLAuthenticateAndImpersonate(), fixed the following issues:
    The 'newHandle' is not being freed which causes a memory leak.
    When VGAuth_UserHandleAccessToken fails, unimpersonation is not
    being done.

commit 82f3edb174f4fff33d72358f4fb3bd1f00aa264f
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Sep 4 15:40:58 2018 -0700

    Common header file change not applicable to open-vm-tools

commit 9c4144b6538928015184a52e7e5231a56907dfba
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Sep 4 15:40:58 2018 -0700

    Fix coverity complaint; not a real bug

commit 49f64d6445dd20b7f3a07e8fee3dff5e1e9b03a5
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Sep 4 15:40:58 2018 -0700

    vm_version.h should include vm_tools_version.h only for Tools builds.

commit 0520c8ed6fb2d9a6cc466a2dd1441c4294673620
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Sep 4 15:40:58 2018 -0700

    Tools: Start using the new structure guest data
    
    Turn on the structured output for guest OS identification.

commit 356eb36845fa0aa1f1c3d2058c91bd8ecda23eb8
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Sep 4 15:40:57 2018 -0700

    Common header file change not applicable to open-vm-tools

commit 78b081377d9c4370b5a8a6d2a4f985f4d143e938
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Sep 4 15:40:57 2018 -0700

    Common header file change not applicable to open-vm-tools

commit e509d49578ee5fa025c6393accc0e3f897217933
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Sep 4 15:40:57 2018 -0700

    Tools: More cleanup
    
    Remove references to VMDB.
    Cleaned up some headers - they are all the same now
    NIC, not nic in messages
    RPC, not rpc in messages
    OS, not os in messages
    Added a few debugging messages for the new, structure data paths

commit 47a6790d8b20c25a34488d2b279fe95ff36c44aa
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Sep 4 15:40:56 2018 -0700

    Add VMX logging support to vgauth
    
    Add support to log to the VMX.  Currently this is just for special
    error conditions.

commit 7c340eee74f1db6442467f8b0de72eb40f7b5837
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:53:31 2018 -0700

    sync version and build number

commit fbe2521a191980e2afc8f0d68fa31bbdb8f9a0e1
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:51:55 2018 -0700

    Workaround for false negative result when detecting cloud-init existance
    
    "cloud-init -v" cmd is used to detect if cloud-init is properly configured and
    it works on most linux distros. However in some linux distro like Amazon Linux 2,
    "cloud-init -v" will print result to stderr instead of stdout and it makes
    "forkExecAndWaitCommand" give false negative result.
    
    1. added a new bool switch in  "ForkExecAndWaitCommand" to choose
       if we should ignore the stderr output when the return code is 0
    2. removed unnecessary reference for "ForkExecAndWaitCommand" in linuxDeploymentUtilities.c
    3. trivial change for some formatting

commit 1d2b93b545ec9060c91a2afbcaf8dbc8bc897e34
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:46 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 1f15c765275316d0fae89b2eb089ba8fcd7ceabb
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:46 2018 -0700

    Tools: Rename GuestInfoUpdateVmdb to GuestInfoUpdateVMX

commit ef4d2bc0a20bc348704dcd2df93695e8249b2818
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:46 2018 -0700

    hostinfoPosix.c: More clean up

commit 6ec4bb7ff88538f0cc5257e6c22f22d1afb73470
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:46 2018 -0700

    Tools Version change for AppDef Beta - 10.3.2.

commit 799fa0932ed7a5e673892c9ef5c2d2c905ef14d7
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:46 2018 -0700

    Common header file change not applcable to open-vm-tools.

commit 69976fc902b8c08f85ce11d9afbc06767dcd8793
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:46 2018 -0700

    Common header file change not directly applicable to open-vm-tools.

commit 44e3d3c02bae8734d9396b462089f639c5b02b68
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:45 2018 -0700

    Fix memory leaks in 'vix' tools plugin.
    
    * vix plugin retrieves the power script file paths from the
    config file but doesn't free them and this causes a memory leak.
    Fixed the code to free the filepaths.
    
    * In GuestAuthPasswordAuthenticateImpersonate function, the VGAuth
    handle is not freed when the impersonation fails. Fixed the
    code to call VGAuth_UserHandleFree in the error path.
    
    Note: I executed one guest operation with wrong credentials.
    Every failure leaks 75 bytes of memory. (in Centos 64-bit VM)
    
    * Fixed another minor issue in the code. At couple of places in
    the code, replaced 'err' with 'vgErr' for storing the return value
    of VGAuth_UserHandleAccessToken.

commit 9f52cd6f278aae31d72cd018655b31978ee53bba
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:45 2018 -0700

    open-vm-tools: build without libdnet by default
    
    Building with libdnet does not add any value for Linux, so build
    without it by default, but keep the option open to fall back on
    it if there are issues.
    
    FreeBSD still needs libdnet for full functionality, therefore
    make building without it the default only for Linux.

commit 64848ab7e16492c4bb8544eaff1aa839783e63bf
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:45 2018 -0700

    Some source code clean up.

commit c3461876464b93bcd65cca2a01767ffae0bf9ef3
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:45 2018 -0700

    lib/file: FileIO_CloseAndUnlink
    
    Unlink regardless of the close status.

commit 1d6223d03fdcf56758877b99e0cbd8b1d22ab639
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:45 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit d2bb2886a1cc41b4fc4966f30e443bed2bce2684
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:45 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 9b2bbc77ed18ac1b61dd9055ec1c468da5ba49af
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:45 2018 -0700

    Changes to common header files not applicable to open-vm-tools.

commit 7e4b0b67628554186c3ca0cd68d427f2ab8b8818
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:45 2018 -0700

    Adding structured data to Tools. (feature DISABLED)
    
    This change touches both vmware-tools and the VMX.
    
    Tools:
    Added new rpc for sending a structured data. The structured data is
    composed of 2 parts. A struct header and a well formatted property list
    string called structured string.
    
    The structured string is built by appending key='value' pairs
    separated by ' '. This string will include any extra information
    regarding the guest that is applicable to the VMX and higher up.
    
    The structured string will not include any '"' characters and all '\\'
    and '\'' characters are escaped. The fields included in the structured
    string will vary depending on the guest OS, and if Linux, also what lsb
    standard it conforms to.
    
    The structure header contains the OS name and OS long name and will
    always be included. If the structured data can be sent successfully the
    short and long os names are not sent individually. If the VMX is an
    older version and does not support the structured data RPC, then the
    send in Tools will fail and can react accordingly.

commit ba0fb39c6f636092079040fa35ef96a44c107b73
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:45 2018 -0700

    Back out the previous change to a common header file.

commit cabba0a37c21d91576ed7986597db9deb38cf153
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:45 2018 -0700

    Common header file change not directly applicable to open-vm-tools.

commit d6ec07055e4bb8eb8a0f632a3b6daa9387138819
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:44 2018 -0700

    Common source file change not directly applicable to open-vm-tools
    
    Verify existence of the returned path, retry the guest OP
    CreateTemporaryFileInGuest/CreateTemporaryDirectoryInGuest using system
    temp folder if the path disappears.

commit 19ca3e36f6f16842a54f6f297f3cafcabde2f384
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:44 2018 -0700

    Change for tools vmx logging. Added locking to handle race condition
    and deadlocks.
    
    While there, changing GStaticRecMutex to GRecMutex since
    GStaticRecMutex is deprecated since glib 2.32, and we are now at
    glib 2.48.
    
    The requirement here is that on top of the existing logging mechanism,
    toolsd also send logs to VMX according to VMX side setting for toolsd
    log levels. The existing logging mechansim shall be preserved so that
    if there is a problem sending a message to VMX, that message is saved
    in the guest according to whatever exising setting in tools.conf
    either to a local file or the guest syslog. In addition, if there is
    an issue sending VMX the log message, additioinal logs about the error
    can also be logged using the existing tools.conf based log mechansim.
    
    In order to support both the new and the old RPCs and the existing
    tools.conf settings, it is best to use static globals for the vmx
    logging. This simplifies both design and coding, and make it easier
    to reason about the state of the vmx guest logger.
    
    There is also no need to split the new code into another file. The newly
    added logic actually belong to vmtoolsLog.c which keeps track of the
    global states of the log processing and then invokes each external
    log handler. The newly added code shall be invoked from the existing
    vmtoolsLog.c framework code and also uses/updates multiple existing
    vmtoolsLog.c data structure.
    
    The old VMX LogHandler shall be left alone for now, since not all guest
    apps will move to the new code at the same time. Once every apps have changed,
    the old VMX LogHandler can be removed. Also removed is the stoplogging
    code from the old VMX LogHandler since it is already covered by the
    caller VMToolsLog() in vmtoolsLog.c
    
    The global logging state is initialized as early as possible. However,
    it should be done after the first VMTools_ConfigLogging() call so
    that if there is any errors during the initialization, we can use
    the local logging system to log them.
    
    For a compatibility with older hosts and older tools, this change
    tries to make sure the old vmx handler settings shall still WORK.
    This is the most challenging part.
    
    In order to avoid sending logs to VMX twice, if the VMX handler setting
    is specified in the tools.conf, the local logger shall replace it
    with the default file logging. However, the vmx handler setting is
    NOT ignored, it shall be honored and used if the host is old and does
    not support the new guest.log.* RPCs. There, we shall enter a fallback
    mode and use the old log RPCs and the VMX handler's level setting is
    read and used.
    
    Need to call the setup() code in multiple places.
    1) Initial start up (this is to enable it as early as possible).
    2) Set option for a host designated level change.
    3) RPC channel reset.
    4) Tools config change procssing from signal HUP or timer callback.
    
    The setup code can use g_xxx() for logging, but the core log handler
    VmxGuestLog() cannot, to avoid recursive g_xxx() calls. Instead,
    it calls Debug()/Warning() suites just like RpcChannel code.
    
    Before, the RpcChannel loggings are thrown away which is not good.
    This change here fixed the issue by logging those using the internal
    VMToolsLogInt() function which directly write to the file system logger.
    
    This change also fixed a bug where the vmtoolsd domain logs are thrown
    away at the beginnnig of the tools load up. Enabling those requires us
    to add the username as part of the log file name, since both the vmsvc
    and vmusr processes would have use the same file vmware-vmtoolsd.log
    which would cause a permission problem. The g_get_user_name only
    returns the user without the domain. This might be a concern if
    there are the same user id in both the local accouts and in the
    domain. This rare case needs to be handled, but I am leaving it out
    for now since it is very rare use case, and the same problem exists
    already with the existing code.

commit 82df2654ab19cb03438f3f59034101fe1b3e6aea
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:44 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit d5f6c71ada79e3d5d65c8e1786069d366f8f72fd
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:44 2018 -0700

    Common source file change not directly applicable to open-vm-tools.

commit b5b7eac80c468358871e96968e7bfc92b316846e
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:44 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit a9f4fd75e83720fd8bc96a487d642d5730dc89c8
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:44 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit ebf08325adf874723c86aa313954492101117934
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:44 2018 -0700

    Disable hgfsServer plugin when not running in a VMware VM.
    
    VmCheck_GetVersion() accesses Backdoor in an unsafe manner
    which is not expected to work on non-VMware environments
    including physical machines. So, we need to make sure that
    VmCheck_GetVersion() is called only when we are running in
    a VMware VM.

commit a778e115e4174b9cd5798838588e8fd4f175d558
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:44 2018 -0700

    Common header file change not directly applicable to open-vm-tools.

commit 455a76d9e10636f6667010f10be282fae145a454
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:44 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 995e3f462932578a80934947bc87235d6e621beb
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:43 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 4f7c3bf51cba283c5264dd1d838c6d67ce40351d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:43 2018 -0700

    Optional override for short and long OS names sent from Tools
    
    Added support for customers to override the returned long and short OS
    names through the tools config file. If the setting is present, then names
    gathered by hostinfo will be ignored. The user is responsible for setting
    the appropriate names.
    
    The override will be ignored if the short-name setting is not present in
    tools.conf.
    
    An empty string will be sent for the long OS name if only the short-name
    setting is present.
    
    Appropriate warning msg will be generated in both cases.
    
    Example of the conf setting:
    
    [guestosinfo]
    short-name = centos6-64
    long-name = some long name

commit 2e86d0f86d91d6ffd87345c5c76053361d56c19b
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:43 2018 -0700

    Common header file not directly applicable to open-vm-tools.

commit 9e9f6155931885c785463ba5d99ece78c8039f98
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:43 2018 -0700

    Tools version to 10.3.1 as ben assigned to a Hot Patch.
    
    Tools 10.3.1 has the newer version of the WDDM driver 8.16.01.0001

commit 20fd139fd1ab50f6bd44749ffc8ebdf4aa1da293
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:43 2018 -0700

    Expose more guest stats for vROPS to report the exact physical memory
    stats as the guest OS UI does.
    
    Windows:
    guest.mem.modifiedPages (Win32_PerfRawData_PerfOS_Memory#ModifiedPageListBytes)
    guest.mem.standby.core (Win32_PerfRawData_PerfOS_Memory#StandbyCacheCoreBytes)
    guest.mem.standby.normal (Win32_PerfRawData_PerfOS_Memory#StandbyCacheNormalPriorityBytes)
    guest.mem.standby.reserve (Win32_PerfRawData_PerfOS_Memory#StandbyCacheReserveBytes)
    
    Linux:
    guest.mem.total (/proc/meminfo#MemTotal)
    guest.mem.buffers (/proc/meminfo#Buffers)
    guest.mem.cached (/proc/meminfo#Cached)
    guest.mem.slabReclaim (/proc/meminfo#SReclaimable)
    guest.mem.available (/proc/meminfo#MemAvailable since Linux 3.14, emulated by VMTools for kernels 2.6.27+)

commit 49c74fb3a37aa1fd973f72e078ee9a10c7199fc9
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:43 2018 -0700

    Common header file change not directly applicable to open-vm-tools.

commit bfa850db67e150e8d44093a14ef6a9999c5c9968
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:43 2018 -0700

    Fix some bad derefs in primary NIC gathering code.
    
    Found by user in https://github.com/vmware/open-vm-tools/issues/272
    
    Debug code tries to access a struct field that may not have been initialized.
     - Pointer deref'd without a sanity check.

commit 742c2c3bcea285302487b02bddad042237810663
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Aug 29 13:29:42 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 5d33923a603758f1d97bad4245674a403f1d5944
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:09 2018 -0700

    lib/file: Add missing errno for FileLock_Lock()
    
    FileLock_Lock() can return the errno to the caller through int *err.
    Before this change, one case is missing: EAGAIN.  This change will fix it.

commit 8ad72bbf4a0687808e1a20f98bae213468611b1a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:09 2018 -0700

    Maintain VMware Tools release history in vm_tools_version.h
    
    Tracks TOOLS_VERSION_JACKHAMMER_UPDATE1 = 10.3.5.
    Tracks TOOLS_VERSION_CHAINSAW_PATCH2 = 10.2.7.

commit c8155fccf45883d034ce211e1b13dc209014d276
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:09 2018 -0700

    Log reply from VMX when powerOps plugin fails to send RPC.
    
    The powerOps plugin sends a "tools.os.statechange.status" RPC after
    the power scripts are executed.  The reply from VMX for this RPC
    is not currently logged.  The reply is very useful to debug
    'toolsRunningStatus' issues in FSR workflows.  Modified the code
    to log the reply.

commit 3e97096d420d361d2777d4ce827a75261b711d9b
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:09 2018 -0700

    Common header file change; not applicable to open-vm-tools

commit d6e035ee1cfd3fe43df893a0a46ccba870540a1b
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:09 2018 -0700

    Calculating monitor work area: No bar exists if seamless maximizing
    
    In Unbuntu 18.04, Redhat 7.4, 7.5, the work area size could not be calculated
    based on _NET_WM_STRUT or _NET_WM_STRUT_PARTIAL.  These two properties could
    not be retrived through the window manger.  In this fix, use _NET_WORKAREA to
    get the work area, but this is only available with a single monitor.

commit c045848efbf4494565bf86aeb098eac28c3cbd0e
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:09 2018 -0700

    Common header file change; not applicable to open-vm-tools

commit 6fe529b678a0de7a2016b27047da844bde30e7a6
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:09 2018 -0700

    Back out previous change to powerOps.c

commit 1e6255d4c81fd942c136701d9822d6249787af44
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:08 2018 -0700

    Log reply from VMX when powerOps plugin fails to send RPC.
    
    The powerOps plugin sends a "tools.os.statechange.status" RPC after
    the power scripts are executed.  The reply from VMX for this RPC is
    not currently logged.  The reply is very useful to debug 'toolsRunningStatus'
    issues in FSR workflows.  Modified the code to log the reply.

commit 4259f4e685370895a052ea27cdbd07a5f8b60553
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:08 2018 -0700

    Changes to header files: Add support for Mac OS 10.15
    
    Add the basic support for Mac OS 10.15; the hosted UI team will
    decide when things become customer facing.

commit ed493754080a28d77e1a14b9b8e8a2ee163a9de6
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:08 2018 -0700

    Common header file change not directly applicable to open-vm-tools

commit ceac5b23cdf7101019ccbe806575115d285978c6
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:08 2018 -0700

    Common header file change; not applicable to open-vm-tools

commit 93e869c8936024cc6d072ac95ac167a00dd80d33
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:08 2018 -0700

    Common header file change not directly applicable to open-vm-tools

commit d6f4eaa182a2cee590932981a968993157e6c6a6
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:08 2018 -0700

    Common header file change not applicable to open-vm-tools

commit 835368f6bc128b0324990b70487918a54e14bbe2
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:08 2018 -0700

    Changes to common header files; not applicable to open-vm-tools

commit f603332ac13214577767df01917b20d45e18f85d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:08 2018 -0700

    Common source file change not applicable to open-vm-tools

commit 88c53fc060239f384b9c5f7fe2eb8bfb871661b0
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:08 2018 -0700

    Common header file change; not applicable to open-vm-tools

commit 034695e2d34df7b1a4e44ab8a871ba4799dfac81
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:08 2018 -0700

    Use ToolsCmd_FreeRPC() to free the memory instead of vm_free.
    
    There exists a function ToolsCmd_FreeRPC that can be called to free
    the memory allocated from the ToolsCmd_SendRPC function call.
    
    At few places in the code, vm_free is used to free the memory.
    Replaced those references with ToolsCmd_FreeRPC.

commit f3f9dcf51a76bc9acfcc2412428a0a3dbb469c09
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:07 2018 -0700

    Changes to common header files; not applicable to open-vm-tools

commit 37e26227f9b57485d8e9eb2f57330a48c99fd7b8
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:07 2018 -0700

    OVT: update AUTHORS to include John Eismeier
    
    Update AUTHORS to include John Eismeier for fix some spelling
    https://github.com/vmware/open-vm-tools/pull/264

commit 5d27cc8090975bbcf3bcc442a60bbf476a05a4a8
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:07 2018 -0700

    Changes to common source files; not directly applicable to open-vm-tools
    
    Back out the previous change; missing a file.

commit e70640b985d31612ad63506eb3dd838b8bbded14
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:07 2018 -0700

    Changes to common source files; not directly applicable to open-vm-tools
    
    Add support for CRX pod and sys (version 1) VMs
    
    These are special Linux 4 VMs; the CRX pod VMs are wrapped around
    Kubernetes. Here we provide the basic VMX recognition and support
    mechanisms. Later changes will add the support of the CRX pod VMs
    to VIM/VMODL... and other pieces.

commit 251ca7762ecddfe052f3b8f2c879a9fcb714fb4c
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:07 2018 -0700

    Properly free the memory when RpcChannel_Send() fails.
    
    At few places in the code, when RpcChannel_Send() function fails,
    the result (fourth argument to the function) is not freed which might
    result in a memory leak.
    
    Addressed few references by adding 'RpcChannel_Free(...)' calls
    in the necessary error code paths.
    
    For toolbox-cmd application, added a new function ToolsCmd_FreeRPC
    which internally calls RpcChannel_Free function to free the memory
    allocated from ToolsCmd_SendRPC calls. Modified toolboxcmd-shrink.c
    to use the new function to free the memory.

commit 62ee46c7748f9003904c5973da851994566f7214
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:07 2018 -0700

    Common header file change; not applicable to open-vm-tools

commit 4dafbf1d97eb923d497a57f545f4c73c882fa3a8
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:06 2018 -0700

    Hgfs Server: fix some spelling errors
    
    Fix some spelling errors as mentioned on pull request
    https://github.com/vmware/open-vm-tools/pull/264

commit 0e52b04c09b7be47f36d5c9c75691f33e402143c
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:06 2018 -0700

    Common header file change; not applicable to open-vm-tools

commit a50141e22177462962991f09f567ce3428f5b5de
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:06 2018 -0700

    Common header file change; not directly applicable to open-vm-tools
    
    Backout the previous change.

commit 73aa922e5a50b33bf5f47cbd0991faa15afe51da
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:06 2018 -0700

    Common header file change; not directly applicable to open-vm-tools

commit 9b3e899b9d349ed252ba5d27a0d58c8ed0b6d66c
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:06 2018 -0700

    Common header file change; not applicable to open-vm-tools.

commit 2ea4da9cf517477853ebf40096a360a464ab914d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:06 2018 -0700

    Common header file changes related to Log Facility; not directly applicable
    to open-vm-tools

commit 868d74c2389db8c0ed25ac7a83bc4a3fb08849e2
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:06 2018 -0700

    Common header file change not applicable to open-vm-tools

commit 63a1cbf60f82022ab37f5003e1b6e49ba9dbb9c8
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:06 2018 -0700

    Add Util_Data2Buffer() variant that supports custom separator
    
    \0 means no separator at all.

commit ede9ca72e1ac0013c1560399c2cc394dcf70bb4a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:05 2018 -0700

    Common header file change; not applicable to open-vm-tools.

commit 52d43d8e05657dbd995914ff646a30d922a5e72d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:05 2018 -0700

    Add the notification to toolsd about the guest log level change.
    
    Consolidated the VIGOR APIs of guestLogEnabled and guestLogLevel, since
    it is easier for the customers to use just one API to set both. Use
    the "disable" enum value to disable the guest logging instead of
    using a separate field and VIGOR API.
    
    Now sending a new tools option to the toolsd whenever the guestLogLevel
    changes.

commit 1d390482f4a5e0f7a2826d55012b213860295f72
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Aug 20 12:48:04 2018 -0700

    Back out the previous socket timeout fix
    
    Reverting commit 4453414

commit def5e3aa8cb0ba5457cf5147e32f80eec8556f49
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:23 2018 -0700

    [tools] Cleanup RpcOut reply after send failure
    
    There is a path in RpcOut that does not clear the reply message
    after a failure.  This can cause the invoker to trigger a free()
    failure.

commit 89f5ddb272cee9edd7b94ad10bab3f0c25d47e70
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:23 2018 -0700

    Common header file change; not applicable to open-vm-tools.

commit 2abf659307e6c660f94c77ea9f40f679f0a7130d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:23 2018 -0700

    [VMTools] [DnD] [Code Refactor] - part 1 - dndGuest/dndcp sides refactor
    
    These code changes are based on following two principles:
    1. No functional impact/change on DnD & Copy Paste feature for WS/Fusion.
    2. The DnD base code is ready for Horizon View DnD feature target for
       an upcoming release.
    
    Summary for this patch:
    1. The dependency refactor to add a new folder dndGuestBase (lib\dndGuestBase)
       to extract the common code shared by WS/FS and View.
    2. Add two sub folders to dndGuestBase (vm-inc and crt-inc) to contain
       the WF/FS or view specific header files. (for example,
       vm-inc/vmGuestDnDSrc.hh, crt-inc/crtGuestDnDSrc.hh....)
    3. The header files start with 'crt' will not be used by WS/FS, they are
       added only for specifying the new folder structure.
    4. Move WS/FS specific dndGuest/dndcp codes to WS/FS specific derived
       classes like VMGuestDnDCPMgr, VMGuestDnDMgr, VMCopyPasteDnDWrapper and so on.
    5. Also have created some Horizon View specific codes on mkvchanserver in
       local environment to verify most of interfaces in the base classes are
       ready for Horizon View side DnD development.

commit 682679b70fe4d2f3455844f81856e1d8aec65dd8
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:23 2018 -0700

    Common header file change; not applicable to open-vm-tools.

commit 2c538abac6352b219ee9fa97afa769eeba12f555
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:22 2018 -0700

    Common header file change; not applicable to open-vm-tools.

commit 4453414447537f3d7da71dbc678a8de698001cd9
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:22 2018 -0700

    Fixed socket timeout issue when we send multiple namespacetool commands.
    
    When namespacetool commands are run without any delay, the second command
    may fail because the previous socket connection was not closed.

commit 5b9d8e2a1bada1b13cf2369ca6ff118e07fec104
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:22 2018 -0700

    Common header file change; not applicable to open-vm-tools.

commit b17f9fa3c50f0aeed6760bc9b383c58d540dcd4f
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:22 2018 -0700

    Common header file change; not applicable to open-vm-tools.

commit 4ef4a932d92ed60976f065713b34d218174887cd
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:22 2018 -0700

    Common header file change; not applicable to open-vm-tools.

commit 63e5ec8438cc4e1c1a39885c75baf661059dc7b3
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:22 2018 -0700

    Common header file change; not applicable to open-vm-tools.

commit 8be65e2dc14e724e0b902669cd14ce431dd20c76
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:22 2018 -0700

    Common header file change; not applicable to open-vm-tools.

commit a9a723a05033fbf1405316c8e0ee7e753058fcb0
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:22 2018 -0700

    Changes to common source files; not applicable to open-vm-tools.

commit 4750dcff03e88674e49b9a920c1e6ee1f4355e9d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:22 2018 -0700

    Common header file change; not applicable to open-vm-tools.

commit 3e4211020d7dc446db8942586dd2e94fea4d93c7
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:22 2018 -0700

    Common header file change; not applicable to open-vm-tools.

commit 4745bddc698a81e599237771e558f6a34f2a75b0
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:22 2018 -0700

    [GHI over MKSControl] Improve the documentation of GHI channels.
    
    Also improved the log messages. And add a DND channel.

commit 7709224e3878833bdef1d6c89a6aeaef2f91229d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:22 2018 -0700

    Common header file change; not applicable to open-vm-tools.

commit 485a379c33578f712ecbfa70e5a49df20e21fd53
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:22 2018 -0700

    Common header file change; not applicable to open-vm-tools.

commit 7c3fab49fa6b6630e9bb742d41dfb14c44a651c6
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:21 2018 -0700

    Update the Tools-10.3.0 OSL.

commit 5277280d7192379dcd77330cb33b513f12cec153
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:21 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit a79c38c8f266712bae44053c5fb41d237a4bee0f
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:21 2018 -0700

    Changes to common header files; not applicable to open-vm-tools.

commit 322dba026b1b19799c3e34eab8452c7bbf805148
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:21 2018 -0700

    Common source file change not directly applicable to open-vm-tools.

commit 08d77f0d8d8cdf9f50620adf5dd287b5c5357254
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:21 2018 -0700

    Common header file change; not applicable to open-vm-tools.

commit 96214c008175c82ac958456ac1c17c2ecca90604
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:21 2018 -0700

    Common header file change; not applicable to open-vm-tools.

commit 2fdb335e3662b8559e0fa00f5e1278f794f2d31b
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:21 2018 -0700

    Common source file change; not directly applicable to open-vm-tools.

commit 46ad0b583d41027e5b188b76bb96fd15fcbe5127
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:21 2018 -0700

    Yet More SnowMotion Logging
    
    Prior logging indicates an issue when reading back from disk, so
    tweak the logging to report the count# (since SuperFgets doesn't log
    null terminators) of bytes and add a log to Dictionary_WriteFile to log
    the last 100 bytes of the buffer.

commit 57bc4445db65d50d0f7292bf99f1d239e5e3ac9a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:21 2018 -0700

    Fix the broken list in lib/include/guest_os_tables.h
    
    The list wasn't sorted.

commit 5144365f59262c0e773f953d8a42f11e06150f19
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:21 2018 -0700

    Changes to common header files; not applicable to open-vm-tools
    
    GOS: Add support for Windows Server 2019
    
    Add support for the upcoming Windows Server 2019. With this change it
    is present but does not show up in a public menu. Making it appear in
    a customer menu is something the hosted UI group does... when they are
    ready.

commit 707c9cf72348dae4a789e612339c5ff1959ce9a3
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:21 2018 -0700

    Remove the new guest metrics feature switch, permanently enabling the
    collection of new guest metrics for vROps..

commit 4a1b82e70211e96cc5da71b223a38acba7121765
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:20 2018 -0700

    Common header file change; not applicable to open-vm-tools.

commit ef4cb45f37cc57f0b91906a0749ec09e6f73b6aa
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:20 2018 -0700

    Common header file change; not applicable to open-vm-tools.

commit 2f59cb53a75d34ff8e5693496028e64d0b05b7d7
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:20 2018 -0700

    open-vm-tools: use lib specific var names for AC_PATH_TOOL to avoid
                   caching issues

commit 6dd7bddc0a89cac738382e9dae39f4d34d706f5f
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:20 2018 -0700

    Changes to common header files; not applicable to open-vm-tools.

commit 401e18c02e3a0b1f541f256a4c46a3d34fc5661f
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:20 2018 -0700

    [tools-plugin] Potential solution for reported desktopEvent crash
    
    On several distros like RHEL, CentOS and Fedora, plugin desktopEvents.so
    crashes have been reported.  However, neither development or QE can
    reproduce this issue in local environments.
    
    The XFetchName document states that it may generate BadWindow error.  That
    means that the value for a Window argument does not name a defined Window.
    X FAQ also suggests handling badwindow error after finding it.  Since
    the window does not exist when XFetchName is run on it, the name is not
    needed.  Suppress this error to avoid a crash.
    
    After grabbing the X server, use XSetErrorHandler to temporarily define
    a local error handler to intercept and cleanly handle any BadWindow
    errors.  XSetErrorHandler returns the current error handler, so it is
    straightforward to reinstate GDK's original handler.

commit 58a05f680a7c11eeb2fbb576579969c1895bb01d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:20 2018 -0700

    Changes to common source files; not directly applicable to open-vm-tools
    
    MXUser: Lock tracking causes panic
    
    MXUser locks require a unique serial number so the lock stats code
    can proprly differentiate between each lock. We can't depend on the
    name to be unique as some locks are created and deleted many times,
    reusing their names.
    
    The serial number is also used to avoid ASLR attacks... we can't use
    the address of a lock... and even if we did, it's possible for that
    address to be reused... MXUser locks are dynamically allocated.
    
    The lock tracking code tracks the number of locks and this is now
    causing an issue. Way back when it was thought that seeing what
    was deemed a huge number of locks indicated a problem... but today
    we think those limits are getting quite small.
    
    Enlarge the serial number space to 64-bits. If we constantly create 1M
    locks per second it would take over 500000 years before we would have
    a problem like this again.

commit 1ba390a66aa6a7821bfaae018248e4f005da6512
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:20 2018 -0700

    Common header file change; not applicable to open-vm-tools
    
    Back out previous change to lib/include/ghIntegrationCommon.h.

commit f7a67dad2c1dbe4b8b933dcdf73d46e24b6525a7
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:20 2018 -0700

    Common header file change; not applicable to open-vm-tools

commit d302a0d7d89b566ac82561c7630f463caa58237f
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:20 2018 -0700

    [OVT] Update copyright year to 2018 for few files.
    
    Updated the copyright year to 2018 for few files changed in the last
    few days.

commit f79000faf754d38b3e8ef53458a4f51fcab455c4
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:19 2018 -0700

    Common header file change; not applicable to open-vm-tools.

commit 727871f9681b398330d6f186035bbb2c51369353
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:19 2018 -0700

    Common header file change; not applicable to open-vm-tools.

commit 94f5b5e5a1fccc94706aba6f3f432162adbfac41
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:19 2018 -0700

    Common source file changes; not directly applicable to open-vm-tools

commit 63a14504022a8b9509d9dc3235ae9e17e5843e10
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:19 2018 -0700

    Common header file change; not directly applicable to open-vm-tools.

commit c024d229e4369366c45e816ac7b257c98f858d80
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:19 2018 -0700

    open-vm-tools: use AC_CHECK_TOOL for pkg-config
    
    AC_CHECK_TOOL honors the --host setting to configure, and
    searches for tools with the cross compile prefix thus
    allowing for cross compile specific tools.
    
    Fixes issue #26 in github.

commit 954f4b360aa4a18b29004b2cf382a37b46f900ca
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:19 2018 -0700

    Common header file change; not applicable to open-vm-tools.

commit 1965add45fc265bd295480c00bfe4d8248abea3c
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 27 11:46:19 2018 -0700

    Fix a bug where the clipboard content on the host gets loaded to tmp on
       the Linux guest with a right click on the guest
    
    Root Cause: Dndcp plugin creates a sub thread to monitor if there is another
                application access to the specific file.  The root cause for
                this bug is the main thread doesn't update its field before
                wakeup of the sub thread, this cause the sub thread get a wrong
                value.
    
    Solution: Main thread should update the field before waking up the sub thread.

commit c4810ef28ba40c5b5631aea1488cde3221503efc
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 6 15:02:37 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 6b48b2680673c562121940c59821222c6793a5f5
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 6 15:02:37 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 4cd839359c127447686ed2f587b91b2c0095cc6a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 6 15:02:37 2018 -0700

    open-vm-tools: build for FreeBSD fails in fakeMouseWayland
    
    Root Cause:
    In the file fakeMouseWayland.cpp, several Linux related header files are included:
        <linux/input.h>
        <linux/ioctl.h>
        <linux/uinput.h>
    
    These header files do not exist for FreeBSD and Solaris.
    
    Solution:
    Lib fakeMouse is not needed by FreeBSD and Solaris, so update the makefile to build the fakemouse related code only on Linux.

commit 28dec2775af9c12e4e05b8662acc3a225595aaf3
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 6 15:02:36 2018 -0700

    Back out previous change to add SnowMotion-specific SuperFGets logging.

commit 26a7bbaa1dfad5411b804829988cdf0ce4127b49
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 6 15:02:36 2018 -0700

    Add SnowMotion-specific SuperFGets logging
    
    Prior logging suggests vmx-side corruption prior to VM powerOn, so add
    logging closer to the source to try to isolate the cause.
    
    This includes a toggle that will be triggered in main and unset on VM
    powerOn.

commit 33205aafc87a147729ddbdfd562d08edcd0c5cd3
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jul 6 15:02:36 2018 -0700

    Common source file changes not directly applicable to open-vm-tools.

commit a6b976a9726d7a94b482f846c5ba486105483026
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 19 17:07:51 2018 -0700

    Use "/var/run" or "/run" instead of "/tmp" in Linux guest for imc package copy
    
    1. check if /var/run is a directory in VM
    2. if Yes, use /var/run/XXXXXX
    3. check if /run is a directory in VM
    4. if Yes, use /run/XXXXXX
    5. if both No, use /tmp/XXXXXX as before

commit 0345475d49f8155e9a27dd28fe6f9b5bacbdd8d2
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 19 17:07:51 2018 -0700

    Return proper vix error code when guest op VIX_COMMAND_DELETE_GUEST_DIRECTORY_EX fails.

commit 8674505bf43fcf3099d767d17d5e8b400bb2e418
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 19 17:07:51 2018 -0700

    FreeBSD: clang compiler related changes to configure.ac
    
    On FreeBSD, the unwind.h header is available in the libunwind
    package (/usr/ports/devel/libunwind) which may or may not be installed
    on a system.  The libunwind functions to determine the call-chain in a
    program are defined only if " __GNU_SOURCE" is defined to enable "all"
    GCC extensions.  Avoid the unwind.h header if seen on FreeBSD.
    
    The "clang" compiler will issue warnings if the address of a member
    of a packed structure is taken.  Since warnings are errors with -Wall,
    add --Wno-address-of-packed-member to CFLAGS when compiling with
    "clang".

commit 30e58e8a0a18fcf3013cd76889056c055966bd50
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 19 17:07:50 2018 -0700

    Build open-vm-tools with xmlsec1 by default.
    
    Build open-vm-tools with xmlsec1 by default, rather than with
    xml-security-c as is done currently.  This requires modifications
    to configure.ac to change the default for use_xmlsec1, plus
    modifications to bora-vmsoft/install/Source/tools-pkg.make to
    initialize flags for xmlsec1 and xml2 now needed by the OVT build
    that is done during tools builds.
    
    Another change that surfaced during this was that the symbol that
    configure checks for the xmlsec library was wrong.  It should be
    xmlSecCheckVersionExt rather than xmlSecCheckVersion.  The latter
    is a header-defined macro but not a library symbol.

commit 0d8437a0ed19163e0b30d2f653fd6cfc8c6c6c8b
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:47:41 2018 -0700

    Go back to the old INVALID_PPN value

commit e3fa62739ec86f00b90c5a7586698125093de8bc
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:47:41 2018 -0700

    Various small fixes to windows balloon driver; not applicable to open-vm-tools.

commit ac8f3f74ca37cd5b2e006120a54926f801309537
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:47:40 2018 -0700

    Changes to common header files; not applicable to open-vm-tools.

commit 3aa98a239fb53ce7e5ffab2953dd414c38858790
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:47:40 2018 -0700

    Changes to common header files not applicable to open-vm-tools.

commit 9f057f1f1805fd822f09cd17f080ee852cb2f352
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:47:40 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 95938b9bf10e19f7b4873d62c6c766892bc0cf6e
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:47:39 2018 -0700

    Update APIC_INVALID_PPN and PHYSMEM_MAX_PPN

commit bc241e19875862306fc66e42ec50faa20312ccf2
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:47:39 2018 -0700

    vm_basic_types.h: remove VM_I386
    
    The VM_I386 macro is described as "historical". But recent cleanups
    reduced the number of usages to the point where "historical" can become
    "removed".
    
    Remove the declaration, comments describing the declaration, and
    fix the last two places to use the modern macro alternatives.

commit ac5261a005f11edad653f6cd884d28714e8242c5
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:47:39 2018 -0700

    open-vm-tools: build with tirpc
    
    Newer distros (Fedora, OpenSuSE Tumblweed) no longer ship rpcgen with glibc,
    so we need to build with libtirpc (see
    https://bugzilla.redhat.com/show_bug.cgi?id=1531540 and
    https://bugzilla.suse.com/show_bug.cgi?id=1089181). With this change,
    configure will check for the presence of libtirpc and if found, sets
    flags to build with it. configure will also exit with an error if
    rpcgen is not found.

commit 84a43542a2fcad1df3a8eb4cec460d67d359ee27
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:47:38 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 411d143eee043afe7f649573305096453608d77a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:47:38 2018 -0700

    Add Safe version of DynBuf_Enlarge
    
    This change adds the "safe" variant of the enlarge interface. Similar to
    DynBuf_SafeAppend, this panics when the buffer enlargement fails due to
    memory allocation failures.

commit 910f5c10b01f04862fd1b25af18166c17eb1cdff
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:47:38 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 0701b481beb3b310e733d65667fa59ad0b64d9c9
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:47:38 2018 -0700

    open-vm-tools: build dndcp with thread libs
    
    Recent changes in the dndcp plugin made it necessary to make sure that
    it links against pthread libs.

commit 5402d55a456ea21a5f39ebb5e7d9a84434f6dae6
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:47:38 2018 -0700

    Log full version of Tools in vmware.log.
    
    Currently, only the Tools build number is logged in vmware.log.
    It will be very handy to have the full version logged in
    there and avoid the need to manually lookup the build.

commit a0ec585e3aad04d2a8a27706d7b99bde60f4a8d2
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:47:37 2018 -0700

    Remove CPUIDSummary
    
    CPUIDSummary is no longer used and, along with its corresponding header file
    cpuid_info.h, can be removed.

commit ab11ce6bd158f9bb08de323ba9b518b259ee2488
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:47:37 2018 -0700

    Change the balloon driver internals to 64-bits.
    
    As a first step towards making the driver being able to balloon 16TB+,
    let's change all the internals to use 64-bits values for the counters.
    Initially, I wanted to only touch the windows driver, as this is the one
    that we really care about, but since some code and datastructure are
    shared, I had to modify pretty much all drivers.
    
    The next step will be to change the drivers capabilities by adding
    BALLOON_64_BIT_TARGET.

commit 6e450a50dce8eb0387cd6aa2a3eeb39b364640b7
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:47:37 2018 -0700

    Bump invalid PPN to 2^52 - 1
    
    We are ready to bump INVALID_PPN value. Let us set it
    to 2^52 - 1. This is more than enough to get over 4PB vRAM,
    that requires 40-bit PPNs.
    
    Another option was to set it to (uint64)-1, like the current value
    of INVALID_PPN64, but it seems like there is no good reason
    to do it. There are a few instances where INVALID_PPN is
    treated as a regular PPN, e.g. we may convert it to PA and back.
    2^52 - 1 will allow us to preserve that natural relationship
    between invalid PPN and invalid PA.
    
    All INVALID_PPN64 will have to be converted to INVALID_PPN
    in follow up changes.

commit de663d0b5c4cbdd799932c7d6202326c8e2caf62
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:47:37 2018 -0700

    Drop suffix 64 in public except vm_basic_types
    
    This change renames PPN64, TPPN64, PgNum64 and PgCnt64 as PPN, TPPN,
    PageNum and PageCnt respectively in the public directory.

commit b8f31230261acb03f84a33bf45bb34f6c0b8211e
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:47:36 2018 -0700

    Fix locale issues for vgauth on Linux
    
    setlocale() returns nothing unless we earlier force it
    to be empty.
    
    Change the default msgCatalog location on Linux so
    the catalogs can be found without config changes in the normal
    install area.
    
    When doing catalog lookup, first chop off the charset
    suffix.  Otherwise we first look for 'zh_CN.UTF-8', then
    fall back to just 'zh' if that fails.  We support zh_TW and zh_CN,
    but not a 'zh'.
    
    Also fix things for NeoKylin, which appears to use LANG
    but not setlocale().

commit dee74b5944132494ddb3462bfaab8aa31300cf98
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:47:36 2018 -0700

    Changes to build CAF with VS 2015; not applicable to open-vm-tools.

commit bb73aa0856a2715ab8481748097c973f4089b3b5
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:47:36 2018 -0700

    Tools 10.3,0 L10n drop2
    
    This is to integrate the final L10n drop for VMware Tools 10.3.

commit fc46fff9904be54286947f4ce61c26f8118c3b33
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:47:35 2018 -0700

    Common header files change not applicable to open-vm-tools.

commit f00ecc833139a651edf936d7b4c01bfd1504908f
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:47:35 2018 -0700

    [Wayland DnD] Part3: Update the Drag Detection Window and Use UInput in DnDUIX11
    
    Two changes in this patch:
    1. Changes the class DragDetWnd to template class.
    
       Currently the DragDetWnd inherits from Gtk::Invisible, but Gtk::Invisible
       doesn't work for Wayland, it seems this is a bug for Wayland and maybe it
       will be fixed sometime.
    
       So, changes the DragDetWnd to template class, and it will inherit from
       Gtk::Invisible for X11 and inherit from Gtk::Window for Wayland.
    
    2. Uses UInput to simulate mouse motion in class DuDUIX11.
    
    This patch is part of the new feature 'Wayland support in Linux guest'.

commit 140820c8bdc0d2d83909612bc0e877eaff8ff5d0
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:47:35 2018 -0700

    vm_basic_types.h: use system headers for uint64_t, uintptr_t, size_t
    
    Extensive rewrite. Basically standardizes on using stdint.h (C99)
    and sys/types.h (POSIX) to define interesting types, with several
    non-trivial caveats:
    - stdint.h is not available on older Windows compilers. For now,
    emulate with crtdefs.h + manual definitions.
    - Linux kernel does not provide stdint.h (gcc-4.5+ does and it's
    incompatible), and sys/types.h won't work at all.
    However, linux/types.h gives everything we need.
    - Linux kernel defines uint64_t as 'long long' (and uintptr_t as
    'long' - yes, really), in contrast to Linux userlevel which defines
    uint64_t as 'long'. Send Linux kernel down a different FMT64 path
    so we don't get "%llx" / "%lx" mismatches.
    - VMM and VMKernel don't provide sys/types.h (except VMK's FreeBSD
    modules). Directly provide definitions here.
    
    Net effect of this change is removal of two blocks of code that
    provide our own definitions of uintptr_t/intptr_t/size_t/ssize_t.
    Also pruned a few now-unneeded stdint.h and sys/types.h includes as well.
    
    Curious observers will inquire why not get size_t from C99 standard
    header stddef.h. Turns out that header is EXCEPTIONALLY hard to include,
    which is why I'm using sys/types.h in most places. Actually using
    stddef.h is left for a later change.

commit 5852956ccace7a55c3834dfbfaf15d1f45d6d0c0
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:47:35 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 9c528b5b013821f2d8bc4ad5258e9e9bd5338021
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:47:34 2018 -0700

    [OVT] Update copyright year to 2018 for files modified since 10.2.5 GA

commit 46a0b08377224ac62d78c88dfd2cd3c4e049e169
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:47:33 2018 -0700

    [tools] Not checking symbols when building open-vm-tools
    
    Using a hard-coded mangled name is not a good idea because C++ does not
    have any standard for name mangling.  Remove these mangled names introduced
    in an earlier fix.

commit 67c9aeb27a0c7064369c5863e6dc91b3090a5737
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:47:32 2018 -0700

    Hgfs Win Client: fix bad illegal character escaping; not applicable to open-vm-tools.

commit 79f95aa342b58e0eceeb7b6ae010b57c804abdcb
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:47:32 2018 -0700

    Bump the tools version on the devel branch to 10.4.0

commit 1e18ab88842e0d9d930a9cb3d4f710f5e12d4c62
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:47:32 2018 -0700

    Header file change for tools logging improvements for VMware Managed Cloud.

commit 4420450a96c279b89af4999005202e3d7e8eca4a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:45:07 2018 -0700

    MXUser lock: Remove ASLR defeating stats reporting
    
    Way back when the tracking of the top users of an MXUser lock was added
    to the stats. It was never used, it's not reported by kstats.prl and
    the code make it possible to break ASLR. Remove the code.

commit 33db7c56e888d9c7c5f8f76fd0de927d50389ae5
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:45:07 2018 -0700

    Common header file change not directly applicable to open-vm-tools.

commit 54191584c2ebb7b5cc2faced5046c366630e0118
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:45:07 2018 -0700

    Add two switches for max IPv4/6 routes to gather
    
    Gathering nic info in a Linux guest OS which is configured with large
    number(60000+) of ipv6 routes could result in vmtoolsd process taking a
    long time and rock solid 100% CPU of a core.  Though tools only exports
    at most NICINFO_MAX_ROUTES(100) routes, it tries to read all the contents
    of /proc/net/ipv6_route which costs too much time because:
    1. IPv6 route table is not efficient natively compared to ipv4 due to
       its implementation.
    2. The g_io library can aggravate the performance.
    
    On the other hand, when gathering routes, IPv4 comes first, and IPv6 second.
    And the routes reported to VMX has an overall limitation of serializing
    (NICINFO_MAX_ROUTES).  If there's more than NICINFO_MAX_ROUTES IPv4 routes
    in system, no IPv6 will get reported.
    
    Added two switches "max-ipv4-routes" and "max-ipv6-routes"
    (NICINFO_MAX_ROUTES by default) in tools.conf and let SlashProcNet_GetRoute*()
    only read the first max ipv4/6 routes lines of /proc/net/[ipv6_]route to avoid
    performance problem.  Users can disable ipv4/ipv6 routes gathering
    separately if they want ipv6 or ipv4 only.

commit 0b045f21abfef3da7789e6258ef0b2ee7221eeda
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:45:06 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit f1a7a8bbdbb790bab80f0fc55134180048242afa
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:45:06 2018 -0700

    Hostinfo_GetCpuid Cleanups
    
    This change includes several cleanups in Hostinfo_GetCpuid. The CPUIDSummary
    type is unnecessary, the function really only cares about levels 0 and 1.
    Also removed a hardcoded mask and shift in favor of a CPUID_GET and fixed
    some formatting issues.

commit 5657cd53e41048264a831f8c0bcebcced8d21944
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:45:06 2018 -0700

    locks: Increase buffer size in MXUserHistoDump
    
    It was noticed that the size of one of the char arrays in MXUserHistoDump
    is not large enough given the format string. This change bumps the
    size to accommodate (plus slack).

commit 00087edfaec951fb7330843282a0fe20128fbb56
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:45:05 2018 -0700

    [Wayland Copy & Paste] Part2: Uses VMBlock notification mechanism for Copy & Paste
    
    This patch is part of the new feature for Workstation 15: \[P0\] Wayland
    support in Linux guest - Copy & Paste.
    
    In the first patch, the notification mechanism is added to the VMBlock module.
    In this patch, the notification mechanism is used,

commit 8532fc18fe4acbb3f1df354fa3f94bf7d4581adc
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:45:05 2018 -0700

    [Wayland Copy & Paste] Part1: Add notification mechanism to the VMBlock module
    
    This patch is part of the new feature for Workstation 15: [P0] Wayland support
    in Linux guest - Copy & Paste.
    
    In the implementation of current VMTools, there is a restriction, in the first
    second after grab into the guest, the CopyPasteUIX11::LocalGetFileRequestCB,
    which is a callback from a file paste request from another guest application
    and begins copying the files from host to guest and return the file list,
    will return none directly.
    
    The Wayland file explorer will request the content in the clipboard after the
    user clicks on the file explorer, and the request will get nothing since the
    restriction in the VMTools, so the following ‘Paste’ operation will fail.
    
    Solution:
    This solution is only used for the Linux guest with Wayland. The behavior
    for Linux guest with X11 will not change.
    
    The restriction, the CopyPasteUIX11::LocalGetFileRequestCB returns directly
    in the first second after grab into the guest, will be removed.
    
    And, the notification mechanism will be added into the VM block file system.
    This mechanism is similar with the inotify module.
    
    Take the VMBlock Fuse File System as an example, currently, the mount point contains below contents:
    
    * /blockdir/
    
    * /dev
    
    /blockdir/ contains the symlinks to the contents of the target directory.
    
    /dev is the control file for VMBlock Fuse File System.
    
    In this new solution, a new folder /notifydir/ will be added, each file in this folder is a special file, read from this file will be blocked until any other process read from the corresponding file in target directory or the block on the target directory is removed.
    
    This patch only focus on the notification mechanism.

commit f240e2095c0780eb4e8afa4a75d7cbb83c7f4185
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:45:04 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit d92e07cb46d66894e2278f954584b75259b8534f
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:45:04 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 277b574bebe8f7c595e2c6002ead84cfe4492d8d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:45:04 2018 -0700

    Define 64-bit PPN, TPPN, PageNum and PageCnt
    
    This change introduces 64-bit PPN, TPPN, PageNum and PageCnt
    types so we can start dropping 64 suffix everywhere in the code base.

commit 41dc7d851d9d20b345f0063e700775fc8e8b594a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:45:04 2018 -0700

    [Lifecycle][ESX] Allow ALL 'admin' users to access Personality Manager APIs
    
    1. During the uninstall workflow, NSX-T does not have access to 'root'
       users and uses an admin user created by them to call Personality Manager APIs
    
    2. Added a new PAM module for "settingsd" service and removed "root"
       hardcoding.
    
    2.1 Kept it same as "sshd" module except I removed sending VOB during
        authentication.
    
    3. For this, updated the auth lib to add a new method Auth_AuthenticateUserPAM,i
       which takes the PAM "service-name" to use while authenticating.
    
    4. Modified the existing method Auth_AuthenticateUser to call this API
       when USE_PAM is true.
    
    5. This would be available only on !_WIN32

commit bd0cf5aa66781bbfccd39f9a0e145053c0e2fb7b
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:45:04 2018 -0700

    retire PPN, TPPN, PageNum, PageCnt types
    
    This change retires 32-bit PPN, TPPN, PageNum, PageCnt types and
    introduces temporary PPNTMP type for tools (graphics, pvscsi, balloon),
    so that driver owners can work on PPN64 conversion at their own
    pace and can easily identify places that require attention.

commit 15bf6c2e417fa7b52500f8981538cf6515a0e02f
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:45:04 2018 -0700

    Common header files change not directly applicable to open-vm-tools.

commit b763d9b17cfb17745f990f329e416ba1abeef70d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:45:03 2018 -0700

    Common header files change not directly appliable to open-vm-tools.

commit 1e7f879d82c515a0244cdb607ac46401c9055b47
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:45:03 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit c598268c3355757395d279d922adcdc055a51448
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:45:03 2018 -0700

    Hgfs Server Plugin: only handle the shared folders client in hosted products
    
    Only initialize the Shared Folders client redirector in hosted product
    environments.
    
    Details: Check if the tools system service started in a non-hosted product
    and if so do not start the shared folders client redirector.
    Check if the tools user service started in a non-hosted product product and if
    so then skip reconnecting any Shared Folders mapped drives.

commit 4f97b892121c31d3deb05e15b5dc2c8e0c69b749
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:45:03 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit e62247538d0fb334272a100e42cc248c6b9e1845
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:45:03 2018 -0700

    Remove debug display of CPUID vendor string seen in VmCheck_IsVirtualWorld
    
    The "Debug" message containing vendor string returned by the CPUID
    instruction will appear on STDERR for stand-alone programs such
    as vmware-checkvm.

commit 77d6d2bf3f8965302f258b27b433fa6dc2183c00
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:45:03 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit e0bcd12ada77bb8f1b1a549c02ac537de51e2476
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:45:02 2018 -0700

    Backout previous header file change.

commit 5eaf3d287aa417c7020f5011cf834d618d577890
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:45:02 2018 -0700

    Common header file change not directly applicable to open-vm-tools.

commit e6f7422b9454f0b272755128f373879e0fa78627
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Jun 5 15:45:02 2018 -0700

    VMware Tools 10.3 L10n drop1
    
    This is to check in the 1st L10n drop for VMware Tools 10.3.

commit 7ddbe3c9df400dfdf7d67d259ae3942d157dedb4
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 30 15:42:54 2018 -0700

    sync deploypkg files

commit 80a23d71a281493071668fd45b77d7f8248fad68
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 30 14:04:14 2018 -0700

    Changes to common header files:
    - Add Amazon Linux 2 to the known guest OS list.
    - Other change not application to open-vm-tools.

commit 48dc7a57ff3fe5cb1441040876f74b69772c1ea5
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 30 14:04:13 2018 -0700

    [DeployPkg] Replace Log() references with g_log()
    
    * Modified the code to replace a couple of Log() references with g_debug()
    so that they are properly logged with 'deplogPkg' domain instead of the
    generic 'vmsvc' domain in the tools log files.

commit 9cb12223b4da529df043d95ab025f22c6ee00c39
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 23 17:08:18 2018 -0700

    [oss] Upgrade GTK+ and its dependent libraries for VMtools
    
    GTK+ and its dependent libraries are upgraded to:
    gtk+       2.24.32
    atk        2.28.1
    gdk-pixbuf 2.36.11
    pango      1.40.13
    cairo      1.14.12
    fontconfig 2.13.0
    freetype   2.9

commit a5c03957c95ec78c92246b87cdf60a90b2eca7f7
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 23 17:08:18 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit f87d177acab33f00229234ed51722504e2f7afc7
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 23 17:08:18 2018 -0700

    Changes to common header files not directly applicable to open-vm-tools.

commit ba65905dfc7e6c07d1aeea37db885284e54b02fa
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 23 17:08:18 2018 -0700

    Set perms on Tools script logs.
    
    Make the network script logs secure; set log file perms to 0600.

commit aa59d16e0b5968efc298065ef50ece282d406265
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 23 17:08:18 2018 -0700

    [Wayland DnD] Part2: Open the uinput device file with root permission.
    
    The device file /dev/uinput (or /dev/input/uinput) can only be accessed
    by root account, so the dndcp plugin may failed to open this device file
    if the current user is not root account.
    
    A way to fix this issue is opening this device file with root account,
    then pass the file descriptor to the sub task which is started with the
    current account. An example for this solution is blockVM file system
    device file.
    
    This patch is part of the new feature 'Wayland support in Linux guest'.

commit b3899c91d348d23c2e6c22944b8ac1a06e4e3988
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 23 17:08:18 2018 -0700

    [Wayland DnD] Part1: Add 'fakeMouse' module which is used to simulate the
           mouse motion under Wayland
    
    For Linux guest with X11, the VMTools uses the X system APIs to simulate
    the mouse motion, but these X11 System APIs do not work in Wayland. Need
    to pick up another method to simulate the mouse motion.
    
    Another way to simulate the mouse motion is using uinput module.
    
    uinput is a kernel module that makes it possible to emulate input devices
    from userspace. By writing to /dev/uinput (or /dev/input/uinput) device,
     a process can create a virtual input device with specific capabilities.
    Once this virtual device is created, the process can send events through
    it, that will be delivered to userspace and in-kernel consumers.
    
    Here is the link which contains more information about the uinput module:
    
    https://www.kernel.org/doc/html/v4.12/input/uinput.html
    
    This patch adds a new module named 'fakeMouse' which is used to simulate the mouse motion under Wayland.
    
    This patch is part of the new feature 'Wayland support in Linux guest'.

commit 995befcb0d6156fb47773c96db6d478173d1bc89
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 23 17:08:18 2018 -0700

    Add new guest metrics to be consumed by vROps.
    
    Windows:
    * ProcessorQueueLength
    * CurrentDiskQueueLength
    * AvgDiskQueueLength
    
    Linux:
    * CPU run queue size
    * Current disk queue size
    * Average disk queue size

commit 9d6cfe650cd15095e65024fbb5d9cd6944e1cf14
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 23 17:08:17 2018 -0700

    Historical: Recording version numbers assigned for 10.2.x patches.
    
    Define TOOLS_VERSION_CHAINSAW_PATCH1 as 10.2.1.
    Define TOOLS_VERSION_CHAINSAW_PATCH2 as 10.2.6.

commit ba6c319f18d294b36c0e989f851fbfdbc8a629b7
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 23 17:08:17 2018 -0700

    Bump up the version requirement for glib and friends to 2.34.0
    
    For open-vm-tools, we are bumping up the minimum version requirement
    to 2.34.0 for glib and its friends. Modified the configure.ac
    with the proper new version checks. Also, updated the
    error message with the proper version.

commit 26d03ad8075913cb869b814462b7285c02367252
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 23 17:08:17 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit ce1ed002f5e05f09678e15b4021bac8155edb1eb
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 23 17:08:17 2018 -0700

    Common source file changes that are not directly related to open-vm-tools.
    
    Build vmtools and vgauth for Windows with xmlsec instead of
    xml-security-c.  It will still be possible to build with xml-security-c
    either by commenting out the definition of USE_XMLSEC_FOR_WINDOWS in
    bora-vmsoft/vgauth/make/inc/defs.mk or adding a make command line
    argument of USE_XMLSEC_FOR_WINDOWS=0.

commit d5c0bcea04aae65484ba3c2756b64acf6f6388d0
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 23 17:08:17 2018 -0700

    Update bora-vmsoft/install/Source/README
    
    The content is stale. Since the file is used internally and is
    not published, rather than maintain it in two places, point to
    the current README file and Release Notes on github.

commit 512d5475520ec5e0525633cd47530faaae774b5e
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 23 17:08:17 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 982998c9a6a3ec8664f9c4c08ff9ef30f52a9ae2
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 23 17:08:17 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit ab36b3227275a5beded8a5115929e2d649c6aad3
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 23 17:08:17 2018 -0700

    Common header file changes not applicable to open-vm-tools.

commit 0527d5c5f14f626a5129231778ec433dfff55c2a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 23 17:08:17 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 571dc1fbadd962d91dcb7a44652b501de3f48e0e
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 23 17:08:16 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 998903d73496bf6080053f994c8410dc880db2f9
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 23 17:08:16 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 3b814f9b4dcbf54893078a4ba187d8d0cbf23e31
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 23 17:08:16 2018 -0700

    lib/hashMap/hashMap.c:
      Add new HashMap_Get() which uses a constant time memory comparison function.
    
    lib/misc/utilMem.c:
      Constant time memory and string comparison functions.

commit 5daceb4448834143d884b061f391c37aeaaad683
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 23 17:08:16 2018 -0700

    Changes to common header files not applicable to open-vm-tools.

commit 42d1e6b11c0b11c1b1f6f967cb5c4d7e2f3b39e0
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 23 17:08:16 2018 -0700

    Change to common header file not applicable to open-vm-tools.

commit f4b7b227119712c90be4a3583d4430a3fcc1d093
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 23 17:08:16 2018 -0700

    Change to common header file not applicable to open-vm-tools.

commit 874b8b4801a5bba439401db8e624e3e3d1989ca7
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 23 17:08:16 2018 -0700

    Common header file change not applicale to open-vm-tools.

commit ff2616a657c32bbb5e6799f8b8cd0a470d0e5202
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 23 17:08:16 2018 -0700

    Common header file changes not applicable to open-vm-tools.

commit 5d9cc73f1c7979466d55f7897f98c0888d2fb15d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 23 17:08:15 2018 -0700

    Header file change in preparation for C++11 compilation.  Also updating
    copyright dates.

commit 29fb30f6d1956ccd4ad803b1b7f0430e4ef28ceb
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 23 17:08:15 2018 -0700

    FreeBSD vmmemctl: Fold in open-vm-tools pull requests #125 and #140
    
    This change incorporates two open-vm-tools pull requests that provide
    code changes that allows the existing vmmemctl.ko driver to be compiled
    on FreeBSD 10, 11 or 12.
    
    Pull request #125:
    An optional argument has been added to the sysctl_add_oid() function
    in FreeBSD 12.x. All releases have a SYSCTL_ADD_OID() macro that does
    not require the additional argument.
    
    Pull request #140:
    Functions and macros to lock and unlock memory pages and objects have
    changed between the FBSD 10 & 11.  The pull request provides a set C
    preprocessor directives to select the appropriate code based on the
    FreeBSD release being targeted.
    
    The code change as been tidied up by using the release version checks
    to define LOCK and UNLOCK macros for memory pages and objects at the
    beginning of the source file.  The code logic is easier to follow
    without the abundance of #if, #else and #endif statements scattered
    about.
    
    Ed Schouten: https://github.com/vmware/open-vm-tools/pull/125
    Steve Wills: https://github.com/vmware/open-vm-tools/pull/140

commit 2a34b181de524b3f0d01cad90d3da184bde7ad99
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 23 17:08:15 2018 -0700

    Common source file changes not directly applicable to open-vm-tools.

commit fab45e62a1468b86d2097a6a0784c4f259d6b0ef
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 23 17:08:15 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 357e8418e5441c2c5fc75a19f7b6529d6bce7452
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 23 17:08:15 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit fad97e4a7c756b3b297e0fe9e68a1a4674c4fdcc
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Apr 23 17:08:15 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 357d9139342c19a98ed12f5961f415d099df3287
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Mar 23 15:05:36 2018 -0700

    Common source file changes that are not applicable to open-vm-tools.

commit 6c3261d152442fa11fc2b928490d74846f23465d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Mar 23 15:05:36 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 3747daca8efbfe8e709687b97c874a29f183b717
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Mar 23 15:05:36 2018 -0700

    Backout previous change to lib/include/vm_basic_math.h.

commit f9414d19532a9664e6c260a8644ee09200e32429
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Mar 23 15:05:36 2018 -0700

    Common header file change: lib/include/vm_basic_math.h
    
    Define portability macros for Inf and Nan tests.

commit de2010a1a45a9e515b932a1a83374539661a2b39
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Mar 23 15:05:35 2018 -0700

    Add missing memory constraints for vm_atomic RMW (Read/Modify/Write) instructions
    
    There are two inseparable concepts involved when dealing with atomics:
    1. Atomicity of the access itself
    2. Ordering of the access with respect to other reads&writes (from the view of
    other processors).
    
    Our Read-Modify-Write functions are all meant to provide the highest level of
    ordering guarantee: Sequential Consistency, which means no reordering of reads
    or writes across the access. We properly implement that on ARM, and on
    x86/x64 at the hardware layer. But, on x86/x64 we needed to tell the compiler
    (it must flush out any pending reads/writes that are currently hiding in
    registers)
    
    Side Note: we do *not* change the pure Read and pure Write functions, only
    the Read/Modify/Write ones. On both ARM and x86/x64, vm_atomic functions like
    Atomic_WriteN provide no (re)ordering guarantees today (at the hardware layer
    on ARM or at the compiler layer on x86/x64). This is because some callers
    didn't need or want such guarantees - as such, Atomic_WriteN by itself is
    *not* sufficient to, say, release a lock. Making these remaining atomic
    weapons safe by default will require us to first
    1. add new unordered atomic equivalents of Atomic_ReadN/TestBitN and
    Atomic_WriteN (in C11 terminology, acquire/release and relaxed)
    2. Scan the tree and switch appropriate callers to the new functions
    
    *and only then*
    3. Strengthen the defaults, affecting only callers who needed the stronger
    defaults to be correct. ... but that would be a separate change in the
    future.
    
    Codegen differences (vmm.vmm64):
    --------------------------------
    The function that uncovered this was ST_HandleCrossCall, which invoked
    Atomic_And64.
    
    original w/o explicit compiler mem barrier in ST_HandleCrossCall:
    ...
    lock and 	QWORD PTR [rdx+0x0],rax
    movsxd 	rax,DWORD PTR [rip+offset]  <-- load reordered after Atomic_And64
    lea    	rax,[rax+rax*2]
    lea    	rdi,[rax*8+0x0]
    
    with "memory" constraint, it's now identical to code w/an explicit
    compiler mem barrier (which was the workaround):
    ...
    mov    	edx,DWORD PTR [rip+offset]  <-- load emitted prior to Atomic_And64
    ...
    lock and 	QWORD PTR [rsi+0x0],rax
    movsxd 	rax,edx                     <-- ... and used after Atomic_And64
    lea    	rax,[rax+rax*2]
    lea    	rdi,[rax*8+0x0]
    
    vmm.vmm64's .text section shrank 28 bytes
    vmware-vmx's .text section shrank 16 bytes
    
    Given that these are tiny fractions of the .text section, this suggests the
    problem was quite rare, which is why it escaped our attention until now.
    (Testing of vmx's lib/lock, lib/sync, lib/vprobe, and lib/misc saw no
    differences with GCC 4.4, 6.4, 7.1 or Clang)
    
    While in there: nuke some tabs
    
    Slated for a future change: vmkapi_atomic.h

commit 333ac41076afff4e31ccb0d0688e1581e8c9019a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Mar 23 15:05:35 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 8671bd8d4f68a490a5b20f1876f05797f3057c4b
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Mar 23 15:05:35 2018 -0700

    vmcheck.c VmCheck_IsVirtualWorld(): Always check for a working backdoor.
    
    The specific checks for Xen and VirtualPC hypervisors currently happen
    only if the VMware hypervisor is not detected.  The test for a working
    VMware backdoor is then done to avoid all other hypervisors.
    
    In the case where running on a VMware hypervisor and the backdoor
    channel has been disabled such as with
    
       monitor_control.restrict_backdoor = "TRUE"
    
    vmtoolsd, vmware-toolbox-cmd and vmware-checkvm will crash when
    attempting to get the version number of the installed VMware Tools.
    
    Added an additional test to detect Linux KVM with the existing tests
    for the Xen hypervisor and Microsoft Virtual PC.  Avoid checking for
    a working backdoor if a non VMware hypervisor is seen.
    
    Microsoft Hv checking to be added later and is tracked in a separate PR.
    Oracle VirtualBox provides no unique CPUID vendor signature string.

commit 09958952cc761075d5546b18bed0ce59260ec4db
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Mar 23 15:05:35 2018 -0700

    FreeBSD open-vm-tools kernel modules compilations cannot locate <stdint.h>
    
    With the change for VMware headers to utilize the standard types
    defined in C99 standard headers, the compilation of FreeBSD kernel
    modules must specifically add /usr/include to the compilation
    options.
    
    CFLAGS += -isystem /usr/include
    
    This change updates the Makefiles's for FreeBSD kernel modules and
    drivers.

commit cdf0406dc669f2284e1e810ac5820f123d46a50e
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Mar 23 15:05:35 2018 -0700

    FreeBSD: Improper use of sysconf() for getpwent buffer size leads to
             vmtoolsd crash.
    
    On FreeBSD, sysconf(_SC_GETPW_R_SIZE_MAX) can return -1 if it has
    no hard limit ultimately resulting in an incorrect buffer size.
    
    This change is adapting the sysconf() ifixes done elsewhere to
    bora-vmsoft/services/plugins/vix/vixTools.c and updating the
    open-vm-tools AUTHORS file to share credit for the pull request.
    
    https://github.com/vmware/open-vm-tools/pull/238

commit e20e9bd49d244749ee6bcd4ea7d57a26d891afbe
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Mar 23 15:05:35 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 7e03f0676a8d1a8667d7d6aeda968a74c8708c0e
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Mar 23 15:05:35 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 0c4420178932c1879f402ece689e5cfaf5f37d84
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Mar 23 15:05:35 2018 -0700

    CAF changes for Windows; not applicable to open-vm-tools.

commit e9463abdc0d56d0612237faf01a5736c9998b499
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Mar 23 14:57:12 2018 -0700

    sysconf() usage leads to crashes in BSD tools
    
    Not using the sysconf interface properly when determinining the
    getpwent buffer size. Fix this.
    
    Problem was identified and proposed fix was submitted in pull request
    https://github.com/vmware/open-vm-tools/pull/238

commit 4eff69adab058331a1e93aee17ed9a4e13fa8714
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Mar 23 14:57:12 2018 -0700

    [lib/file]: remove useless heap allocation
    
    FileIO_AtomicUpdateEx allocates the argument to the "swap" ioctl
    on the heap. This argument is a struct which contains a single int
    fd... there is no need to heap-allocate it, the stack is just fine.

commit 6de42f7d96fb5c70d70ae3b68011477f8b93aef2
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Mar 23 14:57:12 2018 -0700

    bora/lib: Use _exit when in the context of a signal handler
    
    There are a few cases in bora/lib where exit(3) is used in the
    context of a signal handler. It was recently noticed that exit(3) is
    not async-signal-safe, and _exit(2) should be used instead.
    
    This patch changes a call from exit(3) to _exit(2) in bora/lib.

commit 54415a34a372388374bf322d8118ef47c7b0f9f7
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Mar 23 14:57:12 2018 -0700

    Hgfs FUSE Client: enable the FUSE client for RHEL 7, Ubuntu 14.04 and others
    
    The RHEL 7.x releases are all kernel 3.10 based. Currently the Hgfs FUSE
    client will not be enabled for these earlier kernel versions, enabled only
    for 4.0 kernels and later.  This means for default tools install on plaftorms
    running those kernel versions the Hgfs kernel client must be installed and
    used for Shared Folders.  The consequence of this means that the tar tools
    installer must be run to provide the Hgfs kernel client on top of the OVT
    install.
    
    To remove the need to install the tar tools we must enable support for the
    Hgfs FUSE client, which just requires the kernel version check to be modified
    from 4.0.0 to 3.10.0.

commit 84977ad9a0ca964d5873516c42efec328bac23c9
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Mar 23 14:57:12 2018 -0700

    Changes to common header files; not applicable to open-vm-tools.

commit 587d95eeadbdab2f20020ef24686bd989af6d8b0
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Mar 23 14:57:11 2018 -0700

    lib/misc/hostinfoPosix.c: Fix sscanf format string case typo.

commit 8e22cb4da06036b71a06698da3377ed72cfef440
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Mar 23 14:57:11 2018 -0700

    Changes to common header files; not applicable to open-vm-tools.

commit 9e3738b457eba1d9f8302fa449e9521da59f2dfd
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Mar 23 14:57:11 2018 -0700

    Changes to common header files; not applicable to open-vm-tools.

commit 18358aecd27f7d77b71d5ab31250edc600b7bfbc
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Mar 23 14:57:11 2018 -0700

    Changes to common header files; not applicable to open-vm-tools.

commit 670dba44e90c64173a1f67e617a7193f18fc3a2c
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Mar 23 14:57:11 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 5fe941cd27194495811036667d312f14aece1975
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Mar 23 14:57:11 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 03faa87192b23354a996b4d62282c002de002c59
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Mar 23 14:57:11 2018 -0700

    Common header file change not applicable to open-vm-tools.

commit 2438cefba37d37de65bf2003b1880f47b529ef47
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Mar 6 10:38:43 2018 -0800

    Enhancements for rpcChannel library.
    
    rpcChannel.c file contains the code for building rpcChannel library. A good
    amount of the same code is duplicated in rpcChannelSimple.c file to
    build a simplified version (no glib dependency) of the rpcChannel library.
    It's recommended to remove the duplication and maintain only one single
    file which can be used to build both 'glib-dependent rpcChannel' and
    'glib independent rpcChannel' library.
    
    This changeset implements the following changes:
    * Removed rpcChannelSimple.c
    
    * Renamed I_USE_SIMPLE_RPC make variable to USE_RPCI_ONLY. If this
    flag is specified, rpcChannel library will be built using only RPCI.
    No dependencies on rpcIn will be added. This inturn will remove
    dependencies on dynxdr, xdr and glib.
    
    * Modified the RpcChannelInt structure to have only the necessary
    attributes when USE_RPCI_ONLY is defined.
    
    * Modified a bunch of functions into '#if defined(NEED_RPCIN)' block
    to make available only when necessary.
    
    * Modified guestrpc.h to provide the declarations for few RpcChannel_*
    functions only when needed.
    
    * Modified rpcChannel library to implement necessary stub files / functions
    when it has to be built 'with rpci only' setting.
    
    * Removed various copies of 'glib_stubs.c' maintained by different
    consumers of rpcChannel (appmonitorlib, vmGuestLib, 'imgcust' components).
    
    * Modified the make files of various consumers (vmGuestLib, appmonitorlib,
    imgcust components [linux-pkg-deployer, guestcustutil, UnitTest]) to
    remove the dependencies for dynxdr library.
    
    * Did some code refactoring.
    - Removed some dead code in some make files.

commit 87be66f17bf7911a8ec59ce9917778f7f653a398
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Mar 6 10:38:43 2018 -0800

    Implement a new function VMTools_GetTimeAsString.
    
    * Implemented a new function VMTools_GetTimeAsString in
    vmtools library which returns a properly formatted UTC timestamp
    information. This function can be used by different modules / plugins
    in 'VMware Tools' to add the timestamp information in log files.
    
    Example of UTC timestamp information: "2018-02-22T21:17:38.517Z"
    
    * Modified vmtools logging module to call the new function and
    prepend the UTC timestamp information in every log message.
    
    * Modified deployPkgLog.c to use the new function.
    
    * Removed references / definition of System_GetTimeAsString since
    it is no longer used anywhere in the code.

commit acbf7d90add72d9d3aa70bb8677179e7b3d28e23
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Mar 6 10:38:43 2018 -0800

    Common header file change; not applicable to open-vm-tools.

commit 87ddd2684bff33836db5667718449f42642c76e2
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Mar 6 10:38:43 2018 -0800

    GOS Table: The official Amazon Linux 2 string is "amazonlinux2-64"
    
    The hosted UI isn't creating an Amazon 2 VM with the correct guest OS
    identifier string. Fix this.

commit 91b42f829a0ddc13a1657610700332dad7a9e362
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Mar 6 10:38:43 2018 -0800

    Fix vgauth log timestamps to have zone and use UTC

commit d225ed26cca556f559c035234d11bd7d380c6d7f
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Mar 6 10:38:42 2018 -0800

    Common header file change; not applicable to open-vm-tools

commit d585ee8fcc4135d6d52fdc38ec2e0ca747663bf7
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Mar 6 10:38:42 2018 -0800

    Compilation fixes to build Tools with VS2015
    
    This change consists of fixing warnings/errors as a result of building Tools with VS2015.

commit 03c98a1fb30513b223e3d6eafb21b5f4d4c6c5bc
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Mar 6 10:38:42 2018 -0800

    Add timestamp information to each deploypkg log message.
    
    * Modified deployPkgLog.c file to prepend UTC timestamp information
    to each log message coming from 'deploypkg' module in 'VMware Tools'.
    
    * Used bunch of glib functions to get the current UTC time. As per
    the glib manual, these glib functions are available since 2.26. 2.26 was
    released around 8 years ago which is kind of very old. Having the glib
    dependency on 2.26 is OK.
    
    * Did some minor code refactoring. In DeployPkg.c file, at all
    call sites for DeployPkgLog_Log, replaced the hard coded values with
    the proper LogLevel enums.

commit 73a21a057dc23cf428b5fa1799eb0c5945732fee
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Mar 6 10:38:42 2018 -0800

    Common header file change; not applicable to open-vm-tools.

commit 3eb8434aebde9a2eebc65d57044d8ea6367d685f
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Mar 6 10:38:42 2018 -0800

    Common header file change; not applicable to open-vm-tools.

commit 24e9d211752210abb94bd1e76bec8be20d8abef8
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Mar 6 10:38:42 2018 -0800

    vm_basic_types.h: enable stdint.h for c99
    
    C99 mode (a.k.a. __STDC_VERSION__ >= 199901L) guarantees
    the stdint.h header will be present, which means we can use it
    for standard types instead of rolling our own.

commit b4016c210e7cb6c0407d40dba5edfa64d550bef3
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Mar 6 10:38:41 2018 -0800

    Don't lose errno/lastError when logging
    
    guestOps need to see errno/lastError in order to return the proper
    error to VIX/guestOps APIs.  Logging (at any layer) can cause these
    to be overwritten, so make sure they're preserved.

commit 14a0ffe23be6437c9ee656ccf2d516ead6265dfd
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Feb 26 19:23:18 2018 -0800

    Enhancing CAF listener preconfigured check logic to update the preconfigured flag at runtime
    
    1. Preconfigure listener and start listener upon tunnel enabled logic are
       invoked in two different threads.
    2. There is a case where preconfigure logic is performed after the
       pre-configured flag is computed in the enable-listener thread.
    
    The current patch invalidates the flag in the start listener thread and
    should guarantee the preconfigured status is up-to-date.

commit 60f7afc97264435e1c04c2e70fe39397261b52b4
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Feb 26 19:22:04 2018 -0800

    CAF MA Performance Issues
    
    CAF MA Performance Issues
    
    Vmware CAF ManagementAgentHost service was polling every 5 secs to check if Guest Network "Tunnel(port 6672)" was enabled to preconfigure & bring up Vmware CAF CommAmqpListener service.
    This resulted in more CPU Utilization as opposed to previous release in CAF & caused regression in vmtools 10.2.0.
    We are increasing the Poll rate to 5 mins, which fixed the issue & is giving us the same CPU/memory utilizations as in vmtools 10.1.0.
    
    We were checking for the different stages of listener preconfiguration status from the listenerpreConfigure.txt files in the polling time interval, which caused increased IO operations.
    To fix that we have stored the value of listener preconfiguration status from the files into a variable locally & using the same at all places instead of file access.

commit 872baeed3fd1e79f89143baa0b9c47077b655567
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Feb 26 12:29:08 2018 -0800

    lib/file: add File_MakeSafeTempSubdir
    
    File_MakeSafeTempDir and File_GetSafeTmpDir are typically used to create
    "safe" temp dirs on Windows and Linux. These are dirs in a known-secure
    location with known-secure security attributes that only allow access to
    the current user. These APIs work fine. However, on Windows if one creates
    a subdir inside the safe dir, the subdir may be given an unexpected
    (and overly restrictive) set of default DACLs on it in unusual situations.
    The solution is to introduce a new API specifically to allow a caller to
    create a subdir within an existing safe dir that ensures the DACLs
    are exactly what are needed.

commit bdbab22ec42544dbfff657b811d695e5b5a6d429
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Feb 26 12:29:08 2018 -0800

    Remove the header file safetime.h
    
    This removes the file itself.

commit 047f05f379eb73530ac943d35cda5c162e045fa2
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Feb 26 12:29:08 2018 -0800

    Common source file change; not applicable to open-vm-tools.

commit 2c927bb65029cb89ba0c4b7ba9b341890166823d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Feb 26 12:29:07 2018 -0800

    Skip specified file systems when doing a quiesced snapshot on Linux
    
    Add a tools.conf setting "excludedFileSystems" that specifies one or
    more file system mount points to be skipped over when performing a
    quiesced snapshot on Linux guests.  The value of excludedFileSystems
    is a comma-separated list of glob-style patterns as recognized by the
    glib routines described here:
    
    https://developer.gnome.org/glib/stable/glib-Glob-style-pattern-matching.html
    
    With this change, when performing a quiesced snapshot, the sync driver
    freeze routine removes from the list of mount points it is to process
    any path that matches a pattern in the excludedFileSystems list.
    
    In the course of testing the change, a bug was found in SyncDriverFreeze
    in which it returned SD_ERROR rather than FALSE when the path list is
    empty.
    
    This change also includes some whitespace cleanup in syncDriverWin32.c.

commit 9fb904dbdbd12952f2743d1463cda56a72c50c90
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Feb 26 12:29:07 2018 -0800

    lib/file: Paranoid clear of old cached values
    
    Rare, but an app might toggle addPid; cover this.  Also optimize the
    cache update.

commit d244dac08f07cbbcba3f66eab7d78c16150edfba
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Feb 26 12:29:07 2018 -0800

    lib/file: File_GetSafeTmpDir is not aware of credentials changes
    
    Some applications may masquerade their use (change their EUID).
    Futhermore, each thread in an application can have a separate EUID.
    
    Anytime a application or thread asked for its safe temporary directory,
    it needs to get the same result regardless of how many times it asks.
    
    Change File_GetSafeTmpDir to cache the EUID associated with the cached
    values. If there is an EUID change, invalidate the existing cache
    entries and recompute them. The recomputation process is stable, in
    that it will obtain the same return any time it is called.
    
    This way we get the benefit of the cache (performance), ensured
    correctness (for applications that do not masquerade), and correctness
    for those applications that do masquerade.

commit f9177b133f7f683fcc0f85770712d8069ec52421
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Feb 26 12:29:07 2018 -0800

    Common header file change; not applicable to open-vm-tools.

commit 4da56779c42a55ce1b872748f9d6fd90bd10d281
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Feb 26 12:29:07 2018 -0800

    lib/file: Clean up POSIX File_GetSafeTempDir() in fileTempPosix.c
    
    Make things clearer.

commit f608f63948520ab2088870a800bcc62c67a416ab
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Feb 26 12:29:07 2018 -0800

    Common header file change; not applicable to open-vm-tools.

commit 5d98c8b5183e236dc8fb548647574f4b24e87d23
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Feb 26 12:29:07 2018 -0800

    Common header file change; not applicable to open-vm-tools.

commit 65a35ec640223e4455e016c883261f514eb21492
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Feb 26 12:29:06 2018 -0800

    Common header file change; not applicable to open-vm-tools.

commit aefcbec68487e14de8938fafbf0606a9ce37b2b9
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Feb 26 12:29:06 2018 -0800

    Skip davfs mount points during quiescing (part 2)
    
    Refactor the change to skip davfs mount points.  Capture the length
    of the static URL prefixes at compile time and avoid repetitive
    strlen() calls when checking each active mount point.

commit f459a325c4eec2e31eddc7f74901623b30ea0525
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Feb 26 12:29:06 2018 -0800

    Skip davfs mount points during quiescing
    
    The davfs2 is a Linux filesystem that allows mounting a Web Distributed
    Authoring and Versioning (WebDAV) network resource as a local filesystem.
    On some Linux releases, the FREEZE ioctl() is rejected and quiescing
    these filesystems is not attempted.  On others, however, the FREEZE is
    not rejected and there exists the potential of a quiescing deadlock
    if the davfs2 attempts to write to its cache in /var which has already
    been quiesced.
    
    This fix is to avoid a potential deadlock by excluding davfs2 mounts
    as the networking filesystem they are.  Since davfs2 may be implemented
    on the Linux fuse (default) or coda filesystem kernel module,
    the detection of these network mounts must be based upon detection
    of the URL prefix of the mounted device name.
    
    The static function SyncDriverIsRemoteFSType() is being updated to
    not only exclude remote filesystems based on filesystem type but also
    to exclude davfs2 remote filesystems by the "http://" or "https://"
    URL prefix on the device name.  The function name is being changed
    to SyncDriverIsRemoteFS().

commit 3af8139cfcb4578dd9d7cd9a85301ed808775eb4
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Feb 26 12:29:06 2018 -0800

    vm_basic_types.h: scrub FMTxx specifiers
    
    Reduce the amount of magic in vm_basic_types.h... nowadays, any
    system we support (including Tools) DEFINITELY supports C99-style
    specifiers, with two exceptions: pre-vs2015 MSVC, and pre-10.13
    macOS kernels.
    
    Rip out all the pre-C99 junk. Add a few comments explaining exactly
    what the caveats here are.

commit 442683ac70f1f1c8665feb347be40cac5c8edd65
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Feb 26 12:29:06 2018 -0800

    amazonlinux2-64 should use OVT only, not tar tools linux.iso.

commit b4e66d7ac1f29b4d81877741c0dc85b8eeb68365
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Feb 26 12:29:06 2018 -0800

    Common header file change; not applicable to open-vm-tools.

commit 16e63100ba9aeb419d22d8ade3af1eda2e3f02c0
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Feb 26 12:29:05 2018 -0800

    Changes to common header files; not applicable to open-vm-tools.

commit f5b05ca724708bd54b5c5b7dc3f9d0d959134773
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Feb 26 12:29:05 2018 -0800

    Common header file change; not applicable to open-vm-tools.

commit 783e87e2a465d28db5233e7d1e284fa9410ffec4
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Feb 26 12:29:05 2018 -0800

    Remove uses of header file safetime.h
    
    - (many places) replace "safetime.h" with <time.h> and/or <sys/stat.h>,
                    occasionally re-ordering this header to top of file
    - (many places) remove "safetime.h" as no time functions are used

commit bf31e9478b99b5713f2c330e48d2e40c5091d3bc
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Feb 26 12:29:04 2018 -0800

    Common header file change; not applicable to open-vm-tools.

commit cbdbeef4b6c3454f58e9733079140edcc30fdb2a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Feb 26 12:29:03 2018 -0800

    Remove GLIBC_VERSION_NN macros
    
    No existing usages. Astute observers will note we currently
    use glibc-2.5 minimum (so all but one of these macros are ALWAYS
    defined).

commit eec6e2798def2e9ff6da5e73b092cfe92e60b763
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Feb 7 16:39:26 2018 -0800

    Common header file change not applicable to open-vm-tools.

commit 5170db44c1c7b814d0d2bd4131e1895dbd999db7
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Feb 7 16:39:26 2018 -0800

    Use a unique random temp directory for vmtoolsd on Linux.
    
    The temporay directory currently used by vmtoolsd and its plugins
    on Linux is of the form /tmp/vmware-<user>.  Since it is used to
    upload VMware Tools upgrade and GOS customization scripts and commands,
    that name predictability may make it susceptible to attack.  This
    change adds a new function File_GetSafeRandomTmpDir() in
    bora/lib/file/fileTempPosix.c to both add the PID to the user name
    and add a random number suffix to the temp directory path.
    
    /tmp/vmware-<user>_<pid>-nnnnnn
    
    VMware Tools commands and plugins are being updated to use this random
    temp directory.

commit 9bc56af5d0cb7dcc6f079ff4ab4d3456535365b2
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Feb 7 16:39:26 2018 -0800

    Changes to common header files not applicable to open-vm-tools.

commit 3e4091698461c0a5c36f9025410941f189c5af69
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Feb 7 16:39:26 2018 -0800

    Fix two comment typos in hostinfoPosix.c.

commit cf4f582e5b3c2df25aa775d77d458a15583a05ad
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Feb 7 16:39:26 2018 -0800

    open-vm-tools: ignore with/without gtk2/3 options when building without X
    
    When building without X support, we should ignore the options to enable/disable
    gtk2 and gtk3. This was reported in gthub issue
    https://github.com/vmware/open-vm-tools/issues/228 .

commit 0a099c6f4949a05d1400dc147ab68ad15ebf152a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Feb 7 16:39:26 2018 -0800

    Common header file change not applicable to open-vm-tools.

commit 7be0019e01c7d473deffb8b8646fce1dff22e11a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Feb 7 16:39:25 2018 -0800

    Common header file changes not applicable to open-vm-tools.

commit f838807d08b9c4e72d4887642d4181dea25b6c35
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Feb 7 16:39:25 2018 -0800

    Common header file change not applicable to open-vm-tools.

commit 25d00050c8009dd74e3bbcf1883fdd408411a693
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Feb 7 16:39:25 2018 -0800

    Common header file change not applicable to open-vm-tools.

commit 6b6038522ed24ea134eb4e4a2752288f6f42fcd5
Author: Oliver Kurth <okurth@vmware.com>
Date:   Wed Feb 7 16:39:25 2018 -0800

    Header file change not applicable to open-vm-tools.

commit ee4bd450c4449f8905dbca2e4759660fda5c58dc
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:40 2018 -0800

    fix buffer overrun in AsyncTCPSocketConnect()
    
    Callers may pass a struct smaller than sockaddr_storage, but a
    sockaddr_storage-sized chunk gets copied to asock->remoteAddr.
    memcpy() should be used.
    
    One such caller is AsyncSocket_ConnectUnixDomain(). It passes sockaddr_un.
    sizeof(sockaddr_un) == 110, sizeof(sockaddr_storage) == 128.
    
    Caught by AddressSanitizer.

commit 13df0e2fc2f68aeab0380761eb0c5ab129730710
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:40 2018 -0800

    open-vm-tools: use pkg-config for building with icu
    
    icu uses pkg-config in recent versions, and no longer ships with
    icu-config in most recent versions. Make the configure script
    use pkg-config for icu if available, and icu-config if not. For
    pkg-config we need to specify 'icui18n' which returns the same result
    as icu-config did to link with icui18n.

commit 3a8221c7e4b149efacf87658ac239d815c56adba
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:40 2018 -0800

    Ignore ENXIO errors with SyncDriver
    
    A quiesced snapshot fails when the target VM has a bind mount.  The
    problem is that the syncDriver gets an ENXIO error when it tries to
    open the mount point.  To fix the problem, let the quiesce operation
    skip a mount point when opening it results in an ENXIO error.
    
    This change is based on pull request
    https://github.com/vmware/open-vm-tools/pull/218 .

commit ff754c8a99bffe92b07c933898c7d9d20c02873f
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:40 2018 -0800

    Refinement for memory corruption bug fix in StdIO_ReadNextLine

commit 7b45a62730624c711fb4eb63a0bfd125a2befa57
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:40 2018 -0800

    lib/file: Style clean up in the public file.h

commit 3a7dc2f92e6cb61c9ca8e57c367c972683355278
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:40 2018 -0800

    Common header file changes not applicable to open-vm-tools.

commit c52bb302a181d4bdd0b2b61d6e901339b61d2dab
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:40 2018 -0800

    Common header file change not applicable to open-vm-tools.

commit 035765d487f8ab9b2222ad239b278e4725aa5a22
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:39 2018 -0800

    Changes to common header files; not applicable to open-vm-tools.

commit 3011466e0f59471292a58ba5124238898d18945a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:39 2018 -0800

    open-vm-tools: use ENV{DEVTYPE}=="disk" in udev scsi rule
    
    Fix udev scsi rule to not print warnings on boot.
    The rule now checks for the device type. The previous fix by
    trying to check for a valid timeout field did not work as expected.
    This change uses the rule from Mike Latimer at
    https://github.com/vmware/open-vm-tools/pull/216

commit 9da6562e0c04fa79fad726513508a628f29f4812
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:39 2018 -0800

    Common header file change not applicable to open-vm-tools.

commit 6ccc073a58e1822dc4eb8c20e10dc89791643e9c
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:39 2018 -0800

    Fix memory corruption bug in StdIO_ReadNextLine

commit 4f729b61b908c82318b8dcfc16264c15b58817c8
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:39 2018 -0800

    Common header file changes not applicable to open-vm-tools.

commit 9fa726051f7efe1b7e0bab745b7bad85d1fb3efb
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:39 2018 -0800

    Common header file changes not applicable to open-vm-tools.

commit 378c193d4a57cfed14045ffed6ea641957ed18c7
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:39 2018 -0800

    Common header file change not applicable to open-vm-tools.

commit ba83dcff6214190f8ed545401f2bfa27650bbf07
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:39 2018 -0800

    Common header file change not directly applicable to open-vm-tools.

commit fc922804318de417578fd08fab2e07c1d58e8de8
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:39 2018 -0800

    Update copyright year to 2018.

commit ca39511ceb8e88254cad71e98cba5cbfff08a99d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:39 2018 -0800

    UUID: Clean up UUID_PackText
    
    Use size_t, not int.

commit c358e5e181b95d872da9ffcc943cc147ae0584f8
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:39 2018 -0800

    Changes to common header files; not applicable to open-vm-tools.

commit 0ccc8b1a79bf76b9826c37b2133e5dbd4b9904dc
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:38 2018 -0800

    Common header file change not applicable to open-vm-tools.

commit 5c6f7b09d6865496036653360301092b8672675f
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:38 2018 -0800

    guestOS identification: Tweak handling the LSB
    
    The multi-standard handing code dealt with the LSB strictly. This
    causes some issues with older distros that are not LSB compliant but
    happened to work due to a specific behavior.
    
    Return the LSB to "LSB and old way" and provide some specific coverage
    of detaults to ensure coverage.

commit 2516f528e47722faa38868d99939c825f13c2bdb
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:38 2018 -0800

    Restore "ufs" to the list of known filesystems
    
    Removing extraneous #ifdef VMX86_TOOLS - #endif

commit 3c453912325ead3f19b84fced65217608069ddfa
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:38 2018 -0800

    Restore "ufs" to the list of known filesystems
    
    A previous change, 5074636, to remove "ufs" from the kernel also removed
    "ufs" from the known list of Linux filesystems.   As a result, the "ufs"
    filesystems on FreeBSD and Solaris VMs cannot be seen and therefore
    no disk information is available in vmsvc/get.guest output.

commit aa6502a057aec571a72b971cb13cf0e9d713cddc
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:38 2018 -0800

    Update tools copyright to 2018

commit 5af33281a66ebf0c30ad15074f931f33bda0bc9d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:38 2018 -0800

    Common header file change not applicable to open-vm-tools.

commit dc028e7bbb63865e1ae1c6262872e74c47c80d61
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:38 2018 -0800

    Common header file change that is not applicable to open-vm-tools.

commit d55cc529267b0b385fc9d4453075d023c789e46f
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:38 2018 -0800

    Hgfs Server: replace duplicate function usage with a common function.
    
    This change simply replaces a duplicate function usage with a common
    function and removes the duplicate one.

commit ccdef7096a4782dd00b6f55695aff9c3f01cf4b5
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:38 2018 -0800

    hostinfoPosix.c: Change a warning to a log message.

commit 2321ff31fa671658ad0af3af22eef27e5d9af050
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:38 2018 -0800

    Switch IMC to use RpcChannel_SendOne instead of deprecated RpcOut_sendOne
    
    Modify ./libDeployPkg/Makefile.am to build deploypkg module for
    open-vm-tools correctlly.

commit d9f7c825cfbe075c3b643632419ff26a72628e41
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:38 2018 -0800

    lib/file: Clean up a few things.

commit b4ee6678c9dd8cdf4e144056545dd41ba0636085
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:37 2018 -0800

    hostinfoPosix.c: Pick up some review comments

commit ce060ca498defdf08da4fac899dc623328d47a5d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:37 2018 -0800

    GuestOS: Support the os-release standard
    
    While bringing up Amazon Linux as a guest, it was discovered that
    Amazon Linux was not LSB compilant. The LSB standard defines a way
    to uniquely determine which distro one is running on. Since our code
    was based on the LSB standard, we made some changes to explicitly
    detect Amazon Linux and handle it as a special case.
    
    Amazon let us know that there is a "new" standard - os-release - which
    they are compliant with. One must explicitly install Amazon Linux in a
    special way to obtain the LSB compliance.
    
    Researching the "new" standard, it turned out to not be that different
    than the LSB standard. Further research showed that some distros (e.g.
    Ubuntu) are releasing with both standards.
    
    This change refactors the existing code, removes the explicit Amazon
    Linux checking, and accepts the os-release standard. Amazon Linux then
    "just falls out".

commit 6bd88d82e943d691c4312e3f2e7cef1038af7a9c
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:37 2018 -0800

    Reduce Vigor transport socket draining overhead
    
    A previous change in VigorPollImpl and asyncsocket to fix a memory
    leak that causes a performance regression for parallel reconfiguration of
    running VMs (the kind requiring FSR).  During an FSR, the connection
    between hostd and the source vmx would drop and hostd would then
    reconnect to the destination vmx.  One source of regression is that
    the buffer has to be drained when a disconnect happens and the draining
    logic may potentially unregister and re-register the recv callback
    multiple times.  This change adds an asyncsocket function specifically
    for draining recv that reduces the manipulation of callback.  It
    reduces the regression by up to ~50% (the effect is more pronounced with
    more VMs).

commit de9b602664d91c54288b91a81f6a01d7cb927fce
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:37 2018 -0800

    atomic: add TestSetBitVector and TestClearBitVector functions
    
    Implement atomic set/clear bit from a byte array.
    
    Also add missing "memory" constraint to non-atomic ClearBitVector()
    and ComplementBitVector().

commit 17e9209aeb4f6d3a3535b7064916f3a25b985395
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:37 2018 -0800

    Tools Hgfs Server Plugin: fix logging of client redirector handling functions
    
    Modify logging of client redirector handling functions for starting the client
    redirector kernel component and reconnecting mapped drives at services start
    up. This changes the level from warning to info as these messages are purely
    informational and not warnings of unexpected events or conditions.

commit 076b7201b61af9f3dcb36050ff37a8145a05d404
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:37 2018 -0800

    Fix error reported by clang 6.0.0 - comparison 'int' <= 4294967295 is always true
    
    Fix the logical constant compare warning/error in vixTools.c of the
    vix plugin.  Rewrite the continuous for loop to simply iterate from
    zero to MAX_INT32.

commit 7a58576e98e5bdb47fbe101c43b106ba77f2e811
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:37 2018 -0800

    Add VMware Tools 10.2.5 to vm_tools_version.h
    
    - Add tools version 10.2.5 as the first scheduled tools 10.2.x
      update - TOOLS_VERSION_CHAINSAW_UPDATE1
    - Corrected a typo in a macro name in an earlier tools version
      definition.

commit 13c49b85cebacea847d30c4e5a0b92fa7ea9dba8
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Feb 6 16:32:37 2018 -0800

    hostinfo: Identify Amazon Linux
    
    Amazon Linux is not LSB compliant. Add a small amount of code such that
    Amazon Linux can differentiated from all of other Linuxen and correctly
    report its identifying data.

commit c5bc784da611ee929e0da7c20a410e03e6540613
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jan 26 15:04:36 2018 -0800

    Set X11 as the backend for gtk3 of open-vm-tools
    
    Open-vm-tools defaults to gtk3.  For distros like Fedora 27, Wayland is
    the default display server.  With no restriction on the backend, plugins
    will try to use Wayland as the backend of Gtk+3.  As a result,
    gdk_display_get_default() returns a Wayland display;
    gdk_display_get_default_group() also returns a Wayland window.  Applying
    GDK_WINDOW_XID() on the Wayland window will result in the crash reported
    on recent Linux releases that default to a Wayland display server.
    
    As X11-specific code is widely used in tools plugins, a migratation to
    Wayland in the short term is not possible.  So, as a compromised solution,
    plugins can be forced to run on XWayland, which is the compatible mode
    of Wayland for legacy X11 clients.
    
    gdk_set_allowed_backends() only applies when flag GTK3 is defined, and Gtk
    version cwgreater than 3.10.

commit 98e0ab52c86b3a1d4fd38cec6913b1f5ba0f336c
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jan 26 15:04:36 2018 -0800

    hostinfo: More cleanup
    
    Continue the prep for Amazon Linux.

commit ce769ae4aa3a14810b418c044629f2d9dcb72a37
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jan 26 15:04:36 2018 -0800

    hostinfo: More prep work for Amazon Linux support
    
    Amazon Linux is not LSB compliant but it does have a file that is
    much like an LSB compliant release (name=value pairs). Make the names
    of the structures generic... the logic can be reused for Amazon Linux
    in a follow up change.
    
    Fix up some function headers.

commit 7fce1b8f9ec60c27865717f536a4e440587500ad
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jan 26 15:04:36 2018 -0800

    Refactor HostinfoOSData...
    
    Refactor the HostinfoOsData in several smaller and simpler routines.
    This will make it easier to maintain in the future (it was pretty
    unwieldy already) and easier to add the logic for a non-LSB Linux.
    
    More refactoring and actually adding the Amazon recognition code will
    follow.

commit b2b71c7995f4389cd7a9899dca8aa29bd9fa9c6a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jan 26 15:04:36 2018 -0800

    Common header file change not applicable to open-vm-tools.

commit 40bcee40c892cc7de92825cce1226576d6eab66c
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jan 26 15:04:35 2018 -0800

    Changes to common source files:
    
    lib/asyncsocket/asyncsocket.c: Use ASSERT instead of VERIFY when removings
                                   poll callback in AsyncSocketCancelRecv.
    lib/include/vm_product_versions.h: Change not applicable to open-vm-tools.

commit 757833d601541e9bde24571fa22e669900e98a7e
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jan 26 15:04:35 2018 -0800

    Change the glibc constraint to 2.11 from 2.12.
    
    Earlier, we made a change to stop building open-vm-tools
    for LINUX systems with glibc < 2.12 But SLES 11 SP4 which is
    supported comes with glibc 2.11.3 The check will
    block SLES 11 SP4 from moving to OVT 10.2.x To fix it, this change
    relaxes the glibc constraint to 2.11.

commit 75825dcc7548d779f23c4c93429736d690d86a45
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jan 26 15:04:35 2018 -0800

    Hgfs: remove Hgfs VMCI transport header from linux open-vm-tools
    
    Linux Hgfs clients do not use the VMCI module for a transport and have
    since migrated to a FUSE implementation. Therefore we do not need to
    include the Hgfs VMCI transport header file.

commit 09b6621863ece170e4fc6b617f0bc1e3d17867f2
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jan 26 15:04:35 2018 -0800

    Hgfs Server: fix error result for new dir creation in the virtual folder
    
    The Hgfs server code detects when a client tries to create a new folder in the
    virtual folder containing the VMware Shares. This is not allowed as only the
    host can add new Shares which appears in this folder. The current error code
    returned to the client in these cases is access denied. This is only correct
    when the new folder does not collide with an existing share. This stops clients
    treating the virtual folder as a regular read/write physical folder. However,
    for the case where the name collides, the access denied error is not correct,
    as it does not tell the client the folder already exists. This causes some
    applications to fail as they expect to see this error if the path component
    exists as that is okay and expected. At this point the application will continue
    to traverse the path and ensure the next component exists or if not create that.
    
    To ensure that applications don't prematurely fail and can test that the share
    still exists in the path the Hgfs server should return HGFS_ERROR_FILE_EXIST
    and leave HGFS_ERROR_ACCESS_DENIED for all other cases.

commit fb3630fb0d7846b9f06f0c506c38eadf0cfbfa81
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jan 26 15:04:35 2018 -0800

    Hgfs: get rid of vmware_pack_begin and vmware_pack_end header files
    
    Get rid of vmware_pack_begin and vmware_pack_end header files and
    replace with the pragma pack and pop.  This code currently only
    affects Windows clients and the VMX HGFS VMCI transport.

commit f7c551253400e7f153cc696b5b121cd6e0d4ebd8
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jan 26 15:04:35 2018 -0800

    GOSTable: Amazon Linux 2
    
    Add the basic support for Amazon Linux 2. The distro identification
    code will follow in a separate change.

commit c8f7c09d106884c19100077fdffe8f11b80d6bdb
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jan 5 14:47:15 2018 -0800

    Changes to common header files not applicable to open-vm-tools

commit 5939eaefbad529e811c64b46d93ddcce56615db8
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jan 5 14:47:15 2018 -0800

    Common header file change not applicable to open-vm-tools

commit 55f323265bb7aee605a40f289f9c1a8ba7be56c6
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jan 5 14:47:15 2018 -0800

    Common header file change not applicable to open-vm-tools

commit d42e5bf76689c820dfb84d681c007c96197f6182
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jan 5 14:47:15 2018 -0800

    Common header file change not applicable to open-vm-tools.

commit 90819beef53238ba108be35cba93329b9d160de7
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jan 5 14:47:15 2018 -0800

    Get rid of convertutf and bsd_printf for all non-Win VMware Tools
    
    The MsgFmt_* functions are referenced in a few utilities
    related to VMware Tools. This change replaces the MsgFmt_*
    with a stub. This also affects the Windows version.

commit e5e478d46f047aa8f22b427b9d4505581af9915a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jan 5 14:47:15 2018 -0800

    Fix the SSL/AsyncSocket "SSL_shutdown:shutdown while in init" problem
    
    QE regression tests have caught a bug in the bora SSL/AsyncSocket
    layer. A normal SSL connection could be abnormally terminated by some
    other random connections.
    
    Seems a common bug of the SSL usage according to the link below.
    VMware is not the first one to hit it. :-)
    https://marc.info/?l=openssl-users&w=4&r=1&s=shutdown+while+in+init&q=b
    
    The cause is that the SSL error queue was not cleared before
    calling the SSL IO functions like SSL_write,read,connect,accept.
    Refer to the man page of SSL_get_error, Paragraph 2 of the Description.
    Fixed the problem by adding addtional call to clear the error queue.
    
    Found another problem that the system error is not preserved between
    where it is set after the SSL IO call and the use of it to determine
    whether to retry the SSL IO. This is probably due to tools has its
    own logging which does not preserve the system error number.
    Fixed the logging.

commit 8a9c43698ebcc858314ec1c041d24b8e8d1372cf
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jan 5 14:47:15 2018 -0800

    vm_basic_types.h: use stdint.h a little more.
    
    Now that enough of the builds are C++11, let's make the common case
    use the <stdint.h> header to define the intNN types directly
    from language-standard intNN_t types, and treat pre-C99/C++98
    code as the special case.
    
    This also provides some clarity about the last __STRICT_ANSI__
    macros in this file.  One was related to usage of 'long long' in
    strict c90 mode and has been replaced with a comment indicating that
    64-bit-variable compiler extensions are mandatory (strict c90 mode is
    not allowed via the headers).  The other related to X11 headers; those
    headers have been examined to understand the workarounds needed and
    the exact scenario(s) that are problematic have been commented (turns
    out FreeBSD had nothing to do with the problem).
    
    Finally, all the Bool-related definitions have been moved and merged
    to a single location NOT at the top of the file.
    
    Net effects of this change:
    - non-linux C++11 (so Windows+Mac) now uses stdint.h
    - exact set of macros involved in declaring Bool is reduced
    - compiling with c90 mode really will break now (use gnu90 instead).

commit 2674b02449875b04889be00400f52351105ab25f
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jan 5 14:47:15 2018 -0800

    Consume vmx headear files in bora tree instead of gosc's own copy
    
    1. Consuming header files from bora/vmx instead of gosc/vmx
    2. Deprecated "gosc/vmx/public/toolsdDeployPkg.h",
    use "bora/guestABI/include/vmware/guestrpc/deploypkg.h" instead.
    Combined macro definition to the new header file and modified
    reference accordingly.
    3. Modified makefile for open-vm-tools to consume new header file,
    removed old header file staging in open-vm-tools.stage

commit bd018012a08579e89209e23b69963937210e5182
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jan 5 14:47:15 2018 -0800

    Common header file change  not applicable to open-vm-tools

commit 36929119b9e28df8e267c49b5661354253439215
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jan 5 14:47:15 2018 -0800

    Remove some __STRICT_ANSI__ guards in vm_basic_types.h
    
    Some time in the distant past, these guards were needed to
    work around... something. (Probably, it was that 'long long'
    is not a valid type in strict c90 mode). Note that we don't
    use c90 mode, we only use gnu90 or c99.
    
    This ends up being relevant because for C++ we are indeed
    using -std=c++11 (which implies __STRICT_ANSI__). The Linux/C++
    section of this file thus had duplicate definitions (which I am
    now removing) to work around the gap.
    
    Quick cheat sheet for -std= values:
    - c90 := __STRICT_ANSI__, no long long type
    - gnu90 := c90 + gcc extensions, has long long type
    - c99 := __STRICT_ANSI__, has long long type (defined in c99)
    - c++11 := __STRICT_ANSI__, has long long type (defined in C++11)

commit 6b1ef0ef99f34011da3f5383414eeedf81c59d3b
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jan 5 14:47:15 2018 -0800

    open-vm-tools: fix finding C++ compiler for cross-compiling
    
    Patch contributed by Andrew Stormont (andy-js) on github:
    https://github.com/vmware/open-vm-tools/pull/206 and
    https://github.com/vmware/open-vm-tools/issues/92.

commit df18c2c2c3e7dde4478ee68a5f4a96600a3d07a2
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jan 5 14:47:14 2018 -0800

    Allow copying of object policy within the same container
    
    ObjLib_CloneExtParams is currently not allowing copying of policy from
    parent to child/clone object on VSAN. This is because the copy policy
    check is based on unique filesystem ID, which will be different for
    parent and child on VSAN because they will mostly be created on same
    container but different namespace. This change uses VCFS root instead
    of namespace UUID to make the comparison on VSAN.
    
    Bonus fix: File_FullPath is now fixed to work for any combination of
    ancestor path being present. Currently it only works if either the
    given path exists, or when only the last component of the path does
    not exist. And since this fix relies on finding the VCFS root of both
    parent and child (parent is present but child is not),
    ObjLibPathToVCFSRoot has been modified to rely on File_FullPath  in
    addition to Util_GetCanonicalPath if the path does not exist.

commit a678f3ea9f6de366b3b3de2f99956d93d2216b08
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jan 5 14:47:14 2018 -0800

    Correction to previous change for Solaris11_64 GOS.

commit 74eb0c942f78f775c9de2bfd0e4f9970a8cded51
Author: Oliver Kurth <okurth@vmware.com>
Date:   Fri Jan 5 14:47:14 2018 -0800

    Properly classify Solaris 11-64 as 64-bit

commit 47e604c2dba131c13300fe15bf4ad69d5b996674
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Dec 4 16:27:21 2017 -0800

    Common header file change; not applicable to open-vm-tools.

commit 584aa9f307c85b07fa8adaf113e87cc3c200cca9
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Dec 4 16:27:21 2017 -0800

    Common header file change; not applicable to open-vm-tools.

commit 976e505b4ad5233f4eb97c7e09be63f6b0662fc7
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Dec 4 16:27:21 2017 -0800

    Common header file change; not applicable to open-vm-tools.

commit 96f90f19e87cfb9b1dd62d30f4b88333d973bb90
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Dec 4 16:27:21 2017 -0800

    open-vm-tools: add missing copyright headers

commit 124c6437b0fcac3e65a7748f336e8b47d9528767
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Dec 4 16:27:21 2017 -0800

    Common header file change; not applicable to open-vm-tools.

commit 11ff20501da5a4a4a6bcc05797b0129462cafc95
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Dec 4 16:27:21 2017 -0800

    Common header file change; not applicable to open-vm-tools.

commit 3dc2785d95c6b6ca42161c270fc9b3f17764ff2d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Dec 4 16:27:21 2017 -0800

    Common header file change; not applicable to open-vm-tools.

commit 525f5824a48d8856ec30250d73a99da9fea2c39f
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Dec 4 16:27:21 2017 -0800

    Common header file change; not applicable to open-vm-tools.

commit fe6997afdc10d3bd7396c7dea7417523851166d6
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Dec 4 16:27:20 2017 -0800

    Update the Tools-10.2.0 GA Open Source License Files.

commit 9ac30cc60efd96556df21e87d5e8a42c7057fc95
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Dec 4 16:27:20 2017 -0800

    RpcVMX: Report driver name and driver version to vmx to store the key-value in
    GuestVars, and write a log in vmware.log using RpcVMX_Log.

commit 1667bc143164a6709debca423e4be0241e3275db
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Dec 4 16:27:20 2017 -0800

    GuestInfo: skip check for shrinkable disk when gathering disk info
    
    Some Linux OSes may have a non-existing device mounted to a filesystem,
    for example Photon OS has the root file system mounted from
    /dev/root, which does not exist. The wiper library does a check
    for a shrinkable disk, and this fails. This change skips the check
    when gathering data for diskinfo, but leaves it intact for
    other disk wiper purposes. Information from read-only flesystems
    will also be reported.

commit 35b115033acb5c65e22bd4e44b90d6d69a6815c6
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Dec 4 16:27:20 2017 -0800

    FileIO: Add customizable privileged file opener for Apple.  The change is
    not applicable to open-vm-tools.

commit eb8456de3ddb41ecc7155c447e4bac17ca440a5d
Author: Oliver Kurth <okurth@vmware.com>
Date:   Mon Dec 4 16:27:20 2017 -0800

    Make AutoCPtr's constructor explicit to make it more obvious when
    pointer ownership is transferred. (This also matches std::auto_ptr.)

commit 29c40dee7848e52437b5dab2ed466771a15df13b
Author: Oliver Kurth <okurth@vmware.com>
Date:   Thu Nov 30 15:38:04 2017 -0800

    Make logfiles readable only by admin/root.

commit 989d96498a370034423515d3818fd02749677097
Author: Oliver Kurth <okurth@vmware.com>
Date:   Thu Nov 30 15:38:04 2017 -0800

    Common header file change not applicable to open-vm-tools.

commit c4387fa58c21a0174a9cd6b053e565aea2c4870f
Author: Oliver Kurth <okurth@vmware.com>
Date:   Thu Nov 30 15:38:04 2017 -0800

    Common header file change not applicable to open-vm-tools.

commit e2f15a777d241f468f5ca2bc0b608f3ecb71fc6a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Thu Nov 30 15:38:04 2017 -0800

    Common header files change not applicable to open-vm-tools.

commit d3c3a4d3e9d97e09b07018df2dccb4b4b2c4dd1b
Author: Oliver Kurth <okurth@vmware.com>
Date:   Thu Nov 30 15:38:04 2017 -0800

    Common header file change that is not applicable to open-vm-tools.

commit 9a08115f6b111445f57302651f7fcb1e4f11e907
Author: Oliver Kurth <okurth@vmware.com>
Date:   Thu Nov 30 15:38:04 2017 -0800

    Changes to common header files not directly applicable to open-vm-tools.

commit a8f4c5ada9852dfdb251715f3785b1fee45b8f67
Author: Oliver Kurth <okurth@vmware.com>
Date:   Thu Nov 30 15:38:04 2017 -0800

    Change to common header file; not applicable to open-vm-tools.

commit 443f07aab7c60df74e1731127921b92447c86d61
Author: Oliver Kurth <okurth@vmware.com>
Date:   Thu Nov 30 15:38:04 2017 -0800

    Typo correction in common header file comment.

commit a5d480e471fe4e0e73f6be28ab65f6ecde64f775
Author: Oliver Kurth <okurth@vmware.com>
Date:   Thu Nov 30 15:38:03 2017 -0800

    Improve diskinfo debug output
    
    Add more debug information so that it is easier to figure out why some
    partitions are not being found.

commit 08abcfc9cc08c758a8189e69e7f99ab270a2e553
Author: Oliver Kurth <okurth@vmware.com>
Date:   Thu Nov 30 15:38:03 2017 -0800

    Make VigorPollImpl FD-based callbacks non-periodic (take 3)
    
    The previous attempt reveals another pre-existing issue.  An fd that is
    closed by AsyncSocket may be reused right away.  The SharedStream for
    that fd may still have an outstanding callback that needs to fire
    before it would be destroyed.  If the destruction happens after the fd
    is re-used and the new owner is using boost asio stream, the Release()
    call would cancel the async read/write operation for the new owner.
    One simple fix is to dup the fd when creating a SharedStream.  This
    means hostd would need 2 fds for each running VM.  The hostd fd limit
    is currently 4096 and I was able to power on 1K VMs.  If necessary, the
    fd limit can be increased (the system limit is 32K).
    
    Previous description:
    
    The original change has an issue on Linux that is not observed in ESX.
    When the read and write callbacks fire in parallel, both would release
    the reference to the SharedStream, triggering its destructor.  Later
    when the read callback tries to re-register itself, it would hit a
    boost exception.  To avoid that, I delayed the reset of
    CallbackFD::stream to the end of Invoke so that the SharedStream
    object woudl not be destroyed as long as the callback is re-registered.
    
    Original description:
    
    The hard-to-reproduce AsyncSocket leak turns out to be a variation of
    PR 1530561.  The fix for that bug only plugs the leak when the race is
    between a VigorPollImpl callback that fires with an CanceledException
    (which can be triggered by another callback registered on the same fd --
    this is the boost behavior) and a thread trying to unregister the same
    callback (e.g. upon detection of a disconnect).  There is still a
    potential reference leak when the read and write callbacks run in
    parallel, if a disconnection happens between the two asyncsocket
    callbacks (the asyncsocket callbacks take the asyncsocket lock, so they
    are mostly serialized).  The second asyncsocket callback handling the
    disconnect error would unregister the first callback while the first
    callback would be attempting to re-register itself at the VigorPollImpl
    level (to provide the periodic behavior exposed by IVmdbPoll).  If the
    unregister wins the race, it would return false because the callback
    cannot be cancelled (it is running).  Then ReRegister would not find
    the callback in the hash table, so the callback would not fire again,
    which means the reference taken when registering the callback is leaked.
    
    Applying the fix for PR 1530561 in the above scenario would not work
    because an AsycnSocket callback may unregister itself and in that case
    the reference is appropriately released.  Unless we save the thread ID
    in Unregister, we would not be able to distinguish when the callback
    needs to run in order to release the reference.  After considering
    various options, I believe trying to support periodic fd-based
    callbacks on top of a multi-threaded poll API is troublesome.  This
    change adds a poll flag for one-shot callbacks and used that in
    AsyncSocket with IVmdbPoll.  VigorPollImpl only support the one-shot
    behavior.  In the long term I would like to retire IVmdbPoll and create
    a new poll interface.  For now I would like to minimize churn while
    fixing the memory leak.

commit 595f5add83e8fbf1ffcabd7537d294c1c9c4edfe
Author: Oliver Kurth <okurth@vmware.com>
Date:   Thu Nov 30 15:38:03 2017 -0800

    Fix memory leak in vmtoolsd.

commit 884aa32f9c9f773957275e09cd6620598185718a
Author: Oliver Kurth <okurth@vmware.com>
Date:   Thu Nov 30 15:38:03 2017 -0800

    Tools: GuestInfo: ESX: dynamically load libvmkmemstats.so
    
    The new version of the vmware tools will be installed on older version
    of ESX.  But these older versions do not come with libvmkmemstats.so
    and a dynamic linking error occurs.
    
    This patch changes the code to deal with the case where the lib is not
    available.  Instead of relying on the linker to dynamically link with
    libvmkmemstats.so, g_module_open() is used to open the library, if
    available, and gracefully handle any eventual errors.
    Before the patch, the whole libguestinfo would stop working and after
    the patch only the memory stats are unavailable.

commit 6151fbafe8714c15614dd254ff8816cd28620f3c
Author: Oliver Kurth <okurth@vmware.com>
Date:   Thu Nov 30 15:38:03 2017 -0800

    Correcting the few copyright notice added to a few CAF related files bundled in Open-VM-Tools.

commit 23cfd0c0fc03c36b83c47614037f85ff98806b86
Author: Oliver Kurth <okurth@vmware.com>
Date:   Thu Nov 30 15:38:03 2017 -0800

    Adding copyright notice to a few CAF related files bundled in Open-VM-Tools.

commit 6056c840a4a5593a3f4a87acc175b5eac3ce23dc
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Oct 24 14:07:36 2017 -0700

    DragNDrop plugin change for VMware Tools on Windows; not applicable to
    open-vm-tools.

commit 965dbcad8680e32a8b093715b29656505a8eaf44
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Oct 24 14:07:36 2017 -0700

    GuestInfo: add primary-nics and low-priority-nics options
    
    Add the options 'primary-nics' and 'low-priority-nics' for GuestInfo.
    
    The options accept a list of comma separated patterns for interface names
    which can be considered as 'primary' or 'low priority' network interfaces.
    This will cause the NicInfo to be put on top of the list for primary
    interfaces, and to the bottom for low priority interfaces.
    
    Example:
    
    primary-nics=eth1
    
    will make sure that the IP address(es) for eth1 will be sorted on
    top of the list of IP addresses.
    
    primary-nics=eth*
    
    will make sure that any one of the addresses of all interfaces
    matching eth* will be sorted on top of the list of IP addresses,
    but won't guarantee which one if there is more than one.
    
    low-priority-nics=eth*
    
    will work analogously, but interfaces will be sorted to the bottom.
    
    In case the limit of the number of interfaces to be reported is reached,
    low priority interfaces are the first to be skipped.

commit b5c64af227b2eea0f23f2c8f3cf40c5d24c8548f
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Oct 24 14:07:35 2017 -0700

    VGAuth changes:
    
     - add calling LoadUserProfile()/UnloadUserProfile() in VGAuth
       impersonation/unimpersonation code paths
     - VMTools side code change to use the new VGAuth SDK.

commit cc18f0829bbf9d61b36f6c292a2f4fb9b9618812
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Oct 24 14:07:35 2017 -0700

    VGAuth changes:
    
     - add calling LoadUserProfile()/UnloadUserProfile() in VGAuth
       impersonation/unimpersonation code paths
     - VGAuth part of code change plus tools vix plugin make file.

commit 4b0af4d8b889eccd0fbc18d63698c95f83be1ca3
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Oct 24 14:07:35 2017 -0700

    [Tools] Fix crash issue when stopping vmtoolsd(vmuser)
    
    When stopping vmtoolsd, the code tries to unload all plugins.  The
    signal TOOLS_CORE_SIG_CAPABILITIES is emitted before really starting
    to unload plugins.  If the plugin should try to call RpcChannel_Send
    while processing the signal and the RPC channel has been shutdown, an
    ASSERT is triggered.  The fix is to check whether rpc exists and if
    unavailable, avoid sending the TOOLS_CORE_SIG_CAPABILITIES signal.

commit 13438dc9ab2af20587e003bc7f8ba088dc2d3ed8
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Oct 24 14:07:35 2017 -0700

    Update copyright year to 2017 for open-vm-tools 10.2.0.

commit a94ed0b8af8afc7d446312c3b391f336421bd4c3
Author: Oliver Kurth <okurth@vmware.com>
Date:   Tue Oct 24 14:07:33 2017 -0700

    Add SUSE Server for SAP Applications to hostinfoPosix.c
    
    On SLES-SP1-SAP the "lsb_release -sd" command returns the string
    "SUSE Linux Enterprise Server for SAP Applications 12 SP1".
    Parsing in HostinfoGetOSShortName() detects the sub-strings "suse"
    and "enterprise" but not "server 12".  STR_OS_SLES is returned
    resulting in displaying of "SUSE Linux Enterprise 8/9" in the
